2008-05-31  Philippe Rouquier  <algernon@localhost.localdomain>

	Another fix for #535141 – hotkey ambiguity in GUI frontend

	* src/brasero-project.c (brasero_project_save_project_dialog):

2008-05-31  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #535575 – Many g_strdup_printf instead of g_strdup
	patch by Claude Paroz

	* src/brasero-burn-dialog.c (brasero_burn_dialog_update_info),
	(brasero_burn_dialog_get_media_type_string),
	(brasero_burn_dialog_update_title_writing_progress),
	(brasero_burn_dialog_cancel_dialog):

2008-05-31  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #535558 – Strings not marked for translation
	patch by Claude Paroz

	* src/burn-volume-obj.c (brasero_volume_get_display_label):

2008-05-31  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #535551 Translator comment needed

	* src/burn-drive.c (brasero_drive_get_display_name):
	* src/burn-volume-obj.c (brasero_volume_get_display_label):


2008-05-31  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/brasero-jacket-edit.c (brasero_jacket_edit_dialog_new):

	Set a better default window size.

2008-05-31  Luis Medinas  <lmedinas@svn.gnome.org>

	* README:

	Update Requirements.

2008-05-30  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/main.c (on_about_cb):

	Mark documenters to non translation. 
	Fixes bgo #535585 patch from Claude Paroz <claude@2xlibre.net>.

2008-05-30  Philippe Rouquier  <algernon@localhost.localdomain>

	silenced a warning

	* src/brasero-search-beagle.c (brasero_search_add_hit_to_tree):

2008-05-29  Philippe Rouquier  <algernon@localhost.localdomain>

	small fix for beagle pane

	* src/brasero-search-beagle.c (brasero_search_add_hit_to_tree):

2008-05-29  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/brasero-burn-dialog.c (brasero_burn_dialog_cancel_dialog):

	Removed an unneeded Cancel Button. Add a different hotkey to
	Continue burning button. Fixes bgo #535141.

2008-05-29  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/brasero-eject-dialog.c (brasero_eject_dialog_new):
	* src/brasero-plugin-option.c (brasero_plugin_option_set_plugin):

	Marked two strings for translation. 
	Patch from Milo Casagrande <milo_casagrande@yahoo.it>

2008-05-29  Luis Medinas  <lmedinas@svn.gnome.org>

	* help/C/brasero.xml:

	Better identation and add new sections to split track, cover editor,
	pause and plugins. 
	Patch from Milo Casagrande <milo_casagrande@yahoo.it>.

2008-05-28  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #535167 – translation issues

	* src/burn.c (brasero_burn_check_session_consistency):

2008-05-25  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/main.c: (on_about_cb):

	Add documentation authors to about dialog.

2008-05-25  Philippe Rouquier  <algernon@localhost.localdomain>

	Small fix for preview using the wrong GConf key

	* src/brasero-preview.h:
	* src/brasero-project.c:

2008-05-25  Philippe Rouquier  <algernon@localhost.localdomain>

	updated

	* NEWS:

2008-05-25  Philippe Rouquier  <algernon@localhost.localdomain>

	Additional checks at plugin init to see if it can properly work

	* src/plugins/transcode/burn-normalize.c
	(brasero_normalize_export_caps):

2008-05-25  Philippe Rouquier  <algernon@localhost.localdomain>

	Add normalization for audio:
	- one new plugin
	- modified transcode to comply with replaygain tags

	Added possibility to add arbitrary GValues to session and tracks for plugins

	* src/burn-job.c (brasero_job_tag_lookup), (brasero_job_tag_add):
	* src/burn-job.h:
	* src/burn-session.c (brasero_burn_session_tag_value_free),
	(brasero_burn_session_tag_add), (brasero_burn_session_tag_lookup),
	(brasero_burn_session_finalize):
	* src/burn-session.h:
	* src/burn-task-ctx.c (brasero_task_ctx_get_session):
	* src/burn-track.c (brasero_track_clean),
	(brasero_track_tag_value_free), (brasero_track_tag_add),
	(brasero_track_tag_lookup):
	* src/burn-track.h:
	* src/plugins/transcode/Makefile.am:
	* src/plugins/transcode/burn-normalize.c
	(brasero_normalize_set_next_track),
	(brasero_normalize_stop_pipeline), (brasero_normalize_stop),
	(foreach_tag), (brasero_normalize_song_end_reached),
	(brasero_normalize_bus_messages),
	(brasero_normalize_new_decoded_pad_cb),
	(brasero_normalize_build_pipeline), (brasero_normalize_start),
	(brasero_normalize_activate), (brasero_normalize_clock_tick),
	(brasero_normalize_init), (brasero_normalize_finalize),
	(brasero_normalize_class_init), (brasero_normalize_export_caps):
	* src/plugins/transcode/burn-normalize.h:
	* src/plugins/transcode/burn-transcode.c
	(brasero_transcode_send_volume_event),
	(brasero_transcode_create_volume),
	(brasero_transcode_create_pipeline),
	(brasero_transcode_stop_pipeline),
	(brasero_transcode_new_decoded_pad_cb):

2008-05-21  Philippe Rouquier  <algernon@localhost.localdomain>

	Adds automatic gstreamer plugin installation for audio (à la totem)
	NOTE: since I have fedora 8 I have just been able to test the case where nothing happens
	I have to upgrade

	* configure.in:
	* src/brasero-audio-disc.c (brasero_audio_disc_visit_dir_async),
	(brasero_audio_disc_add_playlist),
	(brasero_audio_disc_add_uri_real):
	* src/brasero-io.c (brasero_io_get_file_info_thread),
	(brasero_io_get_file_count_process_playlist),
	(brasero_io_get_file_count_process_file),
	(brasero_io_load_directory_playlist),
	(brasero_io_load_directory_thread):
	* src/brasero-io.h:
	* src/brasero-metadata.c (brasero_metadata_stop),
	(brasero_metadata_install_plugins_add_downloaded),
	(brasero_metadata_install_plugins_free_data),
	(brasero_metadata_install_plugins_success),
	(brasero_metadata_install_plugins_abort),
	(brasero_metadata_install_plugins_completed),
	(brasero_metadata_install_plugins_result),
	(brasero_metadata_is_downloading),
	(brasero_metadata_install_missing_plugins),
	(brasero_metadata_bus_messages):
	* src/brasero-metadata.h:
	* src/main.c (main):

2008-05-20  Philippe Rouquier  <algernon@localhost.localdomain>

	fixed help file path

	* src/brasero-app.h:
	* src/main.c (on_help_cb), (main):

2008-05-20  Philippe Rouquier  <algernon@localhost.localdomain>

	Use BraseroVolSrc for functions in brasero-volume-read

	* src/burn-volume-read.c (brasero_volume_file_close),
	(brasero_volume_file_open), (brasero_volume_file_check_state):
	* src/burn-volume-read.h:
	* src/burn-volume-source.c
	(brasero_volume_source_read_device_handle),
	(brasero_volume_source_close), (brasero_volume_source_open_file),
	(brasero_volume_source_open_fd),
	(brasero_volume_source_open_device_handle),
	(brasero_volume_source_open_device_path),
	(brasero_volume_source_ref):
	* src/burn-volume-source.h:
	* src/plugins/checksum/burn-checksum-files.c
	(brasero_checksum_files_merge_with_former_session):

2008-05-20  Luis Medinas  <lmedinas@svn.gnome.org>

	* configure.in:
	* src/brasero-menu.h:

	Fix help path. Display Contents instead of Help to follow HIG.

2008-05-20  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #Bug 531546 – Bad phrasing regarding md5 checking after burn is complete

	* src/brasero-burn-dialog.c (brasero_burn_dialog_insert_disc_cb):

2008-05-20  Philippe Rouquier  <algernon@localhost.localdomain>

	Fixes for help system:
	- added entry in help menu
	- patch from Milo Casagrande

	* Makefile.am:
	* configure.in:
	* help/brasero.omf.in:
	* src/brasero-menu.h:

2008-05-18  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #533148 – crash when adding files (only x86_64?)
	patch by Eric Piel_gnome

	* src/brasero-data-project.c
	(brasero_data_project_uri_remove_graft):
	* src/brasero-utils.c (brasero_utils_register_string),
	(brasero_utils_unregister_string):

2008-05-18  Philippe Rouquier  <algernon@localhost.localdomain>

	Final fix #504838 – don't eject disc between after burning, when you want to check the md5sum

	* src/Makefile.am:
	* src/brasero-data-session.c (brasero_data_session_add_last):
	* src/burn-iso9660.c (brasero_iso9660_seek),
	(brasero_iso9660_next_block), (brasero_iso9660_ctx_init),
	(brasero_iso9660_get_contents), (brasero_iso9660_get_file):
	* src/burn-iso9660.h:
	* src/burn-medium.c (brasero_medium_track_volume_size):
	* src/burn-volume-source.c
	(brasero_volume_source_seek_device_handle),
	(brasero_volume_source_seek_fd), (brasero_volume_source_read_fd),
	(brasero_volume_source_read_device_handle),
	(brasero_volume_source_close), (brasero_volume_source_open_file),
	(brasero_volume_source_open_fd),
	(brasero_volume_source_open_device_handle):
	* src/burn-volume-source.h:
	* src/burn-volume.c (brasero_volume_get_primary_from_file),
	(brasero_volume_is_valid_fd), (brasero_volume_get_size),
	(brasero_volume_get_files), (brasero_volume_get_file):
	* src/burn-volume.h:
	* src/plugins/cdrtools/burn-cdrecord.c
	(brasero_cdrecord_export_caps):
	* src/plugins/checksum/burn-checksum-files.c
	(brasero_checksum_files_merge_with_former_session):
	* src/plugins/dvdcss/burn-dvdcss.c
	(brasero_dvdcss_write_image_thread):
	* src/scsi-cam.c:
	* src/scsi-device.h:
	* src/scsi-sg.c:

2008-05-17  Philippe Rouquier  <algernon@localhost.localdomain>

	Lots of bug fixes and patches delayed due to the closing of SVN

	Added multisession/grow images capabilites to libisofs/libburn

	Many improvements to libburn backend

	Fix a problem when retrieving size for multisession images with mkisofs/genisoimage
	
	Added message infrastructure to project and removed libnotify deps
	Now multisession message is displayed like project loading and too little free space

	Make DBus dependency compulsory
	
	No medium reload before checksum now
	One known bug is with tracks with less than 300 sectors.
	That needs further work (reading disc tree structure through read_cd)

	Remove close if successful burning option from burn dialog

	Fix session label potential crash

	Fix libdvdcss plugin appearing in plugin dialog

	* configure.in:
	* src/Makefile.am:
	* src/brasero-async-task-manager.c
	(brasero_async_task_manager_foreach_active_remove):
	* src/brasero-audio-disc.c (brasero_audio_disc_add_ui):
	* src/brasero-burn-dialog.c (brasero_burn_dialog_init),
	(brasero_burn_dialog_finalize), (brasero_burn_dialog_success_run),
	(brasero_burn_dialog_end_session),
	(brasero_burn_dialog_tray_show_dialog_cb):
	* src/brasero-data-disc.c (brasero_data_disc_import_session),
	(brasero_data_disc_import_session_cb),
	(brasero_data_disc_project_loaded_cb),
	(brasero_disc_disc_session_import_response_cb),
	(brasero_data_disc_session_available_cb),
	(brasero_data_disc_clear), (brasero_data_disc_reset),
	(brasero_data_disc_message_response_cb),
	(brasero_data_disc_load_track), (brasero_data_disc_add_ui),
	(brasero_data_disc_init), (brasero_data_disc_finalize):
	* src/brasero-disc-message.c (brasero_disc_message_timeout),
	(brasero_disc_message_set_timeout),
	(brasero_disc_message_button_clicked_cb),
	(brasero_disc_message_add_button),
	(brasero_disc_message_add_close_button), (style_set),
	(brasero_disc_message_init), (brasero_disc_message_finalize),
	(brasero_disc_message_realize):
	* src/brasero-disc-message.h:
	* src/brasero-disc-option-dialog.c
	(brasero_disc_option_dialog_title_widget):
	* src/brasero-disc.c (brasero_disc_add_ui):
	* src/brasero-disc.h:
	* src/brasero-notify.c (brasero_notify_remove_all_messages),
	(brasero_notify_get_message_by_context_id),
	(brasero_notify_message_remove), (brasero_notify_message_add),
	(brasero_notify_button_add), (brasero_notify_init),
	(brasero_notify_finalize), (brasero_notify_class_init),
	(brasero_notify_new):
	* src/brasero-notify.h:
	* src/brasero-project.c (brasero_project_init),
	(brasero_project_error_size_dialog), (brasero_project_check_size),
	(brasero_project_switch):
	* src/brasero-tray.c:
	* src/burn-caps.c (brasero_caps_disc_new_attribute),
	(brasero_caps_disc_new_subtype):
	* src/burn-dbus.c (brasero_inhibit_suspend):
	* src/burn-dbus.h:
	* src/burn-medium.c (brasero_medium_get_next_writable_address),
	(brasero_medium_track_get_info), (brasero_medium_reload_info):
	* src/burn-medium.h:
	* src/burn.c (brasero_burn_record_session), (brasero_burn_check),
	(brasero_burn_record), (brasero_burn_blank):
	* src/main.c (main):
	* src/plugins/cdrkit/burn-genisoimage.c
	(brasero_genisoimage_set_argv_image),
	(brasero_genisoimage_export_caps):
	* src/plugins/cdrtools/burn-mkisofs.c
	(brasero_mkisofs_set_argv_image), (brasero_mkisofs_export_caps):
	* src/plugins/checksum/burn-checksum-image.c
	(brasero_checksum_image_checksum_fd_input):
	* src/plugins/libburnia/Makefile.am:
	* src/plugins/libburnia/burn-libburn-common.c
	(brasero_libburn_common_ctx_free),
	(brasero_libburn_common_ctx_new),
	(brasero_libburn_common_status_changed),
	(brasero_libburn_common_status):
	* src/plugins/libburnia/burn-libburn-common.h:
	* src/plugins/libburnia/burn-libburn.c
	(brasero_libburn_src_free_data), (brasero_libburn_src_get_size),
	(brasero_libburn_src_set_size), (brasero_libburn_src_read_xt),
	(brasero_libburn_create_fd_source), (brasero_libburn_add_fd_track),
	(brasero_libburn_add_file_track),
	(brasero_libburn_setup_session_fd),
	(brasero_libburn_setup_session_file),
	(brasero_libburn_start_record), (brasero_libburn_start_erase),
	(brasero_libburn_stop), (brasero_libburn_clock_tick),
	(brasero_libburn_finalize), (brasero_libburn_export_caps):
	* src/plugins/libburnia/burn-libisofs.c
	(brasero_libisofs_create_image), (brasero_libisofs_import_read),
	(brasero_libisofs_import_open), (brasero_libisofs_import_close),
	(brasero_libisofs_import_free),
	(brasero_libisofs_import_last_session),
	(brasero_libisofs_create_volume_thread),
	(brasero_libisofs_create_volume), (brasero_libisofs_stop_real),
	(brasero_libisofs_clean_output), (brasero_libisofs_export_caps):

2008-05-12  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #519339 – [libburnia] Doesn't build with libisofs 0.6.2 and wrong pkg-config filename for libburn

	* configure.in:

2008-05-12  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #519339 – [libburnia] Doesn't build with libisofs 0.6.2 and wrong pkg-config filename for libburn
	Update to new libisofs API (require 0.6.4)

	* configure.in:
	* src/plugins/libburnia/burn-libisofs.c
	(brasero_libisofs_write_image_to_fd_thread),
	(brasero_libisofs_write_image_to_file_thread),
	(brasero_libisofs_create_image),
	(brasero_libisofs_create_volume_thread),
	(brasero_libisofs_create_volume), (brasero_libisofs_stop_real):

2008-05-12  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix bug introduce in previous patch (label for session not set)

	* src/brasero-disc-option-dialog.c
	(brasero_disc_option_dialog_title_widget):

2008-05-12  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #532072 – brasero is not able to generate iso image when long localized label is used
	Initial patch by Gregory Petrosyan modified afterwards

	* src/brasero-disc-option-dialog.c
	(brasero_disc_option_dialog_truncate_label),
	(brasero_disc_option_dialog_get_default_label),
	(brasero_disc_option_dialog_update_label),
	(brasero_disc_option_label_insert_text),
	(brasero_disc_option_label_changed),
	(brasero_disc_option_dialog_title_widget):
	* src/burn-session.c (brasero_burn_session_set_label):

2008-05-10  Philippe Rouquier  <algernon@localhost.localdomain>

	Fixed a bug introduced by DL change

	* src/burn-caps.c (brasero_caps_disc_new_status):

2008-05-10  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #532391 – brasero does not save user settings
	and possibly #530231 – Brasero is not remembering plugin settings

	* src/burn-plugin-manager.c
	(brasero_plugin_manager_plugin_state_changed):

2008-05-10  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #513910 – broken DVD DL support
	Added Dual Layer support

	* src/brasero-burn-dialog.c (brasero_burn_dialog_update_info),
	(brasero_burn_dialog_get_media_type_string),
	(brasero_burn_dialog_progress_changed_real),
	(brasero_burn_dialog_notify_success):
	* src/brasero-dest-selection.c
	(brasero_dest_selection_get_default_output_format):
	* src/brasero-disc-option-dialog.c
	(brasero_disc_option_dialog_update_multi):
	* src/brasero-drive-properties.c
	(brasero_drive_properties_format_disc_speed):
	* src/brasero-project-size.c
	(brasero_project_size_get_ruler_min_width),
	(brasero_project_size_expose), (brasero_project_size_build_menu),
	(brasero_project_size_scroll_event),
	(brasero_project_size_find_proper_drive),
	(brasero_project_size_set_context):
	* src/burn-caps.c (brasero_burn_caps_get_required_media_type),
	(brasero_burn_caps_sort), (brasero_caps_disc_lookup_or_create),
	(brasero_caps_disc_new_status), (brasero_caps_disc_new_attribute),
	(brasero_caps_disc_new_subtype), (brasero_caps_disc_new):
	* src/burn-debug.c (brasero_debug_medium_info_to_string):
	* src/burn-job.c (brasero_job_get_speed),
	(brasero_job_get_max_speed):
	* src/burn-medium.c (brasero_medium_get_medium_type),
	(brasero_medium_track_get_info):
	* src/burn-medium.h:
	* src/burn.c (brasero_burn_is_loaded_dest_media_supported),
	(brasero_burn_reload_dest_media):
	* src/plugins/cdrkit/burn-genisoimage.c
	(brasero_genisoimage_export_caps):
	* src/plugins/cdrkit/burn-readom.c (brasero_readom_export_caps):
	* src/plugins/cdrtools/burn-mkisofs.c
	(brasero_mkisofs_export_caps):
	* src/plugins/cdrtools/burn-readcd.c (brasero_readcd_export_caps):
	* src/plugins/checksum/burn-checksum-files.c
	(brasero_checksum_files_export_caps):
	* src/plugins/dvdcss/burn-dvdcss.c (brasero_dvdcss_export_caps):
	* src/plugins/growisofs/burn-dvd-rw-format.c
	(brasero_dvd_rw_format_export_caps):
	* src/plugins/growisofs/burn-growisofs.c
	(brasero_growisofs_export_caps):

2008-05-10  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix warnings
	Updated cdrecord capabilities (DVDs but no multisession and no blanking capabilities)

	* src/brasero-project-size.c (brasero_project_size_finalize):
	* src/plugins/cdrkit/burn-wodim.c (brasero_wodim_export_caps):
	* src/plugins/cdrtools/burn-cdrecord.c
	(brasero_cdrecord_export_caps):

2008-05-09  Philippe Rouquier  <algernon@localhost.localdomain>

	Fixed another bug with project-size medium insertion/removal

	* src/brasero-project-size.c (brasero_project_size_finalize),
	(brasero_project_size_disc_added_cb),
	(brasero_project_size_disc_removed_cb):

2008-05-09  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix a crash on medium removal/addition

	* src/brasero-project-size.c (brasero_project_size_finalize),
	(brasero_project_size_disc_added_cb),
	(brasero_project_size_disc_removed_cb):

2008-05-09  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix crash when a file don't replace an imported one (when the user refuses to)

	* src/brasero-data-session.c (brasero_data_session_add_last):

2008-05-09  Philippe Rouquier  <algernon@localhost.localdomain>

	Update wodim plugin and remove all multisession caps for DVD-(R)W

	* src/plugins/cdrkit/burn-wodim.c (brasero_wodim_export_caps):

2008-05-09  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix progress when blanking (for the backends that return progress)
	Fix progress for dvd+rw-format
	Fix some warnings

	* src/brasero-project-size.c (brasero_project_size_finalize),
	(brasero_project_size_disc_removed_cb):
	* src/burn-job.c (brasero_job_set_progress):
	* src/burn-process.c (brasero_process_read),
	(brasero_process_setup_channel):
	* src/burn-task-ctx.c (brasero_task_ctx_get_progress):
	* src/burn.c (brasero_burn_wait_for_dest_insertion),
	(brasero_burn_mount_media), (brasero_burn_run_tasks):
	* src/plugins/growisofs/burn-dvd-rw-format.c
	(brasero_dvd_rw_format_read_stderr):

2008-05-08  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #531831 – crash when adding a directory with a file bigger than 2Gb

	* src/brasero-data-project.c (brasero_data_project_node_loaded),
	(brasero_data_project_node_reloaded):
	* src/brasero-file-node.c (brasero_file_node_set_from_info),
	(brasero_file_node_new_from_info):
	* src/brasero-file-node.h:

2008-05-08  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix crash introduced by recent changes
	Unfortunately committed trash as well.

	* src/brasero-data-project.c (brasero_data_project_remove_real):
	* src/brasero-file-node.c (brasero_file_node_save_imported):
	* src/brasero-file-node.h:

2008-05-07  Philippe Rouquier  <algernon@localhost.localdomain>

	Updated wodim capabilities (now plugin can burn DVD+-RW, format DVD+RW, blank DVD-RW sequential)

	* src/plugins/cdrkit/burn-wodim.c (brasero_wodim_set_argv_blank),
	(brasero_wodim_export_caps):

2008-05-07  Philippe Rouquier  <algernon@localhost.localdomain>

	A few fixed to avoid crash and warnings
	Added a helper function for plugins.

	* src/burn-job.c (brasero_job_item_stop):
	* src/burn-process.c (brasero_process_check_path),
	(brasero_process_stop):
	* src/burn-process.h:

2008-05-07  Philippe Rouquier  <algernon@localhost.localdomain>

	Notice disc insertion

	* src/brasero-project-size.c (brasero_project_size_disc_added_cb):

2008-05-07  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix DVD-RW sequential capacity retrieval

	* src/burn-medium.c (brasero_medium_get_capacity_DVD_RW),
	(brasero_medium_get_capacity_by_type):
	* src/burn-medium.h:
	* src/scsi-read-capacity.h:

2008-05-07  Philippe Rouquier  <algernon@localhost.localdomain>

	Make sure the import session is disabled when we start

	* src/brasero-data-disc.c (brasero_data_disc_add_ui):

2008-05-05  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix for #507800 – Default loading image to burn from last location

	* src/brasero-image-option-dialog.c
	(brasero_image_option_dialog_file_chooser_destroy),
	(brasero_image_option_dialog_init):

2008-05-04  Philippe Rouquier  <algernon@localhost.localdomain>

	Another fix for #519110 – Variable size of bottom widgets

	* src/brasero-project-size.c (brasero_project_size_size_request),
	(brasero_project_size_expose):

2008-05-04  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix for #519110 – Variable size of bottom widgets

	* src/brasero-project-size.c (brasero_project_size_size_request),
	(brasero_project_size_size_allocate),
	(brasero_project_size_expose):
	* src/burn-job.c:

2008-05-04  Philippe Rouquier  <algernon@localhost.localdomain>

	Add multi selection through mouse in dialog that pops up after clicking on add without side pane

	* src/brasero-file-chooser.c (brasero_file_chooser_customize):
	* src/brasero-file-chooser.h:
	* src/brasero-project.c (brasero_project_add_uris_cb):

2008-05-04  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #531273 – Edit information dialog for music CDs looses start point info

	* src/brasero-audio-disc.c (brasero_audio_disc_add_slices):
	* src/brasero-song-properties.c (brasero_song_props_update_length),
	(brasero_song_props_end_changed_cb),
	(brasero_song_props_start_changed_cb),
	(brasero_song_props_set_properties):
	* src/brasero-time-button.c (brasero_time_button_set_max):

2008-05-04  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #530815 – Unable to burn bin/cue

	* src/brasero-image-option-dialog.c
	(brasero_image_option_dialog_set_image_uri):
	* src/burn-image-format.c (brasero_image_format_get_DATAFILE_info),
	(brasero_image_format_get_FILE_info),
	(brasero_image_format_get_cdrdao_size),
	(brasero_image_format_get_cue_size):

2008-05-04  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #530397 – Filechooser dialog for images burning should only show images files

	* src/brasero-image-option-dialog.c
	(brasero_image_option_dialog_get_session),
	(brasero_image_option_dialog_init):

2008-05-03  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #526533 – Brasero displays a "frightening" warning in disc to disc copy.

	* src/brasero-burn-dialog.c (brasero_burn_dialog_insert_disc_cb):
	* src/burn-basics.h:
	* src/burn.c (brasero_burn_ask_for_dest_media),
	(brasero_burn_record):

2008-05-03  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix for #439916 – Popups are user-unfriendly
	Fixes for data project:
	- fix some problems at load time where GtkTreePaths weren't right if a created node had not been added
	- use registered URI in callbacks for g_hash_lookup instead of returned ones (they may be different)

	Fixes for Gio:
	- handle relative paths with symlinks

	* src/brasero-data-disc.c (brasero_data_disc_project_loaded_cb),
	(brasero_data_disc_init):
	* src/brasero-data-project.c (brasero_data_project_node_loaded),
	(brasero_data_project_directory_node_loaded),
	(brasero_data_project_add_path),
	(brasero_data_project_load_contents):
	* src/brasero-data-tree-model.c
	(brasero_data_tree_model_node_index),
	(brasero_data_tree_model_node_to_path),
	(brasero_data_tree_model_get_path),
	(brasero_data_tree_model_node_added),
	(brasero_data_tree_model_node_reordered):
	* src/brasero-data-vfs.c (brasero_data_vfs_load_directory),
	(brasero_data_vfs_loading_node_result),
	(brasero_data_vfs_node_added):
	* src/brasero-disc-message.c (brasero_disc_message_set_context),
	(brasero_disc_message_get_context):
	* src/brasero-disc-message.h:
	* src/brasero-io.c (brasero_io_check_for_parent_symlink),
	(brasero_io_get_file_info_thread):
	* src/brasero-project.c (brasero_project_init),
	(brasero_project_message_remove_all),
	(brasero_project_message_remove), (brasero_project_message),
	(brasero_project_error_size_dialog), (brasero_project_check_size),
	(brasero_project_switch):

2008-05-02  Philippe Rouquier  <algernon@localhost.localdomain>

	Don't pass on pseudo URI for new fake folders to vfs object
	Allows to load project where there is such a directory.

	* src/brasero-data-disc.c (brasero_data_disc_project_loaded_cb):
	* src/brasero-data-project.c (brasero_data_project_add_node_real),
	(brasero_data_project_node_loaded),
	(brasero_data_project_directory_node_loaded),
	(brasero_data_project_add_path):
	* src/brasero-data-vfs.c (brasero_data_vfs_load_directory):

2008-05-01  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #530521 – Disable Empty project button if no files are in project
	Also fixes two crashes:
	- when moving a node so that it replaces a parent node with the same name
	- crashes after suppressing some files

	* src/brasero-data-disc.c (brasero_data_disc_contents_removed_cb):
	* src/brasero-data-project.c (brasero_data_project_joliet_set_key),
	(brasero_data_project_joliet_add_node),
	(brasero_data_project_joliet_remove_node),
	(brasero_data_project_joliet_remove_children_node_cb),
	(brasero_data_project_uri_is_graft_needed),
	(brasero_data_project_remove_real),
	(brasero_data_project_destroy_node),
	(brasero_data_project_move_node), (brasero_data_project_clear),
	(brasero_data_project_reset), (brasero_data_project_file_moved):
	* src/brasero-data-project.h:
	* src/brasero-data-tree-model.c (brasero_data_tree_model_clear),
	(brasero_data_tree_model_reset),
	(brasero_data_tree_model_node_removed):
	* src/brasero-data-vfs.c (brasero_data_vfs_load_node),
	(brasero_data_vfs_reset):
	* src/brasero-file-node.c
	(brasero_file_node_check_imported_sibling),
	(brasero_file_node_unlink), (brasero_file_node_move_from),
	(brasero_file_node_move_to),
	(brasero_file_node_destroy_with_children),
	(brasero_file_node_destroy), (brasero_file_node_save_imported):
	* src/brasero-file-node.h:

2008-05-01  Luis Medinas  <lmedinas@svn.gnome.org>

	* configure.in:
	* help/C/Makefile.am:
	* help/C/brasero.xml:
	* help/C/legal.xml:
	* help/Makefile.am:
	* help/brasero.omf.in:
	* src/brasero-menu.h:
	* src/main.c (on_help_cb):

	Added help docs to the tree imported from ubuntu-doc team bzr tree.
	Thanks to Milo Casagrande and Phil Bull for the docs you rock!

2008-04-30  Philippe Rouquier  <algernon@localhost.localdomain>

	Adds mass file renaming to data project
	Fix #497846 – Allow modify filenames of files that will be recorded following a pattern

	* src/brasero-audio-disc.c (brasero_audio_disc_rename_songs):
	* src/brasero-data-disc.c (brasero_data_disc_mass_rename_cb),
	(brasero_data_disc_rename_activated),
	(brasero_data_disc_show_menu):
	* src/brasero-multi-song-props.c (brasero_multi_song_props_init):
	* src/brasero-project.c
	(brasero_project_check_default_burning_app):
	* src/brasero-rename.c (brasero_rename_set_show_keep_default),
	(brasero_rename_do), (brasero_rename_type_changed),
	(brasero_rename_init):
	* src/brasero-rename.h:
	* src/brasero-song-properties.c (brasero_song_props_init),
	(brasero_song_props_set_properties):

2008-04-29  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix for #529780 – Can't edit multiple CD-Text entries at once.
	Also added code for file renaming (to be extented to data project)

	* src/Makefile.am:
	* src/brasero-audio-disc.c (brasero_audio_disc_selection_function),
	(brasero_audio_disc_rename_songs),
	(brasero_audio_disc_edit_song_properties):
	* src/brasero-multi-song-props.c
	(brasero_multi_song_props_set_rename_callback),
	(brasero_multi_song_props_get_properties),
	(brasero_multi_song_props_gap_output_cb),
	(brasero_multi_song_props_gap_input_cb),
	(brasero_multi_song_props_entry_focus_out),
	(brasero_multi_song_props_entry_focus_in),
	(brasero_multi_song_props_init),
	(brasero_multi_song_props_finalize),
	(brasero_multi_song_props_class_init),
	(brasero_multi_song_props_new):
	* src/brasero-multi-song-props.h:
	* src/brasero-rename.c (brasero_rename_insert_string),
	(brasero_rename_delete_string), (brasero_rename_substitute_string),
	(brasero_rename_number_string), (brasero_rename_do),
	(brasero_rename_type_changed), (brasero_rename_init),
	(brasero_rename_finalize), (brasero_rename_class_init),
	(brasero_rename_new):
	* src/brasero-rename.h:
	* src/brasero-song-properties.c (brasero_song_props_init):

2008-04-27  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix for #521368 – HIG alert windows

	* src/brasero-audio-disc.c (brasero_audio_disc_add_dir),
	(brasero_audio_disc_split):
	* src/brasero-burn-dialog.c (brasero_burn_dialog_data_loss_cb):
	* src/brasero-project.c (brasero_project_error_size_dialog),
	(brasero_project_no_song_dialog), (brasero_project_no_file_dialog):

2008-04-27  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #520578 – Check Integrity menu entry still present even with plugins disabled
	(backportable)

	* src/burn-caps.c (brasero_burn_caps_can_checksum):
	* src/burn-caps.h:
	* src/main.c (brasero_caps_changed_cb), (brasero_app_create_app):

2008-04-27  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #520784 – Brasero does not recognize .bin in the same directory when .cue is selected
	(backportable)

	* src/burn-image-format.c
	(brasero_image_format_get_cue_file_complement),
	(brasero_image_format_get_toc_file_complement):

2008-04-24  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #505981 – Default application dialog asks for yes/no
	Also starts to fix #521368 – HIG alert windows

	Fix problem introduced by an earlier patch where track size was set to 0 by imagechecksum

	* data/brasero.schemas.in:
	* src/brasero-burn-dialog.c
	(brasero_burn_dialog_disable_joliet_cb), (brasero_burn_dialog_run):
	* src/brasero-burn-dialog.h:
	* src/brasero-dest-selection.c
	(brasero_dest_selection_image_extension_ask):
	* src/brasero-disc-option-dialog.c
	(brasero_disc_option_dialog_joliet_toggled_cb):
	* src/brasero-project-manager.c (brasero_project_manager_burn):
	* src/brasero-project.c (brasero_project_overburn_dialog),
	(brasero_project_check_default_burning_app),
	(brasero_project_burn), (brasero_project_switch):
	* src/brasero-split-dialog.c (brasero_split_dialog_size_error),
	(brasero_split_dialog_clear_confirm_dialog):
	* src/brasero-sum-dialog.c (brasero_sum_dialog_new):
	* src/burn-job.c (brasero_job_check_output_disc_space):
	* src/burn-volume-obj.c (brasero_volume_is_mounted),
	(brasero_volume_umount):
	* src/burn.c (brasero_burn_lock_dest_media),
	(brasero_burn_run_recorder), (brasero_burn_run_tasks):
	* src/plugins/checksum/burn-checksum-image.c
	(brasero_checksum_image_checksum_file_input),
	(brasero_checksum_image_start):

2008-04-24  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/brasero-sum-dialog.c (brasero_sum_dialog_new):
	
	Fix previous commit.

2008-04-24  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #529428 – brasero crashed when checking integrity with md5sum

	* src/brasero-sum-dialog.c (brasero_sum_dialog_get_file_checksum):
	* src/burn-medium.c (brasero_medium_get_medium_type):

2008-04-24  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #509013 – Context menu actions for multiple files for good
	Also in audio project deselect when there is a click in empty area

	* src/brasero-audio-disc.c (brasero_audio_disc_selection_function),
	(brasero_audio_disc_init), (brasero_audio_disc_button_pressed_cb):
	* src/brasero-data-disc.c (brasero_data_disc_tree_select_function),
	(brasero_data_disc_button_pressed_cb):

2008-04-24  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix for #518583 – Incorrectly adding .bin to wav filename listed in toc
	we were using URIs instead of paths
	(backportable)

	* src/burn-track.c (brasero_track_get_image_source):

2008-04-23  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #518505 – Cancel dialog buttons' wording is confusing

	* src/brasero-burn-dialog.c (brasero_burn_dialog_cancel_dialog):

2008-04-23  Philippe Rouquier  <algernon@localhost.localdomain>

	Add flash videos when filtering with videos

	* src/brasero-project.c (brasero_project_add_uris_cb):

2008-04-23  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #504291 – No warning message before converting video to audio data

	* src/brasero-audio-disc.c (brasero_audio_disc_video_file_dialog),
	(brasero_audio_disc_result), (brasero_audio_disc_new_row_cb):
	(backportable)

2008-04-23  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #513461 – Preview disabled calls a video window
	(backportable)

	* src/brasero-layout.c (brasero_layout_preview_changed_cb),
	(brasero_layout_add_preview), (brasero_layout_load):
	* src/brasero-preview.c
	(brasero_preview_source_selection_changed_cb),
	(brasero_preview_set_enabled):
	* src/brasero-preview.h:

2008-04-23  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #520986 – Background in 'new project' is white regardless of the desktop theme
	(needs backporting)

	* src/brasero-disc.c (brasero_utils_disc_style_changed_cb),
	(brasero_utils_disc_realized_cb),
	(brasero_disc_get_use_info_notebook):

2008-04-23  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #515739 – Directory tree display
	Match nautilus display
	(needs backporting)

	* src/brasero-data-disc.c (brasero_data_disc_init):

2008-04-23  Philippe Rouquier  <algernon@localhost.localdomain>

	Fixes #512694 – can't set tmp dir and can't burn image if size > available on /tmp
	(should be backported)

	* src/burn-job.c (brasero_job_set_output_file):
	* src/plugins/checksum/burn-checksum-files.c
	(brasero_checksum_files_start):
	* src/plugins/checksum/burn-checksum-image.c
	(brasero_checksum_image_checksum_fd_input),
	(brasero_checksum_image_image_and_checksum),
	(brasero_checksum_image_start):
	* src/plugins/local-track/burn-local-image.c
	(brasero_local_track_start):

2008-04-23  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/brasero-player-bacon.c (brasero_player_bacon_set_pos):

	Fixed seek on preview mode see bgo #529475.

2008-04-22  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix for #509013 – Context menu actions for multiple files
	Added debug for error in Player

	* src/brasero-audio-disc.c (brasero_audio_disc_button_pressed_cb):
	* src/brasero-data-disc.c (brasero_data_disc_button_pressed_cb):
	* src/brasero-player-bacon.c (brasero_player_bacon_bus_messages):

2008-04-22  Philippe Rouquier  <algernon@localhost.localdomain>

	Add a preview (when enabled) to GtkFileChooserDialog displayed when there isn't any sidebar.

	* src/brasero-player.c (brasero_player_create_controls_stream),
	(brasero_player_create_controls_image),
	(brasero_player_size_allocate), (brasero_player_class_init):
	* src/brasero-project.c (brasero_project_preview_ready),
	(brasero_project_update_preview), (brasero_project_add_uris_cb):

2008-04-22  Philippe Rouquier  <algernon@localhost.localdomain>

	Don't error out for clone image types when DAO is set simply ignore it

	* src/plugins/cdrkit/burn-wodim.c (brasero_wodim_set_argv_record):

2008-04-22  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix a crash when changing the disc in case of CD to CD copy using the same drive

	* src/burn.c (brasero_burn_lock_dest_media):

2008-04-22  Philippe Rouquier  <algernon@localhost.localdomain>

	Don't save all flags in between sessions but only those that the user can change

	* src/brasero-dest-selection.c
	(brasero_dest_selection_save_drive_properties),
	(brasero_dest_selection_set_drive_properties):
	* src/brasero-disc-copy-dialog.c
	(brasero_disc_copy_dialog_get_session):
	* src/burn.c (brasero_burn_check_session_consistency):

2008-04-22  Philippe Rouquier  <algernon@localhost.localdomain>

	Fixed a crash when copying a medium with same dest and source drive

	* src/burn-session.c (brasero_burn_session_set_image_output_full):

2008-04-21  Philippe Rouquier  <algernon@localhost.localdomain>

	Last patch (hopefully) to fix mimetype icons

	* src/brasero-audio-disc.c
	(brasero_audio_disc_set_row_from_metadata):
	* src/brasero-data-tree-model.c
	(brasero_data_tree_model_get_value):
	* src/brasero-mime-filter.c (brasero_mime_filter_add_mime):
	* src/brasero-search-beagle.c (brasero_search_add_hit_to_tree):
	* src/brasero-utils.h:

2008-04-21  Philippe Rouquier  <algernon@localhost.localdomain>

	Display current action when creating a checksum for an image

	* src/plugins/checksum/burn-checksum-image.c
	(brasero_checksum_image_image_and_checksum):

2008-04-21  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix for good this time unmount operation by waiting for GVolumeMonitor signal
	Fix warning with g_propagate_error

	* src/burn-volume-obj.c (brasero_volume_wait_for_operation_end),
	(brasero_volume_umounted_cb), (brasero_volume_umount_finish),
	(brasero_volume_umount), (brasero_volume_mount_finish):
	* src/burn.c (brasero_burn_run_imager),
	(brasero_burn_run_recorder):

2008-04-21  Philippe Rouquier  <algernon@localhost.localdomain>

	make sure to grey out the copy button in all proper situations

	* src/brasero-disc-copy-dialog.c (brasero_disc_copy_dialog_init):

2008-04-21  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix wrong unreffing of gtkicontheme

	* src/brasero-audio-disc.c
	(brasero_audio_disc_set_row_from_metadata):
	* src/brasero-data-tree-model.c (brasero_data_tree_model_finalize):
	* src/brasero-mime-filter.c (brasero_mime_filter_add_mime):
	* src/brasero-search-beagle.c (brasero_search_add_hit_to_tree):

2008-04-21  Philippe Rouquier  <algernon@localhost.localdomain>

	Fixed some warnings and icon retrieving in search pane and audio project
	Also added possibility to retrieve GIcon through brasero-io (but still unused)

	* src/brasero-audio-disc.c
	(brasero_audio_disc_set_row_from_metadata):
	* src/brasero-io.c (brasero_io_get_file_info_thread),
	(brasero_io_load_directory_thread):
	* src/brasero-io.h:
	* src/brasero-mime-filter.c (brasero_mime_filter_add_mime):

2008-04-21  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix order of rates returned by medium

	* src/burn-medium.c (brasero_medium_init_real):

2008-04-21  Philippe Rouquier  <algernon@localhost.localdomain>

	Another fix for the same problem as before

	* src/brasero-drive-selection.c
	(brasero_drive_selection_drive_changed_cb):
	* src/brasero-medium-selection.c
	(brasero_medium_selection_show_type):

2008-04-21  Philippe Rouquier  <algernon@localhost.localdomain>

	Copy disc dialog:
	Fixed appearance of destination medium (there was only file type before)
	This patch should probably be backported to stable (with a few changes)

	* src/brasero-dest-selection.c
	(brasero_dest_selection_source_changed),
	(brasero_dest_selection_init):
	* src/brasero-disc-copy-dialog.c (brasero_disc_copy_dialog_init):
	* src/brasero-drive-selection.c
	(brasero_drive_selection_set_type_shown):
	* src/brasero-medium-selection.c
	(brasero_medium_selection_medium_added_cb):
	* src/burn-drive.c (brasero_drive_can_write):
	* src/burn-drive.h:
	* src/burn-medium-monitor.c (brasero_medium_monitor_get_media):
	* src/burn-medium-monitor.h:

2008-04-21  Philippe Rouquier  <algernon@localhost.localdomain>

	Make sure there is always a default path set when we're creating an image

	* src/brasero-dest-selection.c
	(brasero_dest_selection_source_changed):
	* src/brasero-disc-copy-dialog.c (brasero_disc_copy_dialog_init):

2008-04-19  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix crash when setting the path for an image output when there was none before

	* src/brasero-image-properties.c
	(brasero_image_properties_is_path_edited):

2008-04-19  Philippe Rouquier  <algernon@localhost.localdomain>

	Improvements for volume unmounting/mounting (trunk specific)
	Don't return an error if volume is already unmounted/mounted

	* src/burn-volume-obj.c (brasero_volume_umount_finish),
	(brasero_volume_mount_finish), (brasero_volume_eject_finish):
	* src/burn.c (brasero_burn_eject_dest_media):

2008-04-18  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix project size widget that fixes
	#528103 – selecting the disc type not displayed well on RTL Desktop
	#514103 – GUI Layout Broken

	* src/brasero-data-disc.c (brasero_data_disc_init):
	* src/brasero-layout.c (brasero_layout_type_changed_cb),
	(brasero_layout_init):
	* src/brasero-project-size.c (brasero_project_size_size_request),
	(brasero_project_size_size_allocate),
	(brasero_project_size_expose),
	(brasero_project_size_menu_position_cb):

2008-04-18  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix a problem where metadata didn't say when it was cancelled leading to unloaded files in audio project
	Remove some debug statements
	Revert one patch to fix an unidentified crash

	* src/brasero-audio-disc.c
	(brasero_audio_disc_set_row_from_metadata),
	(brasero_audio_disc_add_uri_real):
	* src/brasero-io.c (brasero_io_unref_result_callback_data),
	(brasero_io_push_job), (brasero_io_get_metadata_info),
	(brasero_io_get_file_count_process_file):
	* src/brasero-metadata.c (brasero_metadata_completed),
	(brasero_metadata_bus_messages), (brasero_metadata_get_info_wait):

2008-04-17  Philippe Rouquier  <algernon@localhost.localdomain>

	Avoid crashing with unsupported video (#527911 – Brasero crashes when browsing files)

	* src/brasero-metadata.c (brasero_metadata_new_decoded_pad_cb):

2008-04-17  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix a bug were songs with a length inferior to 6 sec didn't have their length updated in the tree
	(unstable branch specific)

	* src/brasero-audio-disc.c
	(brasero_audio_disc_set_row_from_metadata),
	(brasero_audio_disc_add_uri_real):

2008-04-17  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/brasero-io.c (brasero_io_unref_result_callback_data):

	Another try to fix crash without any backward.

2008-04-17  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/brasero-project.c:
	
	Add clear button to toolbar closes bgo #515789.

2008-04-16  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/brasero-player-bacon.c (brasero_player_bacon_set_volume):

	Fix volume level to match other Gnome apps.

2008-04-16  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix #516687 – Handle audio playlists
	Added possibility to save audio project as a playlist and open playlists as audio projects
	Fixed problems with building without totem-pl-parser

	* data/brasero.desktop.in.in:
	* src/brasero-audio-disc.c (brasero_audio_disc_new_row_cb):
	* src/brasero-io.c (brasero_io_get_file_count_process_file),
	(brasero_io_load_directory_thread):
	* src/brasero-project-manager.c
	(brasero_project_manager_open_project),
	(brasero_project_manager_open_playlist),
	(brasero_project_manager_open_by_mime),
	(brasero_project_manager_open_uri),
	(brasero_project_manager_open_cb),
	(brasero_project_manager_recent_clicked_cb),
	(brasero_project_manager_init):
	* src/brasero-project-manager.h:
	* src/brasero-project-type-chooser.c
	(brasero_project_type_chooser_recent_clicked_cb),
	(brasero_project_type_chooser_build_recent),
	(brasero_project_type_chooser_class_init):
	* src/brasero-project-type-chooser.h:
	* src/brasero-project.c (brasero_project_add_to_recents),
	(brasero_project_set_uri), (brasero_project_open_project),
	(brasero_project_playlist_entry_parsed),
	(brasero_project_open_audio_playlist_project),
	(brasero_project_open_playlist),
	(brasero_project_save_audio_playlist_entry),
	(brasero_project_save_audio_project_playlist),
	(brasero_project_save_project_real),
	(brasero_project_save_project_ask_for_path):
	* src/brasero-project.h:
	* src/main.c (brasero_app_recent_open), (brasero_app_add_recent),
	(brasero_app_parse_options), (main):

2008-04-15  Philippe Rouquier  <algernon@localhost.localdomain>

	Added the possibility to save an audio project to plain text file as a list of songs
	Some cleaning 
	Plugged two memleaks specific to trunk branch

	* src/brasero-audio-disc.c
	(brasero_audio_disc_set_row_from_metadata),
	(brasero_audio_disc_get_track):
	* src/brasero-disc.c (brasero_track_clear_song):
	* src/brasero-disc.h:
	* src/brasero-project.c
	(brasero_project_save_audio_project_plain_text),
	(brasero_project_save_project_real),
	(brasero_project_save_project_ask_for_path),
	(brasero_project_save_project), (brasero_project_save_project_as),
	(brasero_project_save_session):
	* src/brasero-session.c (brasero_session_get_path):
	* src/scsi-get-configuration.h:
	* src/scsi-spc1.h:

2008-04-15  Philippe Rouquier  <algernon@localhost.localdomain>

	fix #525501 – Brasero displays odd burning speeds (1-3-5-etc) instead of even values (2-4-8-etc)

	display only list of speeds returned by drive (there can be only one sometimes) instead of
	making up some with a 2 increment

	* src/brasero-dest-selection.c
	(brasero_dest_selection_save_drive_properties),
	(brasero_dest_selection_set_drive_properties):
	* src/brasero-drive-properties.c
	(brasero_drive_properties_format_disc_speed),
	(brasero_drive_properties_set_drive):
	* src/burn-medium.c (brasero_medium_get_write_speeds),
	(brasero_medium_init_real):
	* src/burn-medium.h:

2008-04-14  Philippe Rouquier  <algernon@localhost.localdomain>

	improvements over last change (put all files in a directory)

	* src/brasero-session.c (brasero_session_get_path),
	(brasero_session_load), (brasero_session_save):

2008-04-14  Philippe Rouquier  <algernon@localhost.localdomain>

	Fix for #520398 – Brasero doesn't match FreeDesktop directories specs

	* src/brasero-session.c (brasero_session_load),
	(brasero_session_save):

2008-04-14  Philippe Rouquier  <algernon@localhost.localdomain>

	Integrate the cover editor a bit further by filling it automatically when it is called
	while an audio project is opened or after a successful burn.

	* src/brasero-burn-dialog.c (brasero_burn_dialog_success_run),
	(brasero_burn_dialog_notify_success):
	* src/brasero-jacket-buffer.c (brasero_jacket_buffer_insert_text),
	(brasero_jacket_buffer_show_default_text):
	* src/brasero-jacket-edit.c (brasero_jacket_edit_print_page),
	(brasero_jacket_edit_set_audio_tracks),
	(brasero_jacket_edit_dialog_new):
	* src/brasero-jacket-edit.h:
	* src/brasero-jacket-view.c (brasero_jacket_view_get_body_buffer),
	(brasero_jacket_view_get_side_buffer):
	* src/brasero-jacket-view.h:
	* src/brasero-menu.h:
	* src/brasero-project-manager.c
	(brasero_project_manager_new_cover_cb):
	* src/brasero-project-manager.h:
	* src/brasero-project.c (brasero_project_set_cover_specifics),
	(brasero_project_switch), (brasero_project_set_none),
	(brasero_project_empty_cb):
	* src/brasero-project.h:
	* src/main.c:

2008-04-13  Philippe Rouquier  <algernon@localhost.localdomain>

	Removed some unneeded translated strings

	* src/brasero-burn-dialog.c (brasero_burn_dialog_success_run),
	(brasero_burn_dialog_notify_success):

2008-04-13  Philippe Rouquier  <algernon@localhost.localdomain>

	Added a CD cover editor

	* src/Makefile.am:
	* src/brasero-jacket-background.c
	(brasero_jacket_background_get_color_style),
	(brasero_jacket_background_get_image_style),
	(brasero_jacket_background_get_image_path),
	(brasero_jacket_background_set_color_style),
	(brasero_jacket_background_get_color),
	(brasero_jacket_background_set_image_style),
	(brasero_jacket_background_set_image_path),
	(brasero_jacket_background_set_color),
	(brasero_jacket_background_color_type_changed_cb),
	(brasero_jacket_background_add_filters),
	(brasero_jacket_background_init),
	(brasero_jacket_background_finalize),
	(brasero_jacket_background_class_init),
	(brasero_jacket_background_new):
	* src/brasero-jacket-background.h:
	* src/brasero-jacket-buffer.c (brasero_jacket_buffer_get_text),
	(brasero_jacket_buffer_add_default_tag),
	(brasero_jacket_buffer_cursor_position_changed_cb),
	(brasero_jacket_buffer_insert_text),
	(brasero_jacket_buffer_show_default_text),
	(brasero_jacket_buffer_set_default_text),
	(brasero_jacket_buffer_init), (brasero_jacket_buffer_finalize),
	(brasero_jacket_buffer_class_init), (brasero_jacket_buffer_new):
	* src/brasero-jacket-buffer.h:
	* src/brasero-jacket-edit.c (brasero_jacket_edit_print_page),
	(brasero_jacket_edit_print_begin),
	(brasero_jacket_edit_print_pressed_cb),
	(brasero_jacket_edit_underline_pressed_cb),
	(brasero_jacket_edit_italic_pressed_cb),
	(brasero_jacket_edit_bold_pressed_cb),
	(brasero_jacket_edit_center_pressed_cb),
	(brasero_jacket_edit_right_pressed_cb),
	(brasero_jacket_edit_left_pressed_cb),
	(brasero_jacket_edit_colours_changed_cb),
	(brasero_jacket_edit_font_changed_cb),
	(brasero_jacket_edit_update_button_state),
	(brasero_jacket_edit_tags_changed_cb), (brasero_jacket_edit_init),
	(brasero_jacket_edit_finalize), (brasero_jacket_edit_class_init),
	(brasero_jacket_edit_new):
	* src/brasero-jacket-edit.h:
	* src/brasero-jacket-font.c
	(brasero_jacket_font_family_changed_cb),
	(brasero_jacket_font_size_changed_cb),
	(brasero_jacket_font_set_name), (brasero_jacket_font_get_name),
	(brasero_jacket_fill_sizes), (brasero_jacket_fill_families),
	(brasero_jacket_font_init), (brasero_jacket_font_finalize),
	(brasero_jacket_font_class_init), (brasero_jacket_font_new):
	* src/brasero-jacket-font.h:
	* src/brasero-jacket-view.c (brasero_jacket_view_tag_begins),
	(brasero_jacket_view_tag_ends),
	(brasero_jacket_view_set_line_attributes),
	(brasero_jacket_view_render_side_text),
	(brasero_jacket_view_render), (brasero_jacket_view_render_body),
	(brasero_jacket_view_print), (brasero_jacket_view_snapshot),
	(brasero_jacket_view_cursor_position_changed_cb),
	(brasero_jacket_view_apply_tag),
	(brasero_jacket_view_side_buffer_changed),
	(brasero_jacket_view_focus_in_cb),
	(brasero_jacket_view_focus_out_cb),
	(brasero_jacket_view_scrolled_cb),
	(brasero_jacket_view_change_image_activated_cb),
	(brasero_jacket_view_populate_popup_cb),
	(brasero_jacket_view_set_side),
	(brasero_jacket_view_update_edit_image),
	(brasero_jacket_view_update_image),
	(brasero_jacket_view_set_image_style),
	(brasero_jacket_view_update_color),
	(brasero_jacket_view_get_image), (brasero_jacket_view_set_image),
	(brasero_jacket_view_set_color_background),
	(brasero_jacket_view_set_color_style),
	(brasero_jacket_view_get_default_attributes),
	(brasero_jacket_view_get_active_buffer),
	(brasero_jacket_view_expose), (brasero_jacket_view_realize),
	(brasero_jacket_view_map), (brasero_jacket_view_unmap),
	(brasero_jacket_view_size_request),
	(brasero_jacket_view_size_allocate),
	(brasero_jacket_view_container_forall),
	(brasero_jacket_view_container_remove), (brasero_jacket_view_init),
	(brasero_jacket_view_finalize), (brasero_jacket_view_class_init),
	(brasero_jacket_view_new):
	* src/brasero-jacket-view.h:
	* src/brasero-menu.h:
	* src/main.c (on_cover_cb):

2008-04-13  Philippe Rouquier  <algernon@localhost.localdomain>

	Fixed corrupted path on CD

	* src/brasero-data-project.c (brasero_data_project_node_to_path):

2008-04-13  Philippe Rouquier  <algernon@localhost.localdomain>

	remove some uneeded flags from Makefile.am
	remove burn-commons.c since it isn't built anymore
	revert change 698 since though it fixes the crash, it creates a huge memory leaks.

	* src/Makefile.am:
	* src/brasero-io.c (brasero_io_unref_result_callback_data):
	* src/burn-common.c:
	* src/burn-common.h:
	* src/plugins/cdrdao/Makefile.am:
	* src/plugins/cdrkit/Makefile.am:
	* src/plugins/cdrtools/Makefile.am:
	* src/plugins/checksum/Makefile.am:
	* src/plugins/dvdcss/Makefile.am:
	* src/plugins/growisofs/Makefile.am:
	* src/plugins/libburnia/Makefile.am:
	* src/plugins/local-track/Makefile.am:
	* src/plugins/transcode/Makefile.am:

2008-04-13  Philippe Rouquier  <algernon@localhost.localdomain>

	Add new functions to read file disc without mounting it
	Now the checksum-file plugin will include the previous session file checksums for a multi session CD

	* src/Makefile.am:
	* src/brasero-disc-option-dialog.c
	(brasero_disc_option_dialog_get_default_label):
	* src/burn-iso9660.c (brasero_iso9660_read_record_iso_name),
	(brasero_iso9660_read_record_rr_name),
	(brasero_iso9660_read_file_record),
	(brasero_iso9660_read_directory_records),
	(brasero_iso9660_lookup_directory_record),
	(brasero_iso9660_get_file):
	* src/burn-iso9660.h:
	* src/burn-volume-obj.c (brasero_volume_eject),
	(brasero_volume_get_name):
	* src/burn-volume-obj.h:
	* src/burn-volume.c (brasero_volume_file_free),
	(brasero_volume_get_file), (brasero_volume_file_size),
	(brasero_volume_file_merge):
	* src/burn-volume.h:
	* src/plugins/checksum/burn-checksum-files.c
	(brasero_checksum_file_process_former_line),
	(brasero_checksum_files_merge_with_former_session),
	(brasero_checksum_files_create_checksum):
	* src/plugins/dvdcss/burn-dvdcss.c
	(brasero_dvdcss_create_scrambled_sectors_map):

2008-04-12  Luis Medinas  <lmedinas@svn.gnome.org>

	* configure.in:

	Change trunk version to 0.7.90 in preparation for 0.8.x series.

2008-04-05  Luis Medinas  <metalgod@svn.gnome.org>

	* src/brasero-search-beagle.c: (brasero_search_add_hit_to_tree):

	Port beagle search to GIO.

2008-04-05  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/brasero-io.c: (brasero_io_unref_result_callback_data):

	Fix crash.

2008-03-15  Philippe Rouquier  <philippr@svn.gnome.org>

	Fixed a few bugs (problem with data project loading, some warnings, properties button not shown)
	Removed video option and enable UDF and VIDEO burning automatically whenever there is a DVD in drive and all necessary files

	* src/brasero-data-project.c: (brasero_data_project_add_node_real):
	* src/brasero-dest-selection.c:
	(brasero_dest_selection_save_drive_properties),
	(brasero_dest_selection_set_drive_properties),
	(brasero_dest_selection_init):
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_load_multi_state),
	(brasero_disc_option_dialog_get_default_label),
	(brasero_disc_option_dialog_update_multi),
	(brasero_disc_option_dialog_caps_changed),
	(brasero_disc_option_dialog_output_changed),
	(brasero_disc_option_dialog_set_multi),
	(brasero_disc_option_dialog_multi_widget),
	(brasero_disc_option_dialog_add_data_options):
	* src/burn-drive.c: (brasero_drive_is_door_open),
	(brasero_drive_lock), (brasero_drive_unlock),
	(brasero_drive_get_display_name):
	* src/burn-session.c: (brasero_burn_session_dest_media_removed):
	* src/burn-volume-obj.c: (brasero_volume_new):

2008-03-14  Philippe Rouquier  <philippr@svn.gnome.org>

	Fixed a bug where removing an URI didn't remove the child URIs in filtered tree

	* src/brasero-data-disc.c: (brasero_data_disc_filtered_uri_cb):
	* src/brasero-data-project.c:
	(brasero_data_project_uri_remove_graft),
	(brasero_data_project_remove_node_children_graft_cb),
	(brasero_data_project_node_removed):
	* src/brasero-data-project.h:
	* src/brasero-data-vfs.c: (brasero_data_vfs_remove_filtered_uris),
	(brasero_data_vfs_uri_removed), (brasero_data_vfs_class_init):
	* src/brasero-data-vfs.h:
	* src/brasero-file-filtered.c: (brasero_file_filtered_remove),
	(brasero_file_filtered_add):
	* src/brasero-file-filtered.h:

2008-03-14  Philippe Rouquier  <philippr@svn.gnome.org>

	New function for improved FreeBSD compatibilty which retrieves bus, target, lun from HAL
	Use if when compiled with CAM driver.

	* src/burn-drive.c: (brasero_drive_get_bus_target_lun),
	(brasero_drive_get_bus_target_lun_string),
	(brasero_drive_finalize), (brasero_drive_init_real):
	* src/burn-drive.h:
	* src/burn-job.c: (brasero_job_get_bus_target_lun):
	* src/burn-job.h:
	* src/plugins/cdrdao/burn-cdrdao.c:
	(brasero_cdrdao_set_argv_device), (brasero_cdrdao_set_argv_record),
	(brasero_cdrdao_set_argv_image):
	* src/plugins/cdrtools/burn-cdrecord.c:
	(brasero_cdrecord_stderr_read), (brasero_cdrecord_set_argv):
	* src/plugins/cdrtools/burn-mkisofs.c:
	(brasero_mkisofs_set_argv_image):
	* src/plugins/cdrtools/burn-readcd.c: (brasero_readcd_set_argv):

2008-03-12  Philippe Rouquier  <philippr@svn.gnome.org>

	Make all md5 plugin use glib's. That also adds possibility to use SHA1/SHA256 to checksum.
	Fix #438849 – md5 checksuming is a little weak

	* src/brasero-plugin-option.c:
	(brasero_plugin_option_save_settings),
	(brasero_plugin_option_add_conf_widget):
	* src/brasero-sum-dialog.c:
	(brasero_sum_dialog_set_track_checksum_type),
	(brasero_sum_dialog_check_disc_sum):
	* src/burn-basics.h:
	* src/burn-caps.c: (brasero_burn_caps_new_checksuming_task):
	* src/burn-plugin-private.h:
	* src/burn-plugin.c: (brasero_plugin_conf_option_choice_pair_free),
	(brasero_plugin_conf_option_free),
	(brasero_plugin_conf_option_choice_add),
	(brasero_plugin_conf_option_choice_get):
	* src/burn-plugin.h:
	* src/burn-track.c: (brasero_track_set_checksum):
	* src/burn-track.h:
	* src/burn-volume-obj.c: (brasero_volume_is_mounted),
	(brasero_volume_umount_finish), (brasero_volume_umount),
	(brasero_volume_mount_finish), (brasero_volume_mount),
	(brasero_volume_ejected_cb), (brasero_volume_eject_finish),
	(brasero_volume_eject):
	* src/burn.c: (brasero_burn_eject_dest_media),
	(brasero_burn_lock_checksum_media),
	(brasero_burn_unlock_dest_media), (brasero_burn_check_real),
	(brasero_burn_record_session):
	* src/plugins/checksum/Makefile.am:
	* src/plugins/checksum/burn-md5.c:
	* src/plugins/checksum/burn-md5.h:
	* src/plugins/checksum/burn-md5sum-file.c:
	(brasero_md5sum_file_get_file_checksum),
	(brasero_md5sum_file_add_file_checksum),
	(brasero_md5sum_file_explore_directory),
	(brasero_md5sum_file_create_checksum),
	(brasero_md5sum_file_check_files), (brasero_md5sum_file_end),
	(brasero_md5sum_file_thread), (brasero_md5sum_file_activate),
	(brasero_md5sum_file_clock_tick), (brasero_md5sum_file_stop),
	(brasero_md5sum_file_export_caps):
	* src/plugins/checksum/burn-md5sum-file.h:
	* src/plugins/checksum/burn-md5sum.c: (brasero_md5sum_read),
	(brasero_md5sum_write), (brasero_md5sum_checksum),
	(brasero_md5sum_checksum_fd_input),
	(brasero_md5sum_checksum_file_input),
	(brasero_md5sum_create_checksum),
	(brasero_md5sum_image_and_checksum), (brasero_md5sum_end),
	(brasero_md5sum_thread), (brasero_md5sum_clock_tick),
	(brasero_md5sum_stop), (brasero_md5sum_finalize),
	(brasero_md5sum_export_caps):
	* src/plugins/local-track/burn-local-image.c:
	(brasero_local_track_read_checksum),
	(brasero_local_track_download_checksum),
	(brasero_local_track_thread_finished),
	(brasero_local_track_thread), (brasero_local_track_start),
	(brasero_local_track_stop):

2008-03-08  Philippe Rouquier  <philippr@svn.gnome.org>

	Last patch to remove the last bits of nautilus-burn library
	Now we rely on HAL for device detection and GIO for all mounting/unmounting/ejection which means you must have gvfs module for HAL installed
	Some fixes and memleak fixes
	Removed Application from Categories in desktop file

	* configure.in:
	* data/brasero.desktop.in.in:
	* src/Makefile.am:
	* src/brasero-blank-dialog.c: (brasero_blank_dialog_drive_changed),
	(brasero_blank_dialog_init):
	* src/brasero-dest-selection.c:
	(brasero_dest_selection_check_same_src_dest),
	(brasero_dest_selection_drive_properties),
	(brasero_dest_selection_set_drive_properties),
	(brasero_dest_selection_caps_changed),
	(brasero_dest_selection_output_changed),
	(brasero_dest_selection_set_property):
	* src/brasero-disc-copy-dialog.c: (brasero_disc_copy_dialog_init):
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_get_default_label):
	* src/brasero-drive-info.c: (brasero_drive_info_set_medium),
	(brasero_drive_info_finalize):
	* src/brasero-drive-selection.c:
	(brasero_drive_selection_drive_changed_cb),
	(brasero_drive_selection_get_drive):
	* src/brasero-eject-dialog.c: (brasero_eject_dialog_drive_changed),
	(brasero_eject_dialog_activate), (brasero_eject_dialog_cancel),
	(brasero_eject_dialog_class_init), (brasero_eject_dialog_init):
	* src/brasero-medium-selection.c:
	(brasero_medium_selection_set_active),
	(brasero_medium_selection_get_active),
	(brasero_medium_selection_show_type),
	(brasero_medium_selection_medium_added_cb),
	(brasero_medium_selection_medium_removed_cb),
	(brasero_medium_selection_init),
	(brasero_medium_selection_finalize):
	* src/brasero-project-size.c:
	(brasero_project_size_get_media_string),
	(brasero_project_size_build_menu),
	(brasero_project_size_add_real_medias):
	* src/brasero-sum-dialog.c: (brasero_sum_dialog_drive_changed),
	(brasero_sum_dialog_class_init), (brasero_sum_dialog_init):
	* src/brasero-tool-dialog.c: (brasero_tool_dialog_run),
	(brasero_tool_dialog_drive_changed_cb),
	(brasero_tool_dialog_cancel), (brasero_tool_dialog_init):
	* src/brasero-tool-dialog.h:
	* src/brasero-utils.c: (brasero_utils_get_time_string_from_size):
	* src/burn-basics.c: (brasero_burn_library_shutdown):
	* src/burn-drive.c: (brasero_drive_is_fake),
	(brasero_drive_get_hal_context), (brasero_drive_is_door_open),
	(brasero_drive_lock), (brasero_drive_unlock),
	(brasero_drive_get_display_name), (brasero_drive_get_device),
	(brasero_drive_get_udi), (brasero_drive_get_medium),
	(brasero_drive_set_medium), (brasero_drive_get_caps),
	(brasero_drive_finalize), (brasero_drive_init_real),
	(brasero_drive_set_property), (brasero_drive_get_property),
	(brasero_drive_class_init), (brasero_drive_new):
	* src/burn-drive.h:
	* src/burn-job.c: (brasero_job_get_max_speed):
	* src/burn-medium-monitor.c:
	(brasero_medium_monitor_drive_inserted),
	(brasero_medium_monitor_medium_inserted),
	(brasero_medium_monitor_inserted_cb),
	(brasero_medium_monitor_removed_cb),
	(brasero_medium_monitor_add_file), (brasero_medium_monitor_init),
	(brasero_medium_monitor_finalize),
	(brasero_medium_monitor_get_default):
	* src/burn-medium.c: (brasero_medium_finalize),
	(brasero_medium_set_property), (brasero_medium_get_property),
	(brasero_medium_class_init), (brasero_medium_can_be_written),
	(brasero_medium_can_be_rewritten), (brasero_medium_get_drive),
	(brasero_medium_get_udi), (brasero_medium_get_type):
	* src/burn-medium.h:
	* src/burn-session.c: (brasero_burn_session_set_image_output_full),
	(brasero_burn_session_get_dest_media):
	* src/burn-task-ctx.c:
	* src/burn-volume-obj.c: (brasero_volume_get_gvolume),
	(brasero_volume_is_mounted), (brasero_volume_get_mount_point),
	(brasero_volume_wait_for_operation_end),
	(brasero_volume_operation_end), (brasero_volume_umount_finish),
	(brasero_volume_umount), (brasero_volume_mount_finish),
	(brasero_volume_mount), (brasero_volume_eject_finish),
	(brasero_volume_eject), (brasero_volume_cancel_current_operation),
	(brasero_volume_get_display_label), (brasero_volume_init),
	(brasero_volume_finalize), (brasero_volume_class_init),
	(brasero_volume_new):
	* src/burn-volume-obj.h:
	* src/burn.c: (brasero_burn_eject_dest_media),
	(brasero_burn_eject_src_media), (brasero_burn_lock_src_media),
	(brasero_burn_lock_rewritable_media),
	(brasero_burn_lock_dest_media), (brasero_burn_mount_media),
	(brasero_burn_lock_checksum_media),
	(brasero_burn_unlock_src_media), (brasero_burn_unlock_dest_media),
	(brasero_burn_run_eraser), (brasero_burn_run_imager),
	(brasero_burn_run_recorder), (brasero_burn_check_real),
	(brasero_burn_class_init):
	* src/main.c: (on_erase_cb), (on_eject_cb),
	(on_integrity_check_cb):
	* src/plugins/checksum/burn-md5sum-file.c:
	(brasero_md5sum_file_disc_files):
	* src/scsi-eject.c: (brasero_mmc1_load_cd):
	* src/scsi-mech-status.c: (brasero_mmc1_mech_status):
	* src/scsi-mech-status.h:
	* src/scsi-mmc1.h:
	* src/scsi-opcodes.h:

2008-02-29  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix icon for mime types (work with glib2.15.6)

	* configure.in:
	* src/brasero-data-tree-model.c:
	(brasero_data_tree_model_get_value),
	(brasero_data_tree_model_init), (brasero_data_tree_model_finalize):
	* src/brasero-search-beagle.c: (brasero_search_add_hit_to_tree):

2008-02-29  Philippe Rouquier  <philippr@svn.gnome.org>

	Second patch toward ncb removal.
	Also, some small bug and memleaks fixed

	* src/Makefile.am:
	* src/brasero-blank-dialog.c: (brasero_blank_dialog_drive_changed),
	(brasero_blank_dialog_activate), (brasero_blank_dialog_init):
	* src/brasero-burn-dialog.c:
	(brasero_burn_dialog_wait_for_insertion),
	(brasero_burn_dialog_insert_disc_cb), (brasero_burn_dialog_init),
	(brasero_burn_dialog_notify_success), (brasero_burn_dialog_run):
	* src/brasero-data-disc.c: (brasero_data_disc_set_drive):
	* src/brasero-data-session.c: (brasero_data_session_add_last),
	(brasero_data_session_set_drive), (brasero_data_session_finalize):
	* src/brasero-data-session.h:
	* src/brasero-data-tree-model.c:
	(brasero_data_tree_model_get_value):
	* src/brasero-dest-selection.c:
	(brasero_dest_selection_check_same_src_dest),
	(brasero_dest_selection_drive_properties),
	(brasero_dest_selection_properties_button_cb),
	(brasero_dest_selection_set_drive_properties),
	(brasero_dest_selection_check_drive_settings),
	(brasero_dest_selection_caps_changed),
	(brasero_dest_selection_output_changed),
	(brasero_dest_selection_drive_changed),
	(brasero_dest_selection_init),
	(brasero_dest_selection_set_property):
	* src/brasero-disc-copy-dialog.c: (brasero_disc_copy_dialog_init):
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_get_default_label),
	(brasero_disc_option_dialog_init):
	* src/brasero-disc-option-dialog.h:
	* src/brasero-disc.c: (brasero_disc_set_current_drive):
	* src/brasero-disc.h:
	* src/brasero-drive-info.c: (brasero_drive_info_update_info),
	(brasero_drive_info_set_same_src_dest),
	(brasero_drive_info_set_medium), (brasero_drive_info_init),
	(brasero_drive_info_finalize):
	* src/brasero-drive-info.h:
	* src/brasero-drive-properties.c:
	(brasero_drive_properties_set_tmpdir),
	(brasero_drive_properties_set_drive):
	* src/brasero-drive-properties.h:
	* src/brasero-drive-selection.c:
	(brasero_drive_selection_drive_changed_cb),
	(brasero_drive_selection_set_drive),
	(brasero_drive_selection_get_medium),
	(brasero_drive_selection_get_drive),
	(brasero_drive_selection_lock), (brasero_drive_selection_init),
	(brasero_drive_selection_finalize),
	(brasero_drive_selection_class_init):
	* src/brasero-drive-selection.h:
	* src/brasero-eject-dialog.c: (brasero_eject_dialog_drive_changed),
	(_eject_async), (brasero_eject_dialog_activate):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_set_formats),
	(brasero_image_option_dialog_init):
	* src/brasero-medium-selection.c:
	(brasero_medium_selection_show_type),
	(brasero_medium_selection_medium_added_cb),
	(brasero_medium_selection_init):
	* src/brasero-ncb.c:
	* src/brasero-ncb.h:
	* src/brasero-project-manager.c: (brasero_project_manager_burn),
	(brasero_project_manager_burn_disc):
	* src/brasero-project-size.c:
	(brasero_project_size_add_default_medias),
	(brasero_project_size_finalize),
	(brasero_project_size_get_ruler_min_width),
	(brasero_project_size_get_media_string),
	(brasero_project_size_expose),
	(brasero_project_size_disc_changed_cb),
	(brasero_project_size_build_menu),
	(brasero_project_size_scroll_event),
	(brasero_project_size_find_proper_drive),
	(brasero_project_size_set_context),
	(brasero_project_size_check_status),
	(brasero_project_size_disc_added_cb),
	(brasero_project_size_disc_removed_cb),
	(brasero_project_size_add_real_medias),
	(brasero_project_size_get_active_medium):
	* src/brasero-project-size.h:
	* src/brasero-project.c: (brasero_project_disc_changed_cb),
	(brasero_project_burn):
	* src/brasero-src-selection.c:
	(brasero_src_selection_drive_changed),
	(brasero_src_selection_init), (brasero_src_selection_set_property):
	* src/brasero-sum-dialog.c: (brasero_sum_dialog_get_disc_checksum),
	(brasero_sum_dialog_check_md5_file),
	(brasero_sum_dialog_check_disc_sum), (brasero_sum_dialog_activate):
	* src/brasero-tool-dialog.c: (brasero_tool_dialog_run),
	(brasero_tool_dialog_get_medium),
	(brasero_tool_dialog_drive_changed_cb):
	* src/brasero-tool-dialog.h:
	* src/brasero-utils.c:
	* src/burn-basics.c: (brasero_burn_library_init):
	* src/burn-caps.c:
	* src/burn-caps.h:
	* src/burn-drive.c: (brasero_drive_eject), (free_command_data),
	(command_done), (command_timeout), (try_hidden_locations),
	(create_command), (command_thread_start), (launch_command),
	(brasero_drive_mount), (brasero_drive_unmount),
	(brasero_drive_unmount_wait), (brasero_drive_get_gdrive),
	(brasero_drive_get_mount_point), (brasero_drive_is_mounted),
	(brasero_drive_is_door_open), (brasero_drive_lock),
	(brasero_drive_unlock), (brasero_drive_get_display_name),
	(brasero_drive_get_volume_label), (brasero_drive_get_device),
	(brasero_drive_get_medium), (brasero_drive_get_nautilus_drive),
	(brasero_drive_set_medium), (brasero_drive_can_write),
	(brasero_drive_can_rewrite), (brasero_drive_is_fake),
	(brasero_drive_init), (brasero_drive_finalize),
	(brasero_drive_set_property), (brasero_drive_get_property),
	(brasero_drive_class_init), (brasero_drive_new):
	* src/burn-drive.h:
	* src/burn-job.c: (brasero_job_check_output_disc_space),
	(brasero_job_check_output_volume_space), (brasero_job_get_device),
	(brasero_job_get_last_session_address),
	(brasero_job_get_next_writable_address),
	(brasero_job_get_max_rate), (brasero_job_get_max_speed):
	* src/burn-medium-monitor.c: (brasero_medium_monitor_get_media),
	(brasero_medium_monitor_inserted_cb),
	(brasero_medium_monitor_removed_cb),
	(brasero_burn_medium_monitor_add_file),
	(brasero_medium_monitor_init), (brasero_medium_monitor_finalize):
	* src/burn-medium-monitor.h:
	* src/burn-medium.c: (brasero_medium_get_status),
	(brasero_medium_init_real), (brasero_medium_retry_open),
	(brasero_medium_try_open), (brasero_medium_finalize),
	(brasero_medium_set_property), (brasero_medium_get_property),
	(brasero_medium_class_init), (brasero_medium_can_be_written),
	(brasero_medium_can_be_rewritten), (brasero_medium_get_label),
	(brasero_medium_new):
	* src/burn-medium.h:
	* src/burn-session.c: (brasero_session_settings_clean),
	(brasero_session_settings_copy),
	(brasero_burn_session_src_media_added),
	(brasero_burn_session_src_media_removed),
	(brasero_burn_session_start_src_drive_monitoring),
	(brasero_burn_session_stop_src_drive_monitoring),
	(brasero_burn_session_dest_media_added),
	(brasero_burn_session_dest_media_removed),
	(brasero_burn_session_set_burner), (brasero_burn_session_get_rate),
	(brasero_burn_session_set_image_output_full),
	(brasero_burn_session_pop_settings),
	(brasero_burn_session_get_dest_media),
	(brasero_burn_session_get_src_medium),
	(brasero_burn_session_same_src_dest_drive),
	(brasero_burn_session_start),
	(brasero_burn_session_get_config_key):
	* src/burn-session.h:
	* src/burn-track.c: (brasero_track_clean),
	(brasero_track_get_type), (brasero_track_disc_copy),
	(brasero_track_set_drive_source),
	(brasero_track_get_medium_source),
	(brasero_track_get_disc_capacity),
	(brasero_track_get_disc_data_size),
	(brasero_track_get_disc_free_space):
	* src/burn-track.h:
	* src/burn.c: (_eject_async), (brasero_burn_eject_async),
	(brasero_burn_eject_dest_media), (brasero_burn_eject_src_media),
	(brasero_burn_ask_for_media), (brasero_burn_ask_for_src_media),
	(brasero_burn_ask_for_dest_media), (brasero_burn_lock_src_media),
	(brasero_burn_lock_rewritable_media),
	(brasero_burn_lock_dest_media), (brasero_burn_mount_media),
	(brasero_burn_lock_checksum_media),
	(brasero_burn_unlock_src_media), (brasero_burn_unlock_dest_media),
	(brasero_burn_run_eraser), (brasero_burn_run_imager),
	(brasero_burn_run_recorder), (brasero_burn_check_real),
	(brasero_burn_check_session_consistency),
	(brasero_burn_record_session):
	* src/burn.h:
	* src/main.c: (main):
	* src/plugins/cdrdao/burn-cdrdao.c:
	(brasero_cdrdao_set_argv_record), (brasero_cdrdao_set_argv_image):
	* src/plugins/cdrkit/burn-readom.c:
	(brasero_readom_argv_set_iso_boundary), (brasero_readom_get_size),
	(brasero_readom_set_argv):
	* src/plugins/cdrkit/burn-wodim.c:
	* src/plugins/cdrtools/burn-cdrecord.c:
	* src/plugins/cdrtools/burn-mkisofs.c:
	* src/plugins/cdrtools/burn-readcd.c:
	(brasero_readcd_argv_set_iso_boundary), (brasero_readcd_get_size),
	(brasero_readcd_set_argv):
	* src/plugins/checksum/burn-md5sum-file.c:
	(brasero_md5sum_file_disc_files):
	* src/plugins/checksum/burn-md5sum.c: (brasero_md5sum_image):
	* src/plugins/dvdcss/burn-dvdcss.c:
	(brasero_dvdcss_write_image_thread):
	* src/plugins/growisofs/burn-dvd-rw-format.c:
	* src/plugins/growisofs/burn-growisofs.c:
	* src/plugins/transcode/burn-transcode.c:

2008-02-27  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/brasero-burn-dialog.c:
	(brasero_burn_dialog_dummy_success_cb):
	* src/brasero-disc-copy-dialog.c: (brasero_disc_copy_dialog_init):
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_init):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_init):
	* src/brasero-project.c: (brasero_project_init):

	Use Button size in some icons. Closes bgo #518872
	Patch from Michael Monreal <michael.monreal@gmx.net>.

2008-02-26  Philippe Rouquier  <philippr@svn.gnome.org>

	Started to remove ncb.
	This patch removes any use of nautilus_burn_drive_selection widget and replace by our own
	It also lays the basis for a medium monitor (which should use GIO in the future).

	* src/Makefile.am:
	* src/brasero-data-session.c:
	(brasero_data_session_get_loaded_medium):
	* src/brasero-dest-selection.c: (brasero_dest_selection_init):
	* src/brasero-disc-copy-dialog.c: (brasero_disc_copy_dialog_init):
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_save_multi_state),
	(brasero_disc_option_dialog_set_disc),
	(brasero_disc_option_dialog_init):
	* src/brasero-drive-info.c: (brasero_drive_info_set_drive),
	(brasero_drive_info_finalize):
	* src/brasero-drive-selection.c:
	(brasero_drive_selection_drive_changed_cb),
	(brasero_drive_selection_set_drive),
	(brasero_drive_selection_get_drive),
	(brasero_drive_selection_lock),
	(brasero_drive_selection_set_type_shown),
	(brasero_drive_selection_init):
	* src/brasero-drive-selection.h:
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_init):
	* src/brasero-medium-selection.c:
	(brasero_medium_selection_changed),
	(brasero_medium_selection_set_active),
	(brasero_medium_selection_get_active),
	(brasero_medium_selection_show_type),
	(brasero_medium_selection_medium_added_cb),
	(brasero_medium_selection_medium_removed_cb),
	(brasero_medium_selection_init),
	(brasero_medium_selection_finalize),
	(brasero_medium_selection_class_init),
	(brasero_medium_selection_new):
	* src/brasero-medium-selection.h:
	* src/brasero-ncb.c: (NCB_DRIVE_GET_MEDIUM),
	(NCB_DRIVE_SET_MEDIUM):
	* src/burn-drive.h:
	* src/brasero-src-selection.c: (brasero_src_selection_init):
	* src/brasero-tool-dialog.c: (brasero_tool_dialog_init):
	* src/burn-basics.c: (brasero_burn_library_init),
	(brasero_burn_library_get_plugins_list),
	(brasero_burn_library_shutdown):
	* src/burn-medium-monitor.c: (brasero_burn_medium_get_file),
	(brasero_medium_monitor_get_media),
	(brasero_medium_monitor_inserted_cb),
	(brasero_medium_monitor_removed_cb), (brasero_medium_monitor_init),
	(brasero_medium_monitor_finalize),
	(brasero_medium_monitor_class_init),
	(brasero_medium_monitor_get_default):
	* src/burn-medium-monitor.h:
	* src/burn-medium.c: (brasero_medium_init_file),
	(brasero_medium_set_property), (brasero_medium_can_be_written),
	(brasero_medium_can_be_rewritten),
	(brasero_medium_get_display_name), (brasero_medium_get_drive):
	* src/burn-medium.h:
	* src/plugins/cdrdao/burn-toc2cue.c:
	* src/plugins/dvdcss/burn-dvdcss.c:
	* src/scsi-read-disc-structure.c:

2008-02-26  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/brasero-eject-dialog.c: (brasero_eject_dialog_init):
	* src/brasero-menu.h:

	Use eject icons fixes bgo #515741. Patch from 
	Michael Monreal <michael.monreal@gmx.net>.

2008-02-26  Luis Medinas  <metalgod@svn.gnome.org>

	* src/brasero-search-beagle.c: (brasero_search_add_hit_to_tree):

	Compile fix for GIO.

2008-02-25  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #510480 – Migrate from GnomeVFS to GIO
	Removed GnomeVFS dependency. Now brasero uses Gio and requires glib 2.15.5 at least
	Some memleaks fixed.
	Fixed crash (division by 0)

	* configure.in:
	* src/Makefile.am:
	* src/brasero-async-task-manager.c:
	(brasero_async_task_manager_finalize),
	(brasero_async_task_manager_insert_task),
	(brasero_async_task_manager_thread),
	(brasero_async_task_manager_queue),
	(brasero_async_task_manager_foreach_active),
	(brasero_async_task_manager_foreach_active_remove),
	(brasero_async_task_manager_foreach_unprocessed_remove),
	(brasero_async_task_manager_find_urgent_task):
	* src/brasero-async-task-manager.h:
	* src/brasero-audio-disc.c: (brasero_audio_disc_init),
	(brasero_audio_disc_reset_real), (brasero_audio_disc_finalize),
	(brasero_audio_disc_validate_utf8_name),
	(brasero_audio_disc_set_row_from_metadata),
	(brasero_audio_disc_result),
	(brasero_audio_disc_vfs_operation_finished),
	(brasero_audio_disc_visit_dir_async),
	(brasero_audio_disc_add_playlist),
	(brasero_audio_disc_unreadable_dialog),
	(brasero_audio_disc_new_row_cb), (brasero_audio_disc_add_uri_real),
	(brasero_audio_disc_clipboard_text_cb),
	(brasero_audio_disc_start_monitoring),
	(brasero_audio_disc_inotify_modify),
	(brasero_audio_disc_inotify_attributes_changed_cb),
	(brasero_audio_disc_inotify_attributes_changed),
	(brasero_audio_disc_inotify_monitor_cb):
	* src/brasero-data-disc.c: (brasero_data_disc_clipboard_text_cb),
	(brasero_data_disc_unreadable_uri_cb):
	* src/brasero-data-project.c: (brasero_data_project_uri_to_nodes),
	(brasero_data_project_uri_is_graft_needed),
	(brasero_data_project_node_loaded),
	(brasero_data_project_node_reloaded),
	(brasero_data_project_add_node_from_info),
	(brasero_data_project_add_excluded_uri),
	(brasero_data_project_file_added),
	(brasero_data_project_file_update_URI),
	(brasero_data_project_file_graft):
	* src/brasero-data-project.h:
	* src/brasero-data-tree-model.c:
	(brasero_data_tree_model_get_value):
	* src/brasero-data-vfs.c: (brasero_data_vfs_check_uri_result),
	(brasero_data_vfs_directory_load_end),
	(brasero_data_vfs_directory_check_symlink_loop),
	(brasero_data_vfs_directory_load_result),
	(brasero_data_vfs_load_directory),
	(brasero_data_vfs_loading_node_end),
	(brasero_data_vfs_loading_node_result),
	(brasero_data_vfs_load_node), (brasero_data_vfs_loading_node),
	(brasero_data_vfs_require_higher_priority),
	(brasero_data_vfs_require_directory_contents),
	(brasero_data_vfs_require_node_load), (brasero_data_vfs_load_mime),
	(brasero_data_vfs_clear), (brasero_data_vfs_init),
	(brasero_data_vfs_finalize), (brasero_data_vfs_class_init):
	* src/brasero-disc-message.c: (brasero_disc_message_finalize):
	* src/brasero-drive-info.c: (brasero_drive_info_update_info):
	* src/brasero-drive-properties.c:
	(brasero_drive_properties_set_tmpdir):
	* src/brasero-file-filtered.c: (brasero_file_filtered_add):
	* src/brasero-file-monitor.c:
	(brasero_file_monitor_start_monitoring_real):
	* src/brasero-file-node.c: (brasero_file_node_validate_utf8_name),
	(brasero_file_node_set_from_info),
	(brasero_file_node_get_uri_name),
	(brasero_file_node_new_from_info):
	* src/brasero-file-node.h:
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_image_info_cb),
	(brasero_image_option_dialog_get_format),
	(brasero_image_option_dialog_finalize):
	* src/brasero-metadata.c: (brasero_metadata_stop),
	(brasero_metadata_cancel), (brasero_metadata_completed),
	(brasero_metadata_process_pending_tag_messages),
	(brasero_metadata_success), (brasero_metadata_bus_messages),
	(brasero_metadata_new_decoded_pad_cb),
	(brasero_metadata_set_new_uri), (brasero_metadata_cancelled_cb),
	(brasero_metadata_get_info_wait), (brasero_metadata_get_info_sync),
	(brasero_metadata_info_copy), (brasero_metadata_set_info),
	(brasero_metadata_init), (brasero_metadata_finalize):
	* src/brasero-metadata.h:
	* src/brasero-mime-filter.c: (brasero_mime_filter_add_mime):
	* src/brasero-ncb.c: (NCB_DRIVE_GET_VFS_DRIVE),
	(NCB_VOLUME_GET_MOUNT_POINT):
	* src/brasero-player-bacon.c:
	* src/brasero-player.c: (brasero_player_image),
	(brasero_player_metadata_completed),
	(brasero_player_retrieve_metadata), (brasero_player_set_uri),
	(brasero_player_destroy):
	* src/brasero-playlist.c: (brasero_playlist_init),
	(brasero_playlist_destroy), (brasero_playlist_parse_end),
	(brasero_playlist_parse_result),
	(brasero_playlist_add_uri_playlist):
	* src/brasero-project-manager.c:
	(brasero_project_manager_set_statusbar),
	(brasero_project_manager_size_preview),
	(brasero_project_manager_size_preview_progress),
	(brasero_project_manager_selected_uris_changed),
	(brasero_project_manager_load_session),
	(brasero_project_manager_save_session),
	(brasero_project_manager_finalize):
	* src/brasero-project.c: (brasero_project_open_project_xml),
	(brasero_project_save_project_xml):
	* src/brasero-search-beagle.c:
	* src/brasero-sum-dialog.c: (brasero_sum_dialog_download),
	(brasero_sum_dialog_get_file_checksum):
	* src/brasero-utils.c: (brasero_utils_launch_app):
	* src/brasero-utils.h:
	* src/brasero-vfs.c: (brasero_vfs_check_for_parent_symlink),
	(brasero_utils_get_symlink_target), (brasero_vfs_info_thread),
	(brasero_vfs_load_thread), (brasero_vfs_metadata_ctx_new),
	(brasero_vfs_metadata_result), (brasero_vfs_count_result_audio),
	(brasero_vfs_count_result_data),
	(brasero_vfs_playlist_subtask_result):
	* src/brasero-vfs.h:
	* src/brasero-xfer.c: (brasero_xfer_result_cb),
	(brasero_xfer_progress_cb), (brasero_xfer), (brasero_xfer_cancel):
	* src/brasero-xfer.h:
	* src/burn-basics.c:
	* src/burn-basics.h:
	* src/burn-caps.c: (brasero_caps_add_processing_plugins_to_task):
	* src/burn-job.c: (brasero_job_check_output_volume_space):
	* src/burn-mkisofs-base.c: (brasero_mkisofs_base_write_excluded),
	(_build_graft_point):
	* src/burn-session.c:
	* src/burn-track.c: (brasero_track_get_localpath),
	(brasero_track_get_uri):
	* src/burn-volume.c:
	* src/burn.c:
	* src/main.c: (brasero_app_parse_options), (main):
	* src/plugins/cdrdao/burn-cdrdao.c:
	* src/plugins/checksum/burn-md5sum-file.c:
	(brasero_md5sum_file_grafts):
	* src/plugins/checksum/burn-md5sum.c:
	* src/plugins/libburnia/burn-libisofs.c:
	(brasero_libisofs_create_volume_thread):
	* src/plugins/local-track/burn-local-image.c:
	(brasero_local_track_get_download_size),
	(brasero_local_track_progress_cb),
	(brasero_local_track_file_transfer),
	(brasero_local_track_recursive_transfer),
	(brasero_local_track_transfer),
	(brasero_local_track_read_checksum),
	(brasero_local_track_download_checksum),
	(brasero_local_track_thread_finished),
	(brasero_local_track_thread), (brasero_local_track_start_thread),
	(_foreach_non_local_cb), (brasero_local_track_add_if_non_local),
	(brasero_local_track_start), (brasero_local_track_stop):
	* src/scsi-read-cd.c: (brasero_mmc1_read_block):

2008-02-17  Philippe Rouquier  <philippr@svn.gnome.org>

	Add FreeBSD support
	Patch and work by Joe Marcus Clarke <marcus@FreeBSD.org>

	* configure.in:
	* src/Makefile.am:
	* src/scsi-cam.c: (brasero_scsi_command_issue_sync),
	(brasero_scsi_command_new), (brasero_scsi_command_free),
	(brasero_device_handle_open), (brasero_device_handle_close),
	(brasero_device_handle_get_fd):
	* src/scsi-sg.c:

2008-02-17  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix for compilation without inotify

	* src/Makefile.am:
	* src/brasero-data-project.c: (brasero_data_project_node_removed),
	(brasero_data_project_node_loaded),
	(brasero_data_project_add_node_from_info),
	(brasero_data_project_clear), (brasero_data_project_class_init):
	* src/brasero-data-project.h:
	* src/brasero-file-monitor.c:

2008-02-13  Philippe Rouquier  <philippr@svn.gnome.org>

	Ported some fixes from stable branch
	- Fixed invalid character in .desktop file. Closes bgo #513097 (Luis Medinas)
	- better fix for #513742 (Philippe Rouquier)
	fix for a small problem where key sense data wasn't correct in some cases
	fix for #502703 – Data Integrity Check Always Fails AND Burning Speed Slow (except dvd which ignored setting).
	instead of reading volume declared size we correct the size when we detect a track written in SAO mode (and a multisession disc)
	this means READ CD scsi function was implemented

	* src/Makefile.am:
	* src/burn-medium.c: (brasero_medium_track_written_SAO),
	(brasero_medium_track_get_info), (brasero_medium_set_track_type),
	(brasero_medium_get_CD_sessions_info),
	(brasero_medium_get_sessions_info), (brasero_medium_get_contents):
	* src/scsi-command.h:
	* src/scsi-error.c:
	* src/scsi-error.h:
	* src/scsi-mmc1.h:
	* src/scsi-opcodes.h:
	* src/scsi-read-toc-pma-atip.h:
	* src/scsi-sense-data.c: (brasero_sense_data_illegal_request):
	* src/scsi-sg.c:
	* src/scsi-utils.h:

2008-02-11  Philippe Rouquier  <philippr@svn.gnome.org>

	A few changes to support new OS more easily

	* configure.in:
	* src/Makefile.am:
	* src/burn-medium.c: (brasero_medium_get_capacity_CD_RW),
	(brasero_medium_get_capacity_DVD_RW),
	(brasero_medium_get_capacity_by_type),
	(brasero_medium_get_speed_mmc3),
	(brasero_medium_get_page_2A_write_speed_desc),
	(brasero_medium_get_page_2A_max_speed),
	(brasero_medium_get_medium_type), (brasero_medium_get_css_feature),
	(brasero_medium_track_volume_size),
	(brasero_medium_track_get_info), (brasero_medium_check_BCD_use),
	(brasero_medium_get_CD_sessions_info),
	(brasero_medium_get_sessions_info), (brasero_medium_get_contents),
	(brasero_medium_init_real), (brasero_medium_retry_open),
	(brasero_medium_try_open):
	* src/scsi-base.h:
	* src/scsi-command.h:
	* src/scsi-device.h:
	* src/scsi-error.c:
	* src/scsi-get-configuration.c:
	(brasero_mmc2_get_configuration_feature):
	* src/scsi-get-performance.c:
	(brasero_mmc3_get_performance_wrt_spd_desc):
	* src/scsi-mmc1.h:
	* src/scsi-mmc2.h:
	* src/scsi-mmc3.h:
	* src/scsi-mode-pages.h:
	* src/scsi-mode-sense.c: (brasero_spc1_mode_sense_get_page):
	* src/scsi-read-capacity.c: (brasero_mmc2_read_capacity):
	* src/scsi-read-disc-info.c:
	(brasero_mmc1_read_disc_information_std),
	(brasero_mmc5_read_disc_information_tracks),
	(brasero_mmc5_read_disc_information_pows):
	* src/scsi-read-disc-structure.c:
	(brasero_mmc2_read_generic_structure),
	(brasero_mmc2_read_dvd_structure),
	(brasero_mmc5_read_bd_structure):
	* src/scsi-read-format-capacities.c:
	(brasero_mmc2_read_format_capacities):
	* src/scsi-read-toc-pma-atip.c: (brasero_mmc1_read_toc_formatted),
	(brasero_mmc1_read_toc_raw), (brasero_mmc3_read_cd_text),
	(brasero_mmc1_read_atip):
	* src/scsi-read-track-information.c:
	(brasero_mmc1_read_track_info):
	* src/scsi-sg.c: (brasero_sg_command_setup),
	(brasero_scsi_command_issue_sync), (brasero_scsi_command_new),
	(brasero_scsi_command_free), (brasero_device_handle_open),
	(brasero_device_handle_close), (brasero_device_handle_get_fd):
	* src/scsi-spc1.h:
	* src/scsi/scsi-base.h:
	* src/scsi/scsi-command.c:
	* src/scsi/scsi-command.h:
	* src/scsi/scsi-dvd-structures.h:
	* src/scsi/scsi-error.c:
	* src/scsi/scsi-error.h:
	* src/scsi/scsi-get-configuration.c:
	* src/scsi/scsi-get-configuration.h:
	* src/scsi/scsi-get-performance.c:
	* src/scsi/scsi-get-performance.h:
	* src/scsi/scsi-mmc1.h:
	* src/scsi/scsi-mmc2.h:
	* src/scsi/scsi-mmc3.h:
	* src/scsi/scsi-mode-pages.h:
	* src/scsi/scsi-mode-sense.c:
	* src/scsi/scsi-opcodes.h:
	* src/scsi/scsi-q-subchannel.h:
	* src/scsi/scsi-read-capacity.c:
	* src/scsi/scsi-read-capacity.h:
	* src/scsi/scsi-read-disc-info.c:
	* src/scsi/scsi-read-disc-info.h:
	* src/scsi/scsi-read-disc-structure.c:
	* src/scsi/scsi-read-disc-structure.h:
	* src/scsi/scsi-read-format-capacities.c:
	* src/scsi/scsi-read-format-capacities.h:
	* src/scsi/scsi-read-toc-pma-atip.c:
	* src/scsi/scsi-read-toc-pma-atip.h:
	* src/scsi/scsi-read-track-information.c:
	* src/scsi/scsi-read-track-information.h:
	* src/scsi/scsi-sense-data.c:
	* src/scsi/scsi-sense-data.h:
	* src/scsi/scsi-sg.c:
	* src/scsi/scsi-sg.h:
	* src/scsi/scsi-spc1.h:
	* src/scsi/scsi-status-page.h:
	* src/scsi/scsi-utils.h:

2008-02-10  Philippe Rouquier  <philippr@svn.gnome.org>

	This a rewrite of the BraseroDataDisc object.
	The current benefits:
	- a much more limited footprint in memory for large tree (probably something like 50% =))
	- an improved maintainability

	Expected benefits (more work needed):
	- faster and more responsive loading operation
	- some bugs will be more easily closed in future thanks to greated flexibility

	Some new features:
	- filtered files are displayed in a separate tree
	- the proportion that a folder / a file is taking in final image is displayed
	- a new message box (stolen from gedit) is displayed while loading projects (to be extended)

	Basically this closes a couple of bugs (mostly feature requests):
	- #438851 – Add a baobab-like gfx size view
	- #362569 – Unselecting files in data project view
	- #438854 – Allow listing and vetting of filtered files
	- #360899 – GUI enhancements/simplification

	* configure.in:
	* src/Makefile.am:
	* src/baobab-cell-renderer-progress.c:
	(baobab_cell_renderer_progress_init),
	(baobab_cell_renderer_progress_new),
	(baobab_cell_renderer_progress_get_property),
	(baobab_cell_renderer_progress_set_property),
	(baobab_cell_renderer_progress_get_size),
	(set_color_according_to_perc),
	(baobab_cell_renderer_progress_render),
	(baobab_cell_renderer_progress_class_init):
	* src/baobab-cell-renderer-progress.h:
	* src/brasero-audio-disc.c: (brasero_audio_disc_init):
	* src/brasero-blank-dialog.c:
	* src/brasero-data-disc.c: (brasero_data_disc_notification_free),
	(brasero_data_disc_notification_closed),
	(brasero_data_disc_notify_user_real),
	(brasero_data_disc_notify_user),
	(brasero_data_disc_import_failure_dialog),
	(brasero_data_disc_import_session_cb),
	(brasero_data_disc_get_parent),
	(brasero_data_disc_new_folder_clicked_cb),
	(brasero_data_disc_clipboard_text_cb),
	(brasero_data_disc_clipboard_targets_cb),
	(brasero_data_disc_paste_activated_cb),
	(brasero_data_disc_name_editing_started_cb),
	(brasero_data_disc_name_editing_canceled_cb),
	(brasero_data_disc_name_edited_cb),
	(brasero_data_disc_set_expand_state),
	(brasero_data_disc_row_collapsed_cb),
	(brasero_data_disc_row_expanded_cb),
	(brasero_data_disc_project_loaded_cb),
	(brasero_data_disc_activity_changed_cb),
	(brasero_data_disc_filtered_uri_cb),
	(brasero_data_disc_filter_expanded_cb),
	(brasero_data_disc_filtered_file_cb),
	(brasero_data_disc_restored_file_cb),
	(brasero_data_disc_unreadable_uri_cb),
	(brasero_data_disc_recursive_uri_cb),
	(brasero_data_disc_unknown_uri_cb),
	(brasero_data_disc_name_collision_cb),
	(brasero_data_disc_2G_file_cb),
	(brasero_data_disc_deep_directory_cb),
	(brasero_data_disc_size_changed_cb),
	(brasero_data_disc_session_available_cb),
	(brasero_data_disc_session_loaded_cb), (brasero_data_disc_clear),
	(brasero_data_disc_reset), (brasero_data_disc_delete_selected),
	(brasero_data_disc_add_uri), (brasero_data_disc_get_track),
	(brasero_data_disc_set_session_param),
	(brasero_data_disc_set_session_contents),
	(brasero_data_disc_message_response_cb),
	(brasero_data_disc_load_track), (brasero_data_disc_get_status),
	(brasero_data_disc_get_selected_uri),
	(brasero_data_disc_set_drive), (brasero_data_disc_add_ui),
	(brasero_data_disc_open_file),
	(brasero_data_disc_open_activated_cb),
	(brasero_data_disc_rename_activated),
	(brasero_data_disc_rename_activated_cb),
	(brasero_data_disc_delete_activated_cb),
	(brasero_data_disc_selection_changed_cb),
	(brasero_data_disc_tree_select_function),
	(brasero_data_disc_show_menu),
	(brasero_data_disc_button_pressed_cb),
	(brasero_data_disc_key_released_cb),
	(brasero_data_disc_contents_added_cb),
	(brasero_data_disc_contents_removed_cb),
	(brasero_data_disc_set_right_button_group),
	(brasero_data_disc_init), (brasero_data_disc_finalize),
	(brasero_data_disc_iface_disc_init),
	(brasero_data_disc_get_property), (brasero_data_disc_set_property),
	(brasero_data_disc_class_init), (brasero_data_disc_new):
	* src/brasero-data-disc.h:
	* src/brasero-data-project.c: (brasero_data_project_file_signal),
	(brasero_data_project_reference_new),
	(brasero_data_project_reference_free),
	(brasero_data_project_reference_get),
	(brasero_data_project_reference_remove_children_cb),
	(brasero_data_project_reference_invalidate),
	(brasero_data_project_joliet_hash),
	(brasero_data_project_joliet_equal),
	(brasero_data_project_joliet_set_key),
	(brasero_data_project_joliet_add_node),
	(brasero_data_project_joliet_remove_node),
	(brasero_data_project_joliet_remove_children_node_cb),
	(brasero_data_project_joliet_remove_children_node),
	(brasero_data_project_node_to_uri),
	(brasero_data_project_find_child_node),
	(brasero_data_project_uri_to_nodes),
	(brasero_data_project_node_changed),
	(brasero_data_project_reorder_children),
	(brasero_data_project_resort_tree),
	(brasero_data_project_reverse_children),
	(brasero_data_project_reverse_tree),
	(brasero_data_project_set_sort_function),
	(brasero_data_project_uri_has_parent),
	(brasero_data_project_uri_is_graft_needed),
	(brasero_data_project_uri_remove_graft),
	(brasero_data_project_uri_add_graft),
	(brasero_data_project_uri_ensure_graft),
	(brasero_data_project_uri_graft_nodes),
	(brasero_data_project_add_node_and_children),
	(brasero_data_project_remove_node_children_graft_cb),
	(brasero_data_project_remove_node_children_graft),
	(brasero_data_project_monitor_cancel_foreach_cb),
	(brasero_data_project_node_removed),
	(brasero_data_project_remove_real),
	(brasero_data_project_remove_node),
	(brasero_data_project_destroy_node),
	(brasero_data_project_move_node_real),
	(brasero_data_project_move_node),
	(brasero_data_project_rename_node),
	(brasero_data_project_add_node_real),
	(brasero_data_project_restore_uri),
	(brasero_data_project_exclude_uri),
	(brasero_data_project_add_imported_session_file),
	(brasero_data_project_add_empty_directory),
	(brasero_data_project_node_loaded),
	(brasero_data_project_node_reloaded),
	(brasero_data_project_add_loading_node),
	(brasero_data_project_directory_node_loaded),
	(brasero_data_project_add_node_from_info),
	(brasero_data_project_set_joliet_compliant_name),
	(brasero_data_project_node_to_path),
	(_foreach_grafts_make_list_cb),
	(brasero_data_project_get_contents),
	(brasero_data_project_is_joliet_compliant),
	(brasero_data_project_is_video_project),
	(brasero_data_project_is_empty),
	(brasero_data_project_create_path),
	(brasero_data_project_skip_existing),
	(brasero_data_project_add_path),
	(brasero_data_project_add_excluded_uri),
	(brasero_data_project_load_contents),
	(brasero_data_project_sum_graft_size_cb),
	(brasero_data_project_get_size),
	(brasero_data_project_folder_size_cb),
	(brasero_data_project_get_folder_size),
	(brasero_data_project_init), (brasero_data_project_get_root),
	(brasero_data_project_clear_grafts_cb),
	(brasero_data_project_clear_joliet_cb),
	(brasero_data_project_clear), (brasero_data_project_reset),
	(brasero_data_project_finalize), (brasero_data_project_file_added),
	(brasero_data_project_file_update_URI),
	(brasero_data_project_file_update_name),
	(brasero_data_project_file_graft),
	(brasero_data_project_file_renamed),
	(brasero_data_project_file_moved),
	(brasero_data_project_file_removed),
	(brasero_data_project_file_modified),
	(brasero_data_project_class_init):
	* src/brasero-data-project.h:
	* src/brasero-data-session.c: (brasero_data_session_remove_last),
	(brasero_data_session_add_children_files),
	(brasero_data_session_add_last), (brasero_data_session_set_drive),
	(brasero_data_session_get_loaded_medium),
	(brasero_data_session_init), (brasero_data_session_finalize),
	(brasero_data_session_class_init):
	* src/brasero-data-session.h:
	* src/brasero-data-tree-model.c:
	(brasero_data_tree_model_iter_parent),
	(brasero_data_tree_model_iter_nth_child),
	(brasero_data_tree_model_iter_n_children),
	(brasero_data_tree_model_iter_has_child),
	(brasero_data_tree_model_iter_children),
	(brasero_data_tree_model_iter_next),
	(brasero_data_tree_model_node_shown),
	(brasero_data_tree_model_node_hidden),
	(brasero_data_tree_model_get_value),
	(brasero_data_tree_model_node_to_path),
	(brasero_data_tree_model_get_path),
	(brasero_data_tree_model_path_to_node),
	(brasero_data_tree_model_get_iter),
	(brasero_data_tree_model_get_column_type),
	(brasero_data_tree_model_get_n_columns),
	(brasero_data_tree_model_get_flags),
	(brasero_data_tree_model_multi_row_draggable),
	(brasero_data_tree_model_multi_drag_data_get),
	(brasero_data_tree_model_multi_drag_data_delete),
	(brasero_data_tree_model_drag_data_received),
	(brasero_data_tree_model_row_drop_possible),
	(brasero_data_tree_model_drag_data_delete),
	(brasero_data_tree_model_get_sort_column_id),
	(brasero_data_tree_model_set_sort_column_id),
	(brasero_data_tree_model_set_sort_func),
	(brasero_data_tree_model_set_default_sort_func),
	(brasero_data_tree_model_has_default_sort_func),
	(brasero_data_tree_model_clear_children),
	(brasero_data_tree_model_clear), (brasero_data_tree_model_reset),
	(brasero_data_tree_model_node_added),
	(brasero_data_tree_model_node_removed),
	(brasero_data_tree_model_node_changed),
	(brasero_data_tree_model_node_reordered),
	(brasero_data_tree_model_activity_changed),
	(brasero_data_tree_model_init), (brasero_data_tree_model_finalize),
	(brasero_data_tree_model_iface_init),
	(brasero_data_tree_model_multi_drag_source_iface_init),
	(brasero_data_tree_model_drag_source_iface_init),
	(brasero_data_tree_model_drag_dest_iface_init),
	(brasero_data_tree_model_sortable_iface_init),
	(brasero_data_tree_model_class_init),
	(brasero_data_tree_model_new):
	* src/brasero-data-tree-model.h:
	* src/brasero-data-vfs.c: (brasero_data_vfs_restored_list_cb),
	(brasero_data_vfs_get_restored), (brasero_data_vfs_add_restored),
	(brasero_data_vfs_remove_restored), (brasero_data_vfs_is_active),
	(brasero_data_vfs_is_loading_uri), (brasero_data_vfs_is_readable),
	(brasero_data_vfs_check_uri_result),
	(brasero_data_vfs_remove_from_hash),
	(brasero_data_vfs_directory_load_end),
	(brasero_data_vfs_directory_load_result),
	(brasero_data_vfs_load_directory),
	(brasero_data_vfs_loading_node_end),
	(brasero_data_vfs_loading_node_result),
	(brasero_data_vfs_load_node), (brasero_data_vfs_loading_node),
	(brasero_data_vfs_increase_priority_cb),
	(brasero_data_vfs_require_higher_priority),
	(brasero_data_vfs_require_directory_contents),
	(brasero_data_vfs_require_node_load), (brasero_data_vfs_load_mime),
	(brasero_data_vfs_node_added), (brasero_data_vfs_empty_loading_cb),
	(brasero_data_vfs_empty_filtered_cb), (brasero_data_vfs_clear),
	(brasero_data_vfs_reset), (brasero_data_vfs_init),
	(brasero_data_vfs_finalize), (brasero_data_vfs_class_init):
	* src/brasero-data-vfs.h:
	* src/brasero-disc-message.c:
	(brasero_disc_message_expander_activated_cb),
	(brasero_disc_message_add_errors),
	(brasero_disc_message_remove_errors),
	(brasero_disc_message_button_clicked_cb),
	(brasero_disc_message_add_button),
	(brasero_disc_message_remove_buttons),
	(brasero_disc_message_update_progress),
	(brasero_disc_message_set_progress_active),
	(brasero_disc_message_set_progress),
	(brasero_disc_message_set_image),
	(brasero_disc_message_set_primary),
	(brasero_disc_message_set_secondary),
	(brasero_disc_message_get_style), (style_set),
	(brasero_disc_message_init), (brasero_disc_message_finalize),
	(brasero_disc_message_size_request),
	(brasero_disc_message_size_allocate),
	(brasero_disc_message_realize),
	(brasero_disc_message_expose_event),
	(brasero_disc_message_class_init), (brasero_disc_message_new):
	* src/brasero-disc-message.h:
	* src/brasero-disc.c:
	(brasero_utils_disc_find_tree_view_in_container),
	(brasero_utils_disc_find_tree_view),
	(brasero_utils_disc_hide_use_info_leave_cb),
	(brasero_utils_disc_hide_use_info_drop_cb),
	(brasero_utils_disc_hide_use_info_data_received_cb),
	(brasero_utils_disc_hide_use_info_motion_cb),
	(brasero_utils_disc_hide_use_info_button_cb),
	(brasero_disc_get_use_info_notebook), (brasero_track_clear):
	* src/brasero-disc.h:
	* src/brasero-eject-dialog.c: (brasero_eject_dialog_activate),
	(brasero_eject_dialog_new):
	* src/brasero-file-filtered.c:
	(brasero_file_filtered_get_label_text),
	(brasero_file_filtered_update), (brasero_file_filtered_activate),
	(brasero_file_filtered_add),
	(brasero_file_filtered_option_pressed_cb),
	(brasero_file_filtered_restore_pressed_cb),
	(brasero_file_filtered_selection_changed_cb),
	(brasero_file_filtered_clear),
	(brasero_file_filtered_set_right_button_group),
	(brasero_file_filtered_init), (brasero_file_filtered_finalize),
	(brasero_file_filtered_class_init), (brasero_file_filtered_new):
	* src/brasero-file-filtered.h:
	* src/brasero-file-monitor.c: (brasero_inotify_file_data_free),
	(brasero_file_monitor_moved_to_event),
	(brasero_file_monitor_move_timeout_cb),
	(brasero_file_monitor_moved_from_event),
	(brasero_file_monitor_directory_event),
	(brasero_file_monitor_inotify_file_event),
	(brasero_file_monitor_inotify_monitor_cb),
	(brasero_file_monitor_start_monitoring_real),
	(brasero_file_monitor_single_file),
	(brasero_file_monitor_directory_contents),
	(brasero_file_monitor_foreach_cancel_file_cb),
	(brasero_file_monitor_foreach_cancel_directory_cb),
	(brasero_file_monitor_foreach_cancel),
	(brasero_file_monitor_foreach_file_reset_cb),
	(brasero_file_monitor_foreach_directory_reset_cb),
	(brasero_file_monitor_reset), (brasero_file_monitor_init),
	(brasero_file_monitor_finalize), (brasero_file_monitor_class_init):
	* src/brasero-file-monitor.h:
	* src/brasero-file-node.c: (brasero_file_node_root_new),
	(brasero_file_node_get_root), (brasero_file_node_get_depth),
	(brasero_file_node_get_tree_stats),
	(brasero_file_node_sort_default_cb),
	(brasero_file_node_sort_name_cb), (brasero_file_node_sort_size_cb),
	(brasero_file_node_sort_mime_cb), (brasero_file_node_insert),
	(brasero_file_node_need_resort), (brasero_file_node_sort_children),
	(brasero_file_node_reverse_children),
	(brasero_file_node_nth_child), (brasero_file_node_get_n_children),
	(brasero_file_node_get_pos_as_child),
	(brasero_file_node_is_ancestor),
	(brasero_file_node_check_name_existence),
	(brasero_file_node_check_imported_sibling),
	(brasero_file_node_validate_utf8_name), (brasero_file_node_graft),
	(brasero_file_node_ungraft), (brasero_file_node_rename),
	(brasero_file_node_add), (brasero_file_node_set_from_info),
	(brasero_file_node_get_uri_name), (brasero_file_node_new_loading),
	(brasero_file_node_new_from_info),
	(brasero_file_node_new_imported_session_file),
	(brasero_file_node_new_empty_folder), (brasero_file_node_unlink),
	(brasero_file_node_move),
	(brasero_file_node_destroy_with_children),
	(brasero_file_node_destroy),
	(brasero_file_node_save_imported_children),
	(brasero_file_node_remove):
	* src/brasero-file-node.h:
	* src/brasero-filter-option.c:
	(brasero_file_filtered_filter_hidden_cb),
	(brasero_file_filtered_filter_broken_sym_cb),
	(brasero_file_filtered_gconf_notify_cb),
	(brasero_filter_option_init), (brasero_filter_option_finalize),
	(brasero_filter_option_class_init), (brasero_filter_option_new):
	* src/brasero-filter-option.h:
	* src/brasero-filtered-window.c:
	* src/brasero-filtered-window.h:
	* src/brasero-marshal.list:
	* src/brasero-project-manager.c: (brasero_project_manager_init):
	* src/brasero-project.c: (brasero_project_init),
	(brasero_project_get_selected_uri), (_read_graft_point),
	(_read_data_track), (_save_data_track_xml):
	* src/brasero-sum-dialog.c:
	* src/brasero-utils.c: (brasero_utils_clear_strings_cb),
	(brasero_utils_free), (brasero_utils_register_string),
	(brasero_utils_unregister_string):
	* src/brasero-utils.h:
	* src/burn-mkisofs-base.c: (brasero_mkisofs_base_write_to_files):
	* src/burn-track.c: (brasero_graft_point_free),
	(brasero_graft_point_copy), (brasero_track_clean):
	* src/burn-track.h:
	* src/burn-volume.h:
	* src/main.c: (on_eject_cb):
	* src/plugins/cdrkit/burn-genisoimage.c:
	(brasero_genisoimage_set_argv_image):
	* src/plugins/cdrtools/burn-mkisofs.c:
	(brasero_mkisofs_set_argv_image):
	* src/plugins/checksum/burn-md5sum-file.c:
	(brasero_md5sum_file_grafts):
	* src/plugins/growisofs/burn-growisofs.c:
	(brasero_growisofs_set_mkisofs_argv):
	* src/plugins/libburnia/burn-libisofs.c:
	(brasero_libisofs_create_volume_thread):
	* src/plugins/local-track/burn-local-image.c:
	(brasero_local_track_finished):

2008-02-04  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/brasero-project.c: (brasero_project_get_selected_uri):
	
	Fix segmentation fault. Closes bgo #513742.

2008-01-21  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/Makefile.am:
	* src/brasero-eject-dialog.c: (brasero_eject_dialog_drive_changed),
	(_eject_async), (brasero_eject_dialog_activate),
	(brasero_eject_dialog_class_init), (brasero_eject_dialog_init),
	(brasero_eject_dialog_new):
	* src/brasero-eject-dialog.h:
	* src/brasero-menu.h:
	* src/main.c: (on_eject_cb), (brasero_app_add_recent):

	Initial import of the eject dialog tool.
	Also limit the recent files to 5.

2008-01-21  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/brasero-dest-selection.c:
	(brasero_dest_selection_set_drive_properties):

	Added burn to iso image option available in disc burning dialog.
	Fix complete for bgo #Bug 507316.
	
2008-01-20  Philippe Rouquier  <philippr@svn.gnome.org>
	
	Added support for ISO level 3 in session importing (= support multi extent files)

	* src/burn-iso-field.c: (brasero_iso9660_get_733_val):
	* src/burn-iso-field.h:
	* src/burn-iso9660.c: (brasero_iso9660_read_directory_records):
	* src/burn-volume.h:

2008-01-20  Philippe Rouquier  <philippr@svn.gnome.org>


	Fix #506063 – Brasero fails miserably from burning a file > 4GB
	We now use iso level 3 and udf when we detect a file > 4GB
	That means some OS (MacOS X among a couple) may not work

	* src/brasero-data-disc.c: (brasero_data_disc_reset_real),
	(brasero_data_disc_restore_unreadable),
	(brasero_data_disc_file_free),
	(brasero_data_disc_remove_children_async_cb),
	(brasero_data_disc_file_new), (brasero_data_disc_symlink_new),
	(brasero_data_disc_invalid_utf8_new),
	(brasero_data_disc_dir_contents_end),
	(brasero_data_disc_delete_row_cb),
	(brasero_data_disc_path_remove_user),
	(brasero_data_disc_restore_excluded_children_cb),
	(brasero_data_disc_new_file),
	(brasero_data_disc_set_session_param),
	(brasero_data_disc_inotify_create_paths),
	(brasero_data_disc_inotify_modify_file_cb),
	(brasero_data_disc_start_monitoring_real):
	* src/burn-debug.c: (brasero_debug_data_fs_to_string):
	* src/burn-track.h:
	* src/plugins/cdrkit/burn-genisoimage.c:
	(brasero_genisoimage_set_argv_image),
	(brasero_genisoimage_export_caps):
	* src/plugins/cdrtools/burn-mkisofs.c:
	(brasero_mkisofs_set_argv_image), (brasero_mkisofs_export_caps):
	* src/plugins/growisofs/burn-growisofs.c:
	(brasero_growisofs_set_mkisofs_argv),
	(brasero_growisofs_export_caps):


2008-01-19  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix for #510479 – Automatically set version in X-GNOME-Bugzilla-Version desktop key
	patch by Luca Ferretti

	* configure.in:
	* data/brasero.desktop.in:
	* data/brasero.desktop.in.in:

2008-01-19  Philippe Rouquier  <philippr@svn.gnome.org>

	fix for #510620 – brasero is not able to load a playlist in a Audio project
	update totem requirements to 2.20.x
	remove duplicate calls

2008-01-18  Luis Medinas  <lmedinas@svn.gnome.org>

	* data/brasero.desktop.in:

	Add the new x-content/* machinery available in Nautilus.
	Fixes bgo #510329.

2008-01-17  Luis Medinas  <lmedinas@svn.gnome.org>

	* configure.in:

	Fix configure to use enable to build plugins fixes bgo #506950.
	Bump to 0.7.1

2008-01-17  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/brasero-disc-copy-dialog.c: (brasero_disc_copy_dialog_init):

	Added burn to iso image option available in disc copy project.
	Fix part of bgo #Bug 507316.

2008-01-16  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/Makefile.am:
	* src/brasero-audio-disc.c: (brasero_audio_disc_start_monitoring):
	* src/brasero-data-disc.c:
	(brasero_data_disc_start_monitoring_real):
	* src/inotify-syscalls.h:
	* src/inotify.h:

	Use linux kernel inotify instead of using our own old.
	Fixes bgo #510022.

2008-01-15  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/plugins/growisofs/burn-growisofs.c:
	(brasero_growisofs_init):

	Added a workaround to use genisoimage if it's available
	if not will use mkisofs.

=======
2008-01-19  Philippe Rouquier  <philippr@svn.gnome.org>

	fix for #510620 – brasero is not able to load a playlist in a Audio project
	update totem requirements to 2.20.x
	remove duplicate calls

	* configure.in:
	* src/brasero-project.c: (brasero_project_check_size):
	* src/brasero-vfs.c: (brasero_vfs_add_playlist_entry_parsed_cb),
	(brasero_vfs_playlist_thread):

>>>>>>> .merge-right.r601
2008-01-11  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/burn-medium.c:

	Just a fix for the typo about the Blu-ray discs.

2008-01-10  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/Makefile.am:
	* src/plugins/cdrdao/Makefile.am:
	* src/plugins/cdrkit/Makefile.am:
	* src/plugins/cdrtools/Makefile.am:
	* src/plugins/checksum/Makefile.am:
	* src/plugins/dvdcss/Makefile.am:
	* src/plugins/growisofs/Makefile.am:
	* src/plugins/libburnia/Makefile.am:
	* src/plugins/local-track/Makefile.am:
	* src/plugins/transcode/Makefile.am:

	Remove -Wall from Makefiles to fix build in Solaris.
	Thanks to Brian Cameron <brian.cameron%40sun.com> for the patch.

2008-01-09  Luis Medinas  <lmedinas@svn.gnome.org>
	
	* src/main.c: (on_about_cb):

	Change "name" to "program-name" on about dialog
	to follow gtk API. Thanks to Jaap A. Haitsma <jaap%40haitsma.org>
	for the patch.

2007-12-26  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #499591 – Thanks for fixing some important bugs in 0.6.1, but it still needs a lot of work!
	See last comment (#31)

	* src/burn-caps.c: (brasero_caps_try_output),
	(brasero_burn_caps_get_required_media_type),
	(brasero_caps_get_flags), (brasero_caps_disc_new):
	* src/burn-iso9660.c: (brasero_iso9660_get_contents):
	* src/burn-plugin-manager.c: (brasero_plugin_manager_init):
	* src/burn-plugin.c: (brasero_plugin_get_all_flags):
	* src/plugins/growisofs/burn-growisofs.c:
	(brasero_growisofs_export_caps):

2007-12-24  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix 2 memleaks
	Fix one potential crash
	Fix one problem with flags preventing multisession CDRW

	* src/brasero-ncb.c: (NCB_VOLUME_GET_MOUNT_POINT):
	* src/burn-mkisofs-base.c: (brasero_mkisofs_base_write_excluded):
	* src/burn-plugin.c: (brasero_plugin_check_image_flags):
	* src/burn-plugin.h:
	* src/burn-session.c: (brasero_session_settings_clean),
	(brasero_burn_session_finalize):
	* src/burn-track.c: (brasero_track_get_data_excluded_source):
	* src/burn-track.h:
	* src/plugins/cdrkit/burn-genisoimage.c:
	(brasero_genisoimage_read_stderr),
	(brasero_genisoimage_export_caps):
	* src/plugins/cdrtools/burn-mkisofs.c:
	(brasero_mkisofs_read_stderr), (brasero_mkisofs_export_caps):
	* src/plugins/checksum/burn-md5sum-file.c:
	(brasero_md5sum_file_grafts), (brasero_md5sum_file_end):
	* src/plugins/checksum/burn-md5sum.c: (brasero_md5sum_end):
	* src/plugins/libburnia/burn-libisofs.c:
	(brasero_libisofs_create_volume_thread):
	* src/plugins/local-track/burn-local-image.c:
	(brasero_local_track_finished):

2007-12-22  Philippe Rouquier  <philippr@svn.gnome.org>

	Another fix for #499591 Thanks for fixing some important bugs in 0.6.1, but it still needs a lot of work:
	See one of the last comments

	* src/burn-plugin.c: (brasero_plugin_get_all_flags),
	(brasero_plugin_check_record_flags),
	(brasero_plugin_check_image_flags),
	(brasero_plugin_get_record_flags),
	(brasero_plugin_get_image_flags),
	(brasero_plugin_check_blank_flags),
	(brasero_plugin_get_blank_flags):
	* src/burn-plugin.h:

2007-12-22  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #502703 – Data Integrity Check Always Fails AND Burning Speed Slow (except dvd which ignored setting).
	formatted toc was returning wrong size (2 sec shorter) for multisession disc first tracks

	* src/burn-medium.c: (brasero_medium_set_track_type),
	(brasero_medium_track_get_info), (brasero_medium_check_BCD_use),
	(brasero_medium_get_CD_sessions_info),
	(brasero_medium_get_sessions_info), (brasero_medium_get_contents):
	* src/burn-medium.h:
	* src/scsi/scsi-mmc1.h:
	* src/scsi/scsi-read-toc-pma-atip.c:
	(brasero_mmc1_read_toc_formatted), (brasero_mmc1_read_toc_raw),
	(brasero_mmc3_read_cd_text), (brasero_mmc1_read_atip):
	* src/scsi/scsi-read-toc-pma-atip.h:
	* src/scsi/scsi-utils.h:

2007-12-21  Philippe Rouquier  <philippr@svn.gnome.org>

	Removed O_EXCL since it created problems with mounted media

	* src/burn-medium.c:

2007-12-21  Philippe Rouquier  <philippr@svn.gnome.org>

	updated requirements

	* README:

2007-12-21  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #501091 – Proposes DVD-ROM as an option for writing a DVD

	* src/brasero-dest-selection.c:
	(brasero_dest_selection_drive_changed),
	(brasero_dest_selection_init):
	* src/brasero-src-selection.c: (brasero_src_selection_init):

2007-12-21  Philippe Rouquier  <philippr@svn.gnome.org>

	Improved notes on plugins

	* README:

2007-12-21  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix memleaks

	* src/brasero-audio-disc.c:
	(brasero_audio_disc_set_session_contents):
	* src/brasero-data-disc.c:
	(brasero_data_disc_set_session_contents):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_finalize):
	* src/brasero-project-type-chooser.c:
	(brasero_project_type_chooser_build_recent):
	* src/brasero-src-selection.c:
	(brasero_src_selection_drive_changed),
	(brasero_src_selection_finalize),
	(brasero_src_selection_set_property):
	* src/brasero-sum-dialog.c: (brasero_sum_dialog_get_disc_checksum),
	(brasero_sum_dialog_check_disc_sum):
	* src/brasero-vfs.c: (brasero_vfs_metadata_completed_cb):
	* src/burn-process.c: (brasero_process_finished):
	* src/burn-task-ctx.c: (brasero_task_ctx_add_track),
	(brasero_task_ctx_finished):
	* src/burn.c: (brasero_burn_record_session),
	(brasero_burn_same_src_dest):
	* src/plugins/cdrdao/burn-toc2cue.c: (brasero_toc2cue_read_stderr):
	* src/plugins/checksum/burn-md5sum-file.c:
	(brasero_md5sum_file_end):
	* src/plugins/checksum/burn-md5sum.c: (brasero_md5sum_end):
	* src/plugins/dvdcss/burn-dvdcss.c:
	(brasero_dvdcss_thread_finished):
	* src/plugins/libburnia/burn-libisofs.c:
	(brasero_libisofs_thread_finished):
	* src/plugins/local-track/burn-local-image.c:
	(brasero_local_track_finished):
	* src/plugins/transcode/burn-transcode.c:
	(brasero_transcode_create_sibling_image),
	(brasero_transcode_push_track):

2007-12-21  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix forgotten O_EXCL in second open ()
	Decided to keep combination of O_EXCL and O_NONBLOCK
	since that seems to work now on fedora (we don't block anymore)

	* src/burn-medium.c: (brasero_medium_track_get_info),
	(brasero_medium_retry_open), (brasero_medium_try_open):

2007-12-20  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix a long forgotten bug that was causing trouble: 
	fds for the drive were not properly closed sometimes (were badly dupped ())
	that caused the error "Invalid argument" since it seems it confused the drive/driver?
	That seems to fix the problem with multisession
	fixed other small memleaks (more to come)

	Also open drive exclusively (might not stay like that, needs testing)

	* src/burn-caps.c: (brasero_caps_find_best_link):
	* src/burn-medium.c: (brasero_medium_try_open):
	* src/burn-track.c: (brasero_track_get_image_size):
	* src/burn-volume.c: (brasero_volume_is_valid_fd),
	(brasero_volume_get_size_fd):

2007-12-20  Philippe Rouquier  <philippr@svn.gnome.org>

	Small update

	* NEWS:
	* README:

2007-12-20  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix a problem with merge and append flags (cleared up plugins)
	that was preventing using Joliet on multisession discs

	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_add_data_options):
	* src/burn-caps.c: (brasero_burn_caps_is_input_supported),
	(brasero_burn_caps_is_output_supported),
	(brasero_burn_caps_is_session_supported):
	* src/burn-plugin.h:
	* src/plugins/cdrkit/burn-wodim.c: (brasero_wodim_export_caps):
	* src/plugins/cdrtools/burn-cdrecord.c:
	(brasero_cdrecord_export_caps):
	* src/plugins/growisofs/burn-growisofs.c:
	(brasero_growisofs_export_caps):
	* src/plugins/libburnia/burn-libburn.c:
	(brasero_libburn_export_caps):

2007-12-20  Luis Medinas  <lmedinas@svn.gnome.org>

	* NEWS:

	Update NEWS file for 0.7.0 release.
	
2007-12-20  Luis Medinas  <lmedinas@svn.gnome.org>

	* configure.in:
	* src/brasero-playlist.c: (brasero_playlist_start_beagle_search):
	* src/brasero-search-entry.c: (_add_mime_types_to_query),
	(brasero_search_entry_get_query):

	Add support for libbeagle >= 0.3.x closes bgo #504413.

2007-12-20  Philippe Rouquier  <philippr@svn.gnome.org>

	Add debugging output for iso9660 reading.
	Fix a bug where we weren't reading the directory record till the end.

	* src/burn-iso9660.c: (brasero_iso9660_seek),
	(brasero_iso9660_next_block), (brasero_iso9660_get_susp),
	(brasero_iso9660_next_record), (brasero_iso9660_read_file_record),
	(brasero_iso9660_read_directory_record),
	(brasero_iso9660_read_directory_records),
	(brasero_iso9660_get_contents):
	* src/burn-iso9660.h:
	* src/burn-volume.c: (brasero_volume_get_primary_from_file),
	(brasero_volume_get_primary), (brasero_volume_is_valid_fd),
	(brasero_volume_get_size_fd), (brasero_volume_get_files):

2007-12-19  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix for #499591 Thanks for fixing some important bugs in 0.6.1, but it still needs a lot of work:
	remember multisession pref (on a media type/project type basis)

	* src/brasero-dest-selection.c:
	(brasero_dest_selection_save_drive_properties),
	(brasero_dest_selection_set_drive_properties):
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_save_multi_state),
	(brasero_disc_option_dialog_load_multi_state),
	(brasero_disc_option_dialog_update_multi),
	(brasero_disc_option_dialog_set_multi):
	* src/burn-session.c: (brasero_burn_session_get_config_key):
	* src/burn-session.h:

2007-12-18  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix the function responsible for determining which media type can be used.

	* src/burn-caps.c: (brasero_burn_caps_get_required_media_type):

2007-12-18  Luis Medinas  <lmedinas@svn.gnome.org>

	* configure.in:
	* data/brasero.desktop.in:

	Change .desktop file to follow the HIG reported by
	Aaron Bockover <abock@gnome.org>.
	Change release to 0.7.0 final.
	
2007-12-18  Philippe Rouquier  <philippr@svn.gnome.org>

	Make dialogs (burn/blank/...) reflects any change in the set of active plugins

	* src/brasero-blank-dialog.c: (brasero_blank_dialog_caps_changed),
	(brasero_blank_dialog_finalize), (brasero_blank_dialog_init):
	* src/brasero-dest-selection.c:
	(brasero_dest_selection_caps_changed),
	(brasero_dest_selection_init), (brasero_dest_selection_finalize):
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_update_joliet),
	(brasero_disc_option_dialog_caps_changed),
	(brasero_disc_option_dialog_output_changed),
	(brasero_disc_option_dialog_init),
	(brasero_disc_option_dialog_finalize):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_caps_changed),
	(brasero_image_option_dialog_init),
	(brasero_image_option_dialog_finalize):
	* src/burn-caps.c: (brasero_burn_caps_class_init):
	* src/burn-caps.h:
	* src/burn-plugin-manager.c:
	(brasero_plugin_manager_plugin_state_changed),
	(brasero_plugin_manager_class_init):
	* src/burn-plugin.c: (brasero_plugin_init_real):

2007-12-17  Philippe Rouquier  <philippr@svn.gnome.org>

	Force the use of MULTI flag for DVD+RW (- restricted) 
	since they always are open for new files.
	Fix a bug when not compulsory flags were set brasero_burn_caps_get_flags
	would fail.

	* src/brasero-dest-selection.c:
	(brasero_dest_selection_add_drive_properties_flags):
	* src/burn-caps.c: (brasero_caps_get_flags),
	(brasero_burn_caps_get_flags):
	* src/plugins/growisofs/burn-growisofs.c:
	(brasero_growisofs_export_caps):

2007-12-17  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix a bug introduced by earlier patch (no multisession possible)
	Fix growisofs not seeing joliet flag

	Small changes:
	- grey out number of copies if disc isn't burnable
	- improved debugging layout

	* src/brasero-dest-selection.c:
	(brasero_dest_selection_set_drive_properties),
	(brasero_dest_selection_check_drive_settings),
	(brasero_dest_selection_output_changed):
	* src/burn-debug.c: (brasero_debug_burn_flags_to_string):
	* src/burn-session.c: (brasero_burn_session_start):
	* src/burn.c: (brasero_burn_check_session_consistency):
	* src/plugins/growisofs/burn-growisofs.c:
	(brasero_growisofs_set_mkisofs_argv):

2007-12-16  Philippe Rouquier  <philippr@svn.gnome.org>

	Make brasero go along with bug-buddy

	* data/brasero.desktop.in:

2007-12-16  Philippe Rouquier  <philippr@svn.gnome.org>

	fix #503661 – Wrong FSF address (patch by Bob Mauchin)

	* src/main.c: (on_about_cb):

2007-12-16  Philippe Rouquier  <philippr@svn.gnome.org>

	Some fixes for  #499591 Thanks for fixing some important bugs in 0.6.1, but it still needs a lot of work
	Improved overall flag management

	* src/brasero-dest-selection.c:
	(brasero_dest_selection_add_drive_properties_flags),
	(brasero_dest_selection_set_drive_properties),
	(brasero_dest_selection_check_drive_settings),
	(brasero_dest_selection_source_changed),
	(brasero_dest_selection_caps_changed),
	(brasero_dest_selection_output_changed):
	* src/brasero-disc-copy-dialog.c: (brasero_disc_copy_dialog_init):
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_update_multi):
	* src/burn-basics.h:
	* src/burn-caps.c: (brasero_caps_link_check_data_flags),
	(brasero_caps_link_check_record_flags),
	(brasero_burn_caps_is_output_supported),
	(brasero_burn_caps_is_session_supported),
	(brasero_burn_caps_get_flags):
	* src/burn-caps.h:
	* src/burn-plugin-manager.c:
	(brasero_plugin_manager_set_plugins_state):
	* src/burn-plugin.c: (brasero_plugin_set_active),
	(brasero_plugin_get_all_flags),
	(brasero_plugin_check_record_flags),
	(brasero_plugin_check_image_flags),
	(brasero_plugin_get_record_flags),
	(brasero_plugin_get_image_flags),
	(brasero_plugin_check_blank_flags),
	(brasero_plugin_get_blank_flags):
	* src/burn.c: (brasero_burn_check_session_consistency):
	* src/eggtreemultidnd.c: (egg_tree_multi_drag_motion_event):

2007-12-15  Philippe Rouquier  <philippr@svn.gnome.org>

	Some fixes for  #499591 Thanks for fixing some important bugs in 0.6.1, but it still needs a lot of work
	That patch should improve blanking 

	* src/brasero-blank-dialog.c:
	(brasero_blank_dialog_device_opts_setup),
	(brasero_blank_dialog_init):
	* src/burn-caps.c: (brasero_burn_caps_get_blanking_flags),
	(brasero_burn_caps_can_blank):
	* src/burn-debug.c: (brasero_burn_debug_flags_type_message):
	* src/plugins/growisofs/burn-growisofs.c:
	(brasero_growisofs_export_caps):

2007-12-15  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix for #503659 – Top folders not copied to disk: apparently mkisofs needs
	a '/' at the end of disc path for directories; otherwise only the contents get added.
	Also improved slightly debugging

	* src/brasero-data-disc.c: (_foreach_grafts_make_list_cb):
	* src/burn-mkisofs-base.c: (_build_graft_point),
	(brasero_mkisofs_base_write_graft):
	* src/burn-session.c: (brasero_burn_session_start):
	* src/burn.c: (brasero_burn_check_session_consistency):

2007-12-12  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix speed problems (see #502703 – Data Integrity Check Always Fails AND Burning Speed Slow (except dvd which ignored setting).)

	* src/burn-session.c: (brasero_burn_session_get_rate):

2007-12-12  Philippe Rouquier  <philippr@svn.gnome.org>

	Possible fix for #357693 – Brasero thinks my disc has not enough space
	Some errors doesn't always appear to be fatal so defer the messages until
	the process finishes and use the error if it doesn't return 0.

	* data/brasero.desktop.in:
	* src/burn-process.c: (brasero_process_deferred_error),
	(brasero_process_finished), (brasero_process_stop),
	(brasero_process_finalize):
	* src/burn-process.h:
	* src/plugins/cdrkit/burn-wodim.c: (brasero_wodim_stderr_read):
	* src/plugins/cdrtools/burn-cdrecord.c:
	(brasero_cdrecord_stderr_read):

2007-12-09  Philippe Rouquier  <philippr@svn.gnome.org>

	Fixed a crash on disc copy (see #499571 comment #14)

	* src/burn-caps.c: (brasero_burn_caps_get_flags):

2007-12-08  Philippe Rouquier  <philippr@svn.gnome.org>

	proper fix for checksum problems with DVD+RW

	* src/burn-caps.c: (brasero_burn_caps_new_checksuming_task):

2007-12-08  Philippe Rouquier  <philippr@svn.gnome.org>

	Improved debugging output and maybe fixed a couple of problem from
	#499591 – Thanks for fixing some important bugs in 0.6.1, but it still needs a lot of work!

	* src/burn-caps.c: (brasero_burn_caps_can_blank),
	(brasero_caps_try_output), (brasero_burn_caps_is_input_supported),
	(brasero_burn_caps_get_flags):
	* src/burn-debug.c: (brasero_debug_burn_flags_to_string),
	(brasero_burn_debug_flags_type_message):
	* src/burn-debug.h:

2007-12-08  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix for notification appearing twice.
	See #499591 – Thanks for fixing some important bugs in 0.6.1, but it still needs a lot of work!

	* src/brasero-data-disc.c: (brasero_data_disc_notify_user_real),
	(brasero_data_disc_set_drive):

2007-12-08  Philippe Rouquier  <philippr@svn.gnome.org>

	Another attempt at fixing #499571 – *** glibc detected *** brasero: double free or corruption (top): 0x08203400 ***
	
	* src/brasero-ncb.c: (brasero_ncb_removed_medium_cb), (NCB_INIT):

2007-12-08  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix for md5 checksuming with DVD+RW and such
	See #499591 – Thanks for fixing some important bugs in 0.6.1, but it still needs a lot of work!

	Also added a debug line in burn-medium.c that indicates the name of the drive we're initializing

	* src/burn-caps.c: (brasero_burn_caps_new_checksuming_task):
	* src/burn-medium.c: (brasero_medium_init_real):
	* src/burn.c: (brasero_burn_check_real):

2007-12-07  Philippe Rouquier  <philippr@svn.gnome.org>

	Additional fix for #499571 – *** glibc detected *** brasero: double free or corruption (top): 0x08203400 ***
	Read Atip function has various sizes for returned data whether it be MMC1/MMC2 or MMC3 drive which triggered
	a failure with MMC1/MMC2 drives since they didn't returned the expected data size

	* src/burn-medium.c: (brasero_medium_get_capacity_CD_RW),
	(brasero_medium_get_medium_type):
	* src/scsi/scsi-mmc1.h:
	* src/scsi/scsi-read-toc-pma-atip.c: (brasero_read_toc_pma_atip),
	(brasero_mmc1_read_atip):
	* src/scsi/scsi-read-toc-pma-atip.h:

2007-12-07  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix for #499571 – *** glibc detected *** brasero: double free or corruption (top): 0x08203400 ***

	* src/burn-medium.c: (brasero_medium_get_medium_type):
	* src/scsi/scsi-read-toc-pma-atip.h:

2007-12-07  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix crash #501152 – Crash when burning data files
	Updated the whole libburn backend

	* src/plugins/libburnia/burn-libburn-common.c:
	(brasero_libburn_common_ctx_free),
	(brasero_libburn_common_ctx_new),
	(brasero_libburn_common_status_changed),
	(brasero_libburn_common_status):
	* src/plugins/libburnia/burn-libburn-common.h:
	* src/plugins/libburnia/burn-libburn.c: (brasero_libburn_start),
	(brasero_libburn_clock_tick), (brasero_libburn_class_init),
	(brasero_libburn_init):

2007-12-06  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix crash in comment #24 bug #357693 – Brasero thinks my disc has not enough space

	* src/burn-caps.c: (brasero_caps_link_list_insert):
	* src/burn-volume.h:

2007-12-03  Luis Medinas  <lmedinas@svn.gnome.org>

	* configure.in:

	Make Brasero build with libburn >= 0.4.0.

2007-12-03  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/scsi/scsi-mode-sense.c:

	Mode sense headers are incorrect closes bgo #501111.
	Patch from Daniel Drake <dsd@gentoo.org>

2007-11-25  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix crash in #499571 – *** glibc detected *** brasero: double free or corruption (top): 0x08203400 ***
	but didn't fix get configuration failure

	* src/burn-medium.c: (brasero_medium_get_medium_type):

2007-11-25  Philippe Rouquier  <philippr@svn.gnome.org>

	Use exclusive flags to prevent DAO for multisession DVDs
	and not hardcoded path in burn-caps.c

	* src/burn-caps.c: (brasero_burn_caps_get_flags):
	* src/plugins/growisofs/burn-growisofs.c:
	(brasero_growisofs_export_caps):
	* src/plugins/libburnia/burn-libburn.c:
	(brasero_libburn_export_caps):

2007-11-18  Philippe Rouquier  <philippr@svn.gnome.org>

	Added the possibility to have exclusive flags in plugin definitions

	* src/burn-caps.c: (brasero_burn_caps_get_blanking_flags),
	(brasero_burn_caps_new_blanking_task),
	(brasero_burn_caps_can_blank),
	(brasero_caps_link_get_record_flags),
	(brasero_caps_link_get_data_flags),
	(brasero_caps_link_check_data_flags),
	(brasero_caps_link_check_record_flags),
	(brasero_caps_link_find_plugin), (brasero_caps_find_best_link),
	(brasero_caps_get_flags):
	* src/burn-plugin-private.h:
	* src/burn-plugin.c: (brasero_plugin_set_flags_real),
	(brasero_plugin_get_all_flags),
	(brasero_plugin_check_record_flags),
	(brasero_plugin_check_image_flags),
	(brasero_plugin_get_record_flags),
	(brasero_plugin_get_image_flags),
	(brasero_plugin_check_blank_flags),
	(brasero_plugin_get_blank_flags):

2007-11-18  Philippe Rouquier  <philippr@svn.gnome.org>

	Don't allow the use of the properties button if there is no valid source media
	when copying a disc

	* src/brasero-dest-selection.c:
	(brasero_dest_selection_set_drive_properties),
	(brasero_dest_selection_set_image_properties),
	(brasero_dest_selection_check_image_settings),
	(brasero_dest_selection_check_drive_settings):

2007-11-18  Philippe Rouquier  <philippr@svn.gnome.org>

	Fixed alignement of text in image option dialog

	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_init):
	* src/brasero-image-properties.c:
	(brasero_image_properties_set_formats):
	* src/brasero-image-type-chooser.c:
	(brasero_image_type_chooser_init):

2007-11-18  Philippe Rouquier  <philippr@svn.gnome.org>

	If reading to a BIN image then readcd/readom only read the last track
	Some possible fixes for multisession button state

	* src/brasero-data-disc.c: (brasero_data_disc_add_ui),
	(brasero_data_disc_update_multi_button_state),
	(brasero_data_disc_set_drive):
	* src/burn-medium.h:
	* src/plugins/cdrkit/burn-readom.c:
	(brasero_readom_argv_set_iso_boundary), (brasero_readom_get_size),
	(brasero_readom_set_argv):
	* src/plugins/cdrtools/burn-readcd.c:
	(brasero_readcd_argv_set_iso_boundary), (brasero_readcd_get_size),
	(brasero_readcd_set_argv):

2007-11-17  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #494801 – Import session weirdness:
	Added a menu entry for import session

	* src/brasero-data-disc.c:

2007-11-17  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #494925 – Save action insensetive

	* src/brasero-project.c: (brasero_project_contents_changed_cb),
	(brasero_project_file_chooser_response_cb),
	(brasero_project_add_uris_cb),
	(brasero_project_invalid_project_dialog), (_read_graft_point),
	(_read_data_track), (_read_audio_track), (_get_tracks),
	(brasero_project_open_project_xml),
	(brasero_project_save_project_dialog),
	(brasero_project_save_project_xml):

2007-11-17  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #494915 – Toolbars and Menus
	Also re-added possibility to hide/show preview.

	* src/brasero-audio-disc.c:
	* src/brasero-data-disc.c:
	* src/brasero-layout.c: (brasero_layout_pack_preview),
	(brasero_layout_size_reallocate), (brasero_layout_add_preview),
	(brasero_layout_set_side_pane_visible),
	(brasero_layout_displayed_item_changed_cb), (brasero_layout_save),
	(brasero_layout_add_source), (brasero_layout_combo_changed_cb),
	(brasero_layout_item_set_visible), (brasero_layout_load),
	(brasero_layout_init):
	* src/brasero-menu.h:
	* src/brasero-project-manager.c: (brasero_project_manager_burn),
	(brasero_project_manager_open_cb):
	* src/brasero-project.c: (brasero_project_overburn_dialog),
	(_wait_for_ready_state), (brasero_project_check_status),
	(brasero_project_burn),
	(brasero_project_check_default_burning_app),
	(brasero_project_switch), (brasero_project_confirm_switch),
	(brasero_project_add_uris_cb), (brasero_project_empty_cb),
	(_read_graft_point), (_read_data_track), (_read_audio_track),
	(_get_tracks), (brasero_project_open_project_xml),
	(brasero_project_save_project_xml):

	Add a NOTE:
	* src/plugins/cdrkit/burn-wodim.c: (brasero_wodim_write_inf),
	(brasero_wodim_write_infs), (brasero_wodim_set_argv_record):
	* src/plugins/cdrtools/burn-cdrecord.c:
	(brasero_cdrecord_write_inf), (brasero_cdrecord_write_infs),
	(brasero_cdrecord_set_argv_record):

2007-11-16  Philippe Rouquier  <philippr@svn.gnome.org>

	Don't set fast metadata option otherwise it gets into the cache with a slightly flawed value for size.

	* src/brasero-vfs.c: (brasero_vfs_get_count):

2007-11-15  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix a crash with cdrdao toc files parsing

	* src/burn-image-format.c: (brasero_image_format_get_FILE_info),
	(brasero_image_format_get_cdrdao_size),
	(brasero_image_format_get_cue_size):

2007-11-14  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix a bug for really small track read by cdrdao:
	cdrdao won't read under a size of 300 sectors which means that the progress was screwed.

	* src/plugins/cdrdao/burn-cdrdao.c: (brasero_cdrdao_set_argv):

2007-11-14  Philippe Rouquier  <philippr@svn.gnome.org>

	Add an image to GtkRecent after it's created
	Also fix the display of recent that wasn't udpated properly sometimes

	* src/brasero-burn-dialog.c:
	(brasero_burn_dialog_add_track_to_recent),
	(brasero_burn_dialog_end_session):
	* src/brasero-project-type-chooser.c:
	(brasero_project_type_chooser_sort_recent):
	* src/plugins/transcode/burn-transcode.c:
	(brasero_transcode_create_pipeline),
	(brasero_transcode_create_sibling_image),
	(brasero_transcode_search_for_sibling), (brasero_transcode_start),
	(brasero_transcode_stop), (brasero_transcode_pad_real),
	(brasero_transcode_pad_idle), (brasero_transcode_pad),
	(brasero_transcode_pad_file), (brasero_transcode_is_mp3),
	(brasero_transcode_song_end_reached), (foreach_tag),
	(brasero_transcode_active_state):

2007-11-14  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix a problem where cue images did not appear when creating a disc image
	Make also cue images generation work.

	* src/brasero-dest-selection.c:
	(brasero_dest_selection_set_image_properties),
	(brasero_dest_selection_check_image_settings),
	(brasero_dest_selection_check_drive_settings):
	* src/plugins/cdrdao/burn-cdrdao.c:
	(brasero_cdrdao_set_argv_image):
	* src/plugins/cdrdao/burn-toc2cue.c: (brasero_toc2cue_read_stderr),
	(brasero_toc2cue_set_argv), (brasero_toc2cue_post),
	(brasero_toc2cue_class_init), (brasero_toc2cue_finalize):

2007-11-14  Philippe Rouquier  <philippr@svn.gnome.org>

	Some improvements for #493810 CD/DVD copy options (see last comments)
	now the extension is checked and rewritten is needed to fit the chosen format

	* src/brasero-dest-selection.c:
	(brasero_dest_selection_drive_properties),
	(brasero_dest_selection_get_default_output_format),
	(brasero_dest_selection_get_default_output_path),
	(brasero_dest_selection_fix_image_extension),
	(brasero_dest_selection_get_possible_output_formats),
	(brasero_dest_selection_image_format_changed_cb),
	(brasero_dest_selection_image_check_extension),
	(brasero_dest_selection_image_extension_ask),
	(brasero_dest_selection_image_properties),
	(brasero_dest_selection_set_drive_properties),
	(brasero_dest_selection_set_image_properties),
	(brasero_dest_selection_check_image_settings),
	(brasero_dest_selection_check_drive_settings),
	(brasero_dest_selection_init):
	* src/brasero-image-properties.c:
	(brasero_image_properties_is_path_edited),
	(brasero_image_properties_set_path),
	(brasero_image_properties_format_changed_cb),
	(brasero_image_properties_set_formats),
	(brasero_image_properties_finalize),
	(brasero_image_properties_class_init):
	* src/brasero-image-properties.h:

2007-11-14  Philippe Rouquier  <philippr@svn.gnome.org>

	keep extensions when truncating joliet files
	Fix last comment of #490853

	* src/brasero-data-disc.c: 
	(brasero_data_disc_joliet_get_key),
	(brasero_data_disc_joliet_incompat_get_joliet_compliant_name),

2007-11-12  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #493810 CD/DVD copy options (see last comments)

	In the process found and fixed other bugs:
	- wrong image caps returned sometimes due to wrong check on io flags
	- no image types displayed when burning an image
	- grey out button when copying disc but there is no source

	some cleanups here are there
	
	* src/brasero-dest-selection.c:
	(brasero_dest_selection_get_default_output_format),
	(brasero_dest_selection_get_default_output_path),
	(brasero_dest_selection_get_possible_output_formats),
	(brasero_dest_selection_image_properties),
	(brasero_dest_selection_set_drive_properties),
	(brasero_dest_selection_set_image_properties),
	(brasero_dest_selection_check_image_settings),
	(brasero_dest_selection_check_drive_settings),
	(brasero_dest_selection_init):
	* src/brasero-disc-copy-dialog.c: (brasero_disc_copy_dialog_init):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_set_formats),
	(brasero_image_option_dialog_format_changed),
	(brasero_image_option_dialog_file_changed),
	(brasero_image_option_dialog_output_changed_cb),
	(brasero_image_option_dialog_valid_media_cb),
	(brasero_image_option_dialog_init),
	(brasero_image_option_dialog_finalize):
	* src/burn-caps.c: (brasero_caps_try_output_with_blanking),
	(brasero_burn_caps_is_input_supported),
	(brasero_burn_caps_is_output_supported),
	(brasero_burn_caps_get_required_media_type),
	(brasero_caps_get_flags), (brasero_caps_get_flags_for_disc),
	(brasero_burn_caps_get_flags), (brasero_burn_caps_sort),
	(brasero_caps_replicate_links), (brasero_caps_replicate_tests),
	(brasero_caps_list_check_io), (brasero_caps_image_new),
	(brasero_caps_audio_new), (brasero_caps_data_new),
	(brasero_caps_disc_new):
	* src/burn-session.c: (brasero_burn_session_set_image_output_full),
	(brasero_burn_session_push_tracks),
	(brasero_burn_session_pop_tracks),
	(brasero_burn_session_get_src_drive),
	(brasero_burn_session_finalize):

2007-11-12  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/brasero-blank-dialog.c: (brasero_blank_dialog_activate):

	Fix a bug when we blank a cd the dialog appears with two close buttons.

2007-11-11  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #490853 – Brasero refuses to start burning showing a "File not found" error, sometimes (weird)

	Fix problem with paths in joliet incompatible table where part of path was escaped
	Fix problem where some file names in the exclude file for mkisofs were not escaped
	Plugged some memleaks
	Fixed some other small problems related to joliet incompatible file names

	* src/brasero-data-disc.c: (brasero_data_disc_get_type),
	(brasero_data_disc_get_property), (brasero_data_disc_set_property),
	(brasero_data_disc_add_ui),
	(brasero_data_disc_tree_check_name_validity),
	(brasero_data_disc_remove_bogus_child),
	(brasero_data_disc_tree_update_directory_real),
	(brasero_data_disc_tree_update_directory),
	(brasero_data_disc_tree_update_parent),
	(brasero_data_disc_tree_path_to_disc_path),
	(brasero_data_disc_disc_path_to_tree_path),
	(brasero_data_disc_tree_remove_path),
	(brasero_data_disc_tree_new_path),
	(brasero_data_disc_tree_set_path_from_info),
	(brasero_data_disc_tree_new_empty_folder_real),
	(brasero_data_disc_tree_new_loading_row),
	(brasero_data_disc_joliet_get_key),
	(brasero_data_disc_joliet_incompat_get_joliet_compliant_name),
	(brasero_data_disc_joliet_incompat_get_joliet_compliant_path),
	(brasero_data_disc_joliet_incompat_add_path),
	(brasero_data_disc_joliet_incompat_add_paths),
	(brasero_data_disc_joliet_incompat_find_cb),
	(brasero_data_disc_joliet_incompat_free),
	(brasero_data_disc_joliet_incompat_remove_path),
	(brasero_data_disc_joliet_incompat_move),
	(brasero_data_disc_joliet_incompat_restore),
	(brasero_data_disc_joliet_incompat_restore_children),
	(brasero_data_disc_joliet_incompat_add_uri),
	(brasero_data_disc_empty_excluded_hash),
	(brasero_data_disc_empty_restored_hash),
	(brasero_data_disc_empty_symlink_hash),
	(brasero_data_disc_empty_grafts_hash),
	(brasero_data_disc_empty_files_hash),
	(brasero_data_disc_empty_dirs_hash),
	(brasero_data_disc_empty_monitor_hash),
	(brasero_data_disc_empty_joliet_incompat),
	(brasero_data_disc_unreadable_new),
	(brasero_data_disc_unreadable_dialog),
	(brasero_data_disc_restore_unreadable),
	(brasero_data_disc_restore_unreadable_cb),
	(brasero_data_disc_filtered_restore), (_foreach_unreadable_remove),
	(_foreach_remove_symlink_children_cb), (_foreach_restored_remove),
	(brasero_data_disc_remove_children_async_cb),
	(_foreach_remove_children_files_cb),
	(brasero_data_disc_remove_children),
	(brasero_data_disc_remove_uri), (brasero_data_disc_graft_get_real),
	(brasero_data_disc_graft_remove),
	(brasero_data_disc_graft_remove_all),
	(_foreach_move_children_paths_cb),
	(brasero_data_disc_graft_children_move),
	(_foreach_unreference_grafted_cb),
	(brasero_data_disc_graft_changed),
	(brasero_data_disc_uri_to_paths), (brasero_data_disc_path_to_uri),
	(brasero_data_disc_new_folder_clicked_cb),
	(brasero_data_disc_has_parent),
	(brasero_data_disc_expose_grafted_cb),
	(brasero_data_disc_expose_grafted),
	(brasero_data_disc_expose_imported_session_file),
	(brasero_data_disc_directory_entry_error),
	(brasero_data_disc_expose_path_real),
	(brasero_data_disc_expose_path),
	(brasero_data_disc_row_collapsed_cb),
	(brasero_data_disc_row_expanded_cb), (brasero_data_disc_file_new),
	(brasero_data_disc_get_unique_valid_utf8_path),
	(brasero_data_disc_symlink_new),
	(brasero_data_disc_invalid_utf8_new),
	(brasero_data_disc_dir_contents_end), (_check_for_restored),
	(brasero_data_disc_load_result), (brasero_data_disc_delete_row_cb),
	(brasero_data_disc_is_session_path_deleted),
	(brasero_data_disc_path_remove_user),
	(brasero_data_disc_replace_file),
	(brasero_data_disc_restore_excluded_children_cb),
	(brasero_data_disc_replace_symlink_children_cb),
	(brasero_data_disc_replace_symlink_children),
	(brasero_data_disc_new_row_real), (brasero_data_disc_new_row_cb),
	(brasero_data_disc_get_dir_contents_results),
	(brasero_data_disc_add_uri_real), (brasero_data_disc_add_uri),
	(brasero_data_disc_can_add_uri),
	(brasero_data_disc_remove_imported_session),
	(brasero_data_disc_import_session_cb),
	(_foreach_joliet_non_compliant_cb),
	(brasero_data_disc_get_track_real),
	(brasero_data_disc_is_video_DVD), (brasero_data_disc_path_create),
	(brasero_data_disc_graft_check_result),
	(brasero_data_disc_graft_find_first_parent),
	(brasero_data_disc_graft_check_parent),
	(brasero_data_disc_graft_check_existence),
	(brasero_data_disc_load_graft_end),
	(brasero_data_disc_load_graft_result),
	(brasero_data_disc_load_restored_end),
	(brasero_data_disc_move_row_in_dirs_hash),
	(brasero_data_disc_move_row_simple_file_cb),
	(brasero_data_disc_move_row), (brasero_data_disc_set_dest_row),
	(brasero_data_disc_drag_dest_drop_row_possible),
	(brasero_data_disc_move_to_dest),
	(brasero_data_disc_native_data_received),
	(brasero_data_disc_drag_data_received_dragging),
	(brasero_data_disc_drag_data_received_cb),
	(brasero_data_disc_drag_drop_cb),
	(brasero_data_disc_drag_motion_cb),
	(brasero_data_disc_rename_activated),
	(brasero_data_disc_paste_activated_cb),
	(brasero_data_disc_button_pressed_cb),
	(brasero_data_disc_reference_remove_uri),
	(brasero_data_disc_inotify_create_paths),
	(brasero_data_disc_inotify_create_file_event_cb),
	(brasero_data_disc_inotify_modify_file_cb),
	(brasero_data_disc_inotify_moved_from_event),
	(brasero_data_disc_inotify_rename),
	(brasero_data_disc_inotify_moved_to_event),
	(brasero_data_disc_inotify_monitor_cb):
	* src/burn-mkisofs-base.c: (_write_line),
	(brasero_mkisofs_base_write_excluded),
	(brasero_mkisofs_base_write_excluded_valid_paths),
	(_foreach_write_grafts), (brasero_mkisofs_base_write_to_files):

2007-11-11  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/main.c: (on_about_cb):

	Update the copyright.

2007-11-10  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #494800 – Removing files from project

	* src/brasero-audio-disc.c: (brasero_audio_disc_selection_changed),
	(brasero_audio_disc_edit_song_properties),
	(brasero_audio_disc_clipboard_text_cb),
	(brasero_audio_disc_clipboard_targets_cb),
	(brasero_audio_disc_button_pressed_cb),
	(brasero_audio_disc_key_released_cb),
	(brasero_audio_disc_get_selected_uri),
	(brasero_audio_disc_start_monitoring),
	(brasero_audio_disc_inotify_remove_all),
	(brasero_audio_disc_inotify_find_rows),
	(brasero_audio_disc_inotify_remove),
	(brasero_audio_disc_inotify_modify),
	(brasero_audio_disc_inotify_move),
	(brasero_audio_disc_inotify_is_in_selection),
	(brasero_audio_disc_inotify_monitor_cb):
	* src/brasero-data-disc.c: (brasero_data_disc_get_type),
	(brasero_data_disc_get_property), (brasero_data_disc_set_property),
	(brasero_data_disc_add_ui), (brasero_data_disc_init),
	(brasero_data_disc_selection_changed_cb),
	(brasero_data_disc_tree_check_name_validity),
	(brasero_data_disc_remove_bogus_child),
	(brasero_data_disc_tree_update_directory_real),
	(brasero_data_disc_tree_update_directory),
	(brasero_data_disc_tree_update_parent),
	(brasero_data_disc_tree_path_to_disc_path),
	(brasero_data_disc_disc_path_to_tree_path),
	(brasero_data_disc_tree_remove_path),
	(brasero_data_disc_tree_new_path),
	(brasero_data_disc_tree_set_path_from_info),
	(brasero_data_disc_tree_new_empty_folder_real),
	(brasero_data_disc_tree_new_loading_row),
	(brasero_data_disc_joliet_get_key),
	(brasero_data_disc_joliet_incompat_add_paths),
	(brasero_data_disc_joliet_incompat_move),
	(brasero_data_disc_empty_excluded_hash),
	(brasero_data_disc_empty_restored_hash),
	(brasero_data_disc_empty_symlink_hash),
	(brasero_data_disc_empty_grafts_hash),
	(brasero_data_disc_empty_files_hash),
	(brasero_data_disc_empty_dirs_hash),
	(brasero_data_disc_empty_monitor_hash),
	(brasero_data_disc_unreadable_new),
	(brasero_data_disc_unreadable_dialog),
	(brasero_data_disc_restore_unreadable),
	(brasero_data_disc_restore_unreadable_cb),
	(brasero_data_disc_filtered_restore), (_foreach_unreadable_remove),
	(_foreach_remove_symlink_children_cb), (_foreach_restored_remove),
	(brasero_data_disc_remove_children_async_cb),
	(_foreach_remove_children_files_cb),
	(brasero_data_disc_remove_children),
	(brasero_data_disc_remove_uri), (brasero_data_disc_graft_get_real),
	(brasero_data_disc_graft_remove),
	(brasero_data_disc_graft_remove_all),
	(_foreach_move_children_paths_cb),
	(brasero_data_disc_graft_children_move),
	(_foreach_unreference_grafted_cb),
	(brasero_data_disc_graft_changed),
	(brasero_data_disc_uri_to_paths),
	(brasero_data_disc_new_folder_clicked_cb),
	(brasero_data_disc_has_parent),
	(brasero_data_disc_expose_grafted_cb),
	(brasero_data_disc_expose_grafted),
	(brasero_data_disc_expose_imported_session_file),
	(brasero_data_disc_directory_entry_error),
	(brasero_data_disc_expose_path_real),
	(brasero_data_disc_expose_path),
	(brasero_data_disc_row_collapsed_cb),
	(brasero_data_disc_row_expanded_cb), (brasero_data_disc_file_new),
	(brasero_data_disc_get_unique_valid_utf8_path),
	(brasero_data_disc_symlink_new),
	(brasero_data_disc_invalid_utf8_new), (_check_for_restored),
	(brasero_data_disc_load_result), (brasero_data_disc_delete_row_cb),
	(brasero_data_disc_is_session_path_deleted),
	(brasero_data_disc_path_remove_user),
	(brasero_data_disc_replace_file),
	(brasero_data_disc_restore_excluded_children_cb),
	(brasero_data_disc_replace_symlink_children),
	(brasero_data_disc_new_row_real), (brasero_data_disc_new_row_cb),
	(brasero_data_disc_get_dir_contents_results),
	(brasero_data_disc_add_uri_real),
	(brasero_data_disc_remove_imported_session),
	(brasero_data_disc_import_session_cb),
	(brasero_data_disc_is_video_DVD), (brasero_data_disc_path_create),
	(brasero_data_disc_graft_check_result),
	(brasero_data_disc_graft_find_first_parent),
	(brasero_data_disc_graft_check_parent),
	(brasero_data_disc_graft_check_existence),
	(brasero_data_disc_load_graft_end),
	(brasero_data_disc_load_graft_result),
	(brasero_data_disc_move_row_in_dirs_hash),
	(brasero_data_disc_move_row_simple_file_cb),
	(brasero_data_disc_move_row), (brasero_data_disc_set_dest_row),
	(brasero_data_disc_drag_dest_drop_row_possible),
	(brasero_data_disc_move_to_dest),
	(brasero_data_disc_native_data_received),
	(brasero_data_disc_drag_data_received_cb),
	(brasero_data_disc_drag_drop_cb),
	(brasero_data_disc_drag_motion_cb),
	(brasero_data_disc_rename_activated),
	(brasero_data_disc_paste_activated_cb),
	(brasero_data_disc_button_pressed_cb),
	(brasero_data_disc_inotify_monitor_cb):
	* src/brasero-project.c: (brasero_project_check_size),
	(_wait_for_ready_state), (brasero_project_burn),
	(brasero_project_check_default_burning_app),
	(brasero_project_switch), (brasero_project_confirm_switch),
	(brasero_project_add_uris_cb), (brasero_project_empty_cb),
	(_read_graft_point), (_read_data_track), (_read_audio_track),
	(_get_tracks), (brasero_project_open_project_xml),
	(brasero_project_not_saved_dialog),
	(brasero_project_save_project_xml):

2007-11-10  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #493810 – CD/DVD copy options

	* src/brasero-dest-selection.c:
	(brasero_dest_selection_check_same_src_dest),
	(brasero_dest_selection_drive_properties),
	(brasero_dest_selection_get_possible_output_formats),
	(brasero_dest_selection_image_properties),
	(brasero_dest_selection_set_drive_properties),
	(brasero_dest_selection_set_image_properties),
	(brasero_dest_selection_check_image_settings),
	(brasero_dest_selection_check_drive_settings),
	(brasero_dest_selection_set_property):
	* src/brasero-disc-copy-dialog.c:
	(brasero_disc_copy_dialog_set_burn_button_state),
	(brasero_disc_copy_dialog_valid_media_cb):
	* src/brasero-drive-selection.h:
	* src/brasero-image-properties.c:
	(brasero_image_properties_get_path),
	(brasero_image_properties_set_path),
	(brasero_image_properties_init), (brasero_image_properties_new):
	* src/brasero-image-properties.h:
	* src/burn-session.c: (brasero_burn_session_get_output),
	(brasero_burn_session_push_tracks),
	(brasero_burn_session_pop_tracks), (brasero_burn_session_finalize):
	* src/plugins/cdrkit/burn-readom.c: (brasero_readom_export_caps):
	* src/plugins/cdrtools/burn-readcd.c: (brasero_readcd_export_caps):

2007-11-09  Philippe Rouquier  <philippr@svn.gnome.org>

	Improved the plugin choosing method.
	That fixes problem with CDRDAO images that were converted to CUE images before being burnt.
	Fix a problem where the required media asked to the user wasn't correct.
	Some minor cleanups

	* src/burn-caps.c: (brasero_caps_is_compatible_type),
	(brasero_burn_caps_media_capabilities),
	(brasero_burn_caps_get_blanking_flags),
	(brasero_burn_caps_new_blanking_task),
	(brasero_burn_caps_can_blank), (brasero_caps_link_find_plugin),
	(brasero_caps_link_list_insert), (brasero_caps_find_best_link),
	(brasero_caps_add_processing_plugins_to_task),
	(brasero_burn_caps_new_task),
	(brasero_burn_caps_new_checksuming_task), (brasero_caps_find_link),
	(brasero_caps_try_output), (brasero_caps_try_output_with_blanking),
	(brasero_burn_caps_get_output),
	(brasero_burn_caps_is_input_supported),
	(brasero_burn_caps_is_output_supported),
	(brasero_burn_caps_get_required_media_type),
	(brasero_burn_caps_get_flags), (brasero_caps_link_list_duplicate),
	(brasero_caps_replicate_links), (brasero_caps_replicate_tests),
	(brasero_caps_list_check_io), (brasero_caps_image_new),
	(brasero_caps_audio_new), (brasero_caps_data_new),
	(brasero_caps_disc_new), (brasero_caps_find_link_for_input),
	(brasero_caps_create_links), (brasero_plugin_blank_caps),
	(brasero_plugin_check_caps):
	* src/burn-caps.h:

2007-11-08  Michael Monreal  <mmonreal@svn.gnome.org>

	Fix #494809 - Wrong icon for burning ISO image

	* src/brasero-project-manager.c: use iso-image-burn

2007-11-07  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #488857 – Empty project icon

	* src/brasero-project.c:

2007-11-07  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #485935 – percent is miscalculated in status icon tooltip

	* src/brasero-burn-dialog.c:
	(brasero_burn_dialog_progress_changed_real),
	(brasero_burn_dialog_init), (brasero_burn_dialog_activity_stop),
	(brasero_burn_dialog_setup_session),
	(brasero_burn_dialog_save_log), (brasero_burn_dialog_show_log),
	(brasero_burn_dialog_notify_success), (brasero_burn_dialog_run):

2007-11-07  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #493782 messages during data integrity check should be more verbose
	Fixed progress of checksuming operation and show the proper action string during checksuming.

	* src/brasero-tool-dialog.c:
	(brasero_tool_dialog_progress_changed):
	* src/burn-task-ctx.c: (brasero_task_ctx_get_progress):
	* src/burn.c: (brasero_burn_check_real),
	(brasero_burn_record_session), (brasero_burn_same_src_dest):
	* src/plugins/checksum/burn-md5sum.c: (brasero_md5sum_image),
	(brasero_md5sum_end):

2007-11-07  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix a problem with cue/clone/cdrdao images that couldn't be burnt:
	Added a small and rought parser for cue and cdrdao to get the paths
	to their images and retrieve a more precise size.

	* src/Makefile.am:
	* src/brasero-dest-selection.c:
	(brasero_dest_selection_set_image_properties),
	(brasero_dest_selection_check_image_settings):
	* src/burn-basics.h:
	* src/burn-image-format.c: (brasero_image_format_read_path),
	(brasero_image_format_get_cue_file_complement),
	(brasero_image_format_get_toc_file_complement),
	(brasero_image_format_get_complement),
	(brasero_image_format_get_MSF_address),
	(brasero_image_format_get_DATAFILE_info),
	(brasero_image_format_get_FILE_info),
	(brasero_image_format_get_cdrdao_size),
	(brasero_image_format_get_cue_size),
	(brasero_image_format_get_iso_size),
	(brasero_image_format_get_clone_size):
	* src/burn-image-format.h:
	* src/burn-iso9660.c:
	* src/burn-track.c: (brasero_track_get_image_source),
	(brasero_track_get_toc_source), (brasero_track_get_image_size):
	* src/burn-track.h:
	* src/burn-volume.c: (brasero_volume_file_size):
	* src/burn-volume.h:

2007-11-06  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/burn-medium.c: (brasero_medium_track_volume_size):

	Fix function declaration that caused glib warning.

2007-11-05  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #492828 – 'choose a recently opened project' doesn't remember my last project

	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_set_track),
	(brasero_image_option_dialog_get_session),
	(brasero_image_option_dialog_init):
	* src/brasero-project-type-chooser.c:
	(brasero_project_type_chooser_sort_recent),
	(brasero_project_type_chooser_build_recent),
	(brasero_project_type_chooser_recent_changed_cb),
	(brasero_project_type_chooser_init):
	* src/brasero-project.c: (brasero_project_set_uri),
	(_read_graft_point), (_read_data_track), (_read_audio_track),
	(_get_tracks), (brasero_project_open_project_xml),
	(brasero_project_save_project_dialog),
	(brasero_project_save_project_xml):
	* src/burn-job.c: (brasero_job_item_activate),
	(brasero_job_check_output_volume_space),
	(brasero_job_set_output_file), (brasero_job_finished_session),
	(brasero_job_start_progress), (brasero_job_set_current_action):
	* src/burn-session.c:
	(brasero_burn_session_set_image_output_retval),
	(brasero_burn_session_push_tracks),
	(brasero_burn_session_pop_tracks), (brasero_burn_session_finalize):
	* src/burn-task.c: (brasero_task_set_track_output_size_default),
	(brasero_task_start):

2007-11-05  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix uninhibit interface call

	* src/burn-dbus.c: (brasero_uninhibit_suspend):

2007-11-05  Philippe Rouquier  <philippr@svn.gnome.org>

	Some fixes for #490853 – Brasero refuses to start burning showing a "File not found" error, sometimes (weird) (comment #6)
	Better handling of button being greyed out and also fix problem with creating an image.

	Also try to better lock the drive before doing a checksum

	* src/brasero-dest-selection.c:
	(brasero_dest_selection_drive_properties),
	(brasero_dest_selection_get_possible_output_formats),
	(brasero_dest_selection_set_drive_properties),
	(brasero_dest_selection_set_image_properties),
	(brasero_dest_selection_check_image_settings):
	* src/burn.c: (brasero_burn_lock_checksum_media),
	(brasero_burn_unlock_dest_media), (brasero_burn_progress_changed),
	(brasero_burn_ask_for_joliet), (brasero_burn_run_imager),
	(brasero_burn_run_recorder), (brasero_burn_run_tasks),
	(brasero_burn_check_real), (brasero_burn_record_session),
	(brasero_burn_same_src_dest), (brasero_burn_blank_real):

2007-11-04  Philippe Rouquier  <philippr@svn.gnome.org>

	Small fix for wrong Gconf key
	patch by Michael Montreal
	
	* data/brasero.schemas.in:
	* src/burn-caps.c:

2007-11-04  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #487053 – files get accidently selected as 'dragged' in the browser treeview
	Patch by Carl-Anton Ingmarsson

	* src/eggtreemultidnd.c: (egg_tree_multi_drag_button_press_event):

2007-11-04  Philippe Rouquier  <philippr@svn.gnome.org>

	Another attempt at fixing #488194 – md5 plugin causes trouble when simulating
	Now we make sure processing plugins (like md5sumfile) get the same input/output

	* src/burn-caps.c: (brasero_caps_add_processing_plugins_to_task),
	(brasero_burn_caps_new_task),
	(brasero_burn_caps_new_checksuming_task),
	(brasero_caps_try_output), (brasero_caps_try_output_with_blanking),
	(brasero_burn_caps_get_output), (brasero_caps_get_flags),
	(brasero_burn_caps_get_flags), (brasero_caps_link_list_duplicate),
	(brasero_caps_replicate_links), (brasero_caps_replicate_tests),
	(brasero_caps_list_check_io), (brasero_caps_image_new),
	(brasero_caps_audio_new), (brasero_caps_data_new),
	(brasero_caps_disc_new):
	* src/burn-debug.h:
	* src/burn-session.c: (brasero_burn_session_start),
	(brasero_burn_session_finalize):

2007-11-04  Luis Medinas  <lmedinas@svn.gnome.org>

	* docs/brasero.1:

	Lots of updates on the manual page.

2007-11-03  Philippe Rouquier  <philippr@svn.gnome.org>

	Additional fixes for #484162.
	First, now we make sure to unmount media before checking and locking.
	Second, delay for 5 seconds (while readcd/wodim/... retries) our giving up

	* src/burn.c: (brasero_burn_lock_checksum_media),
	(brasero_burn_unlock_dest_media), (brasero_burn_progress_changed),
	(brasero_burn_ask_for_joliet), (brasero_burn_run_imager),
	(brasero_burn_run_recorder), (brasero_burn_run_tasks),
	(brasero_burn_check_real), (brasero_burn_record_session),
	(brasero_burn_same_src_dest), (brasero_burn_blank_real):
	* src/plugins/cdrkit/burn-readom.c: (brasero_readom_read_stderr):
	* src/plugins/cdrkit/burn-wodim.c: (brasero_wodim_stderr_read),
	(brasero_wodim_compute), (brasero_wodim_write_inf),
	(brasero_wodim_set_argv_record):
	* src/plugins/cdrtools/burn-cdrecord.c:
	(brasero_cdrecord_stderr_read), (brasero_cdrecord_compute),
	(brasero_cdrecord_write_inf), (brasero_cdrecord_set_argv_record):
	* src/plugins/cdrtools/burn-readcd.c: (brasero_readcd_read_stderr):

2007-11-03  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix the problem whereby burn button was greyed when image was selected as output

	* src/brasero-dest-selection.c:
	(brasero_dest_selection_set_image_properties),
	(brasero_dest_selection_check_image_settings):

2007-11-03  Luis Medinas  <metalgod@svn.gnome.org>

	* src/brasero-layout.c: (brasero_layout_item_set_active),
	(brasero_layout_load):

	Fix project sidebar bug #492165. Thanks to 
	Carl-Anton Ingmarsson <c-a.ingmarsson@oktv.se> for the patch.
	
2007-11-03  Luis Medinas  <lmedinas@svn.gnome.org>

	* data/brasero.schemas.in:

	Fix typo in brasero schemas

2007-11-02  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix most if not all the problems with md5sum.
	Basically md5sum don't read from dev directly now
	It uses another plugin (readcd/readom) to do that which implied to let test plugin accept input from other plugins
	Fixes more specifically
	#484162 – Brasero is unable to verify the integrity of a 160MB bootable iso image.
	#485716 – Checksum errors
	#488799 – Add possibility to change cd label (last comment)
	and possibly #488194 – md5 plugin causes trouble when simulating

	Also split md5sum plugin in two.

	* src/brasero-ncb.c: (NCB_MEDIA_GET_TRACK_NUM),
	(NCB_MEDIA_GET_TRACK_ADDRESS), (NCB_MEDIA_GET_TRACK_SPACE):
	* src/burn-drive.h:
	* src/burn-caps.c: (brasero_caps_unregister_plugin),
	(brasero_caps_is_compatible_type),
	(brasero_burn_caps_media_capabilities),
	(brasero_burn_caps_get_blanking_flags),
	(brasero_burn_caps_new_blanking_task),
	(brasero_burn_caps_can_blank), (brasero_caps_link_find_plugin),
	(brasero_caps_add_processing_plugins_to_task),
	(brasero_burn_caps_new_task),
	(brasero_burn_caps_new_checksuming_task),
	(brasero_burn_caps_get_output),
	(brasero_burn_caps_get_required_media_type),
	(brasero_burn_caps_get_flags), (brasero_caps_copy),
	(brasero_caps_replicate_modifiers), (brasero_caps_replicate_tests),
	(brasero_caps_copy_deep), (brasero_caps_list_check_io),
	(brasero_caps_image_new), (brasero_caps_audio_new),
	(brasero_caps_data_new), (brasero_caps_disc_new),
	(brasero_caps_find_link_for_input), (brasero_plugin_check_caps):
	* src/burn-medium.c: (brasero_medium_get_track_num),
	(brasero_medium_get_track), (brasero_medium_get_track_space),
	(brasero_medium_get_track_address),
	(brasero_medium_get_free_space),
	(brasero_medium_get_page_2A_write_speed_desc),
	(brasero_medium_get_medium_type), (brasero_medium_track_get_info),
	(brasero_medium_get_sessions_info), (brasero_medium_get_contents):
	* src/burn-medium.h:
	* src/burn-track.c: (brasero_track_set_drive_track),
	(brasero_track_get_drive_track):
	* src/burn-track.h:
	* src/burn.c: (brasero_burn_check_real),
	(brasero_burn_record_session), (brasero_burn_check),
	(brasero_burn_same_src_dest), (brasero_burn_blank_real):
	* src/plugins/cdrkit/burn-readom.c:
	(brasero_readom_argv_set_iso_boundary), (brasero_readom_get_size):
	* src/plugins/cdrtools/burn-readcd.c:
	(brasero_readcd_argv_set_iso_boundary), (brasero_readcd_get_size):
	* src/plugins/checksum/Makefile.am:
	* src/plugins/checksum/burn-md5sum-file.c:
	(brasero_md5sum_file_start_md5),
	(brasero_md5sum_file_explore_directory),
	(brasero_md5sum_file_clean_excluded_table_cb),
	(brasero_md5sum_file_grafts), (brasero_md5sum_file_get_line_num),
	(brasero_md5sum_file_disc_files), (brasero_md5sum_file_end),
	(brasero_md5sum_file_destroy), (brasero_md5sum_file_thread),
	(brasero_md5sum_file_start), (brasero_md5sum_file_activate),
	(brasero_md5sum_file_clock_tick), (brasero_md5sum_file_stop),
	(brasero_md5sum_file_init), (brasero_md5sum_file_finalize),
	(brasero_md5sum_file_class_init),
	(brasero_md5sum_file_export_caps):
	* src/plugins/checksum/burn-md5sum-file.h:
	* src/plugins/checksum/burn-md5sum.c: (brasero_md5sum_live_read),
	(brasero_md5sum_live), (brasero_md5sum_image_live),
	(brasero_md5sum_image), (brasero_md5sum_end),
	(brasero_md5sum_thread), (brasero_md5sum_stop),
	(brasero_md5sum_finalize), (brasero_md5sum_class_init),
	(brasero_md5sum_export_caps):

2007-10-31  Philippe Rouquier  <philippr@svn.gnome.org>

	Big patch (sorry I was away and couldn't commit earlier)
	This fixes bugs
	#477769 – Building without libburn
	#480712 – Brasero Plugins UI
	#488817 – Plugin problems?
	#490853 – Brasero refuses to start burning showing a "File not found" error, sometimes (weird)
	- simplified plugin dialog (only unnecessary functionalities are shown)
	- added switches to build only a set of plugins (cdrkit, libburnia, cdrtools)
	- kept all plugins' priority under apps/brasero/config/priority
	- added group existence to plugins and a gconf key for favourite group
	   now brasero tries to use plugins from the same group (most probably the favourite one if any)
	- fix a bug where joliet option was hidden (see # )
	- fix a bug where CDRW where appended instead of being blanked
	- temporary fix for use of DAO (should be used only for first session)
	- improved flags handling in general by removing some hard set rules
	- fix drive locking when merging
	
	Now strings should be frozen hopefully.
	More to come:
	- MD5 fixes (through the use of readcd/readom)
	- improvement in flags handling by plugins (possibility to set concurent flags)
	

	* configure.in:
	* data/brasero.schemas.in:
	* src/brasero-burn-dialog.c: (brasero_burn_dialog_run):
	* src/brasero-data-disc.c: (brasero_data_disc_import_session_cb),
	(brasero_data_disc_update_multi_button_state),
	(brasero_data_disc_set_session_param):
	* src/brasero-dest-selection.c:
	(brasero_dest_selection_drive_properties),
	(brasero_dest_selection_set_drive_properties),
	(brasero_dest_selection_check_drive_settings):
	* src/brasero-disc-copy-dialog.c: (brasero_disc_copy_dialog_init):
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_update_multi),
	(brasero_disc_option_dialog_set_joliet),
	(brasero_disc_option_dialog_set_multi),
	(brasero_disc_option_dialog_set_disc),
	(brasero_disc_option_dialog_init):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_init):
	* src/brasero-ncb.c: (NCB_MEDIA_GET_LAST_DATA_TRACK_ADDRESS),
	(NCB_MEDIA_GET_LAST_DATA_TRACK_SPACE):
	* src/burn-drive.h:
	* src/brasero-plugin-manager-ui.c:
	(plugin_manager_ui_populate_lists), (model_name_sort_func),
	(plugin_manager_ui_construct_tree),
	(brasero_plugin_manager_ui_init):
	* src/burn-basics.h:
	* src/burn-caps.c: (brasero_burn_caps_finalize),
	(brasero_burn_caps_init),
	(brasero_burn_caps_register_plugin_group),
	(brasero_burn_caps_new_blanking_task),
	(brasero_burn_caps_new_checksuming_task),
	(brasero_caps_link_check_data_flags),
	(brasero_caps_link_check_record_flags), (brasero_caps_try_links),
	(brasero_caps_link_find_plugin), (brasero_burn_caps_new_task),
	(brasero_caps_try_output), (brasero_caps_try_output_with_blanking),
	(brasero_burn_caps_is_input_supported),
	(brasero_burn_caps_is_output_supported),
	(brasero_burn_caps_get_required_media_type),
	(brasero_caps_get_flags), (brasero_caps_get_flags_for_disc),
	(brasero_burn_caps_get_flags):
	* src/burn-caps.h:
	* src/burn-job.c: (brasero_job_get_last_session_address),
	(brasero_job_get_next_writable_address):
	* src/burn-job.h:
	* src/burn-medium.c: (brasero_medium_get_last_data_track_address),
	(brasero_medium_get_last_data_track_space),
	(brasero_medium_track_volume_size):
	* src/burn-medium.h:
	* src/burn-plugin-manager.c:
	(brasero_plugin_manager_set_plugins_state),
	(brasero_plugin_manager_plugin_state_changed):
	* src/burn-plugin-private.h:
	* src/burn-plugin.c: (brasero_plugin_get_active),
	(brasero_plugin_get_gconf_priority_key), (brasero_plugin_define),
	(brasero_plugin_register_group), (brasero_plugin_get_group),
	(brasero_plugin_get_record_flags), (brasero_plugin_get_priority),
	(brasero_plugin_priority_changed), (brasero_plugin_init_real):
	* src/burn-plugin.h:
	* src/burn-session.c:
	* src/burn.c: (brasero_burn_is_loaded_dest_media_supported),
	(brasero_burn_lock_dest_media), (brasero_burn_run_imager),
	(brasero_burn_run_recorder),
	(brasero_burn_check_session_consistency):
	* src/plugins/Makefile.am:
	* src/plugins/cdrdao/Makefile.am:
	* src/plugins/cdrdao/burn-cdrdao-common.h:
	* src/plugins/cdrdao/burn-cdrdao.c: (brasero_cdrdao_export_caps):
	* src/plugins/cdrdao/burn-toc2cue.c: (brasero_toc2cue_export_caps):
	* src/plugins/cdrkit/Makefile.am:
	* src/plugins/cdrkit/burn-cdrkit.h:
	* src/plugins/cdrkit/burn-genisoimage.c:
	(brasero_genisoimage_set_argv_image),
	(brasero_genisoimage_export_caps):
	* src/plugins/cdrkit/burn-readom.c: (brasero_readom_export_caps):
	* src/plugins/cdrkit/burn-wodim.c: (brasero_wodim_export_caps):
	* src/plugins/cdrtools/Makefile.am:
	* src/plugins/cdrtools/burn-cdrecord.c:
	(brasero_cdrecord_export_caps):
	* src/plugins/cdrtools/burn-cdrtools.h:
	* src/plugins/cdrtools/burn-mkisofs.c:
	(brasero_mkisofs_set_argv_image), (brasero_mkisofs_set_argv),
	(brasero_mkisofs_export_caps):
	* src/plugins/cdrtools/burn-readcd.c: (brasero_readcd_export_caps):
	* src/plugins/checksum/burn-md5.c: (brasero_md5_file),
	(brasero_md5_file_to_string):
	* src/plugins/checksum/burn-md5.h:
	* src/plugins/checksum/burn-md5sum.c: (brasero_md5sum_start_md5),
	(brasero_md5sum_image), (brasero_md5sum_disc),
	(brasero_md5sum_disc_files):
	* src/plugins/growisofs/Makefile.am:
	* src/plugins/growisofs/burn-dvd-rw-format.c:
	(brasero_dvd_rw_format_export_caps):
	* src/plugins/growisofs/burn-growisofs-common.h:
	* src/plugins/growisofs/burn-growisofs.c:
	(brasero_growisofs_export_caps):
	* src/plugins/libburnia/Makefile.am:
	* src/plugins/libburnia/burn-libburn.c:
	(brasero_libburn_export_caps):
	* src/plugins/libburnia/burn-libburnia.h:
	* src/plugins/libburnia/burn-libisofs.c:
	(brasero_libisofs_export_caps):

2007-10-21  Philippe Rouquier  <philippr@svn.gnome.org>

	Some improvements fixes for plugin dialog

	* src/brasero-plugin-manager-ui.c:
	(plugin_manager_ui_view_rank_cell_cb),
	(plugin_manager_ui_view_icon_cell_cb),
	(brasero_plugin_manager_ui_combo_changed_cb),
	(plugin_manager_ui_construct_tree),
	(brasero_plugin_manager_ui_init):

2007-10-21  Philippe Rouquier  <philippr@svn.gnome.org>

	Small fixes for the plugin dialog

	* src/brasero-plugin-manager-ui.c:
	(plugin_manager_ui_view_rank_cell_cb),
	(brasero_plugin_manager_ui_save_order),
	(brasero_plugin_manager_ui_update_up_down),
	(plugin_manager_ui_populate_lists),
	(plugin_manager_ui_construct_tree):

2007-10-21  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix for #439912 – Make the start window less flat
	Fix for #488682 – Always uses white background in project type selecting area and empty area

	* src/brasero-project-manager.c:
	(brasero_project_manager_uri_clicked_cb),
	(brasero_project_manager_project_clicked_cb),
	(brasero_project_manager_init), (brasero_project_manager_finalize),
	(brasero_project_manager_class_init),
	(brasero_project_manager_new):
	* src/brasero-project-type-chooser.c:
	(brasero_project_type_chooser_uri_clicked_cb),
	(brasero_project_type_chooser_project_clicked_cb),
	(brasero_project_type_chooser_init),
	(brasero_project_type_chooser_class_init):
	* src/brasero-project-type-chooser.h:

2007-10-20  Philippe Rouquier  <philippr@svn.gnome.org>

	Updated POFILES.in with missing 2 files

2007-10-20  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix for #480712 – Brasero Plugins UI

	* src/brasero-plugin-manager-ui.c:
	(plugin_manager_ui_view_rank_cell_cb),
	(plugin_manager_ui_view_info_cell_cb), (list_priority_sort_func),
	(brasero_plugin_manager_ui_save_order),
	(brasero_plugin_manager_ui_order_changed_cb),
	(brasero_plugin_manager_ui_update_up_down), (up_button_cb),
	(down_button_cb), (plugin_manager_ui_populate_lists),
	(brasero_plugin_manager_ui_combo_changed_cb),
	(plugin_manager_ui_set_active), (tree_selection_changed_cb),
	(plugin_manager_ui_construct_tree),
	(brasero_plugin_manager_ui_init),
	(brasero_plugin_manager_ui_finalize):
	* src/brasero-pref.c: (brasero_pref_init):
	* src/burn-caps.c: (brasero_burn_caps_plugin_can_burn):
	* src/burn-plugin-manager.c:
	(brasero_plugin_manager_get_plugins_list):
	* src/burn-plugin-private.h:
	* src/burn-plugin.c:
	* src/main.c: (on_prefs_cb):

2007-10-19  Philippe Rouquier  <philippr@svn.gnome.org>

	Adds the possibility to override through gconf plugins priority
	Made a change to burn-caps: plugin list are no longer sorted for links, modifiers...

	* src/burn-caps.c: (brasero_burn_caps_media_capabilities),
	(brasero_burn_caps_get_blanking_flags),
	(brasero_burn_caps_new_blanking_task),
	(brasero_burn_caps_can_blank),
	(brasero_burn_caps_new_checksuming_task),
	(brasero_caps_link_get_record_flags),
	(brasero_caps_link_get_data_flags), (brasero_caps_link_active),
	(brasero_caps_link_find_plugin),
	(brasero_caps_add_processing_plugins_to_task),
	(brasero_caps_add_test), (brasero_caps_replicate_modifiers_tests),
	(brasero_caps_create_links), (brasero_plugin_blank_caps),
	(brasero_plugin_process_caps), (brasero_burn_caps_plugin_can_burn),
	(brasero_burn_caps_plugin_can_image),
	(brasero_burn_caps_plugin_can_convert):
	* src/burn-plugin-private.h:
	* src/burn-plugin.c: (brasero_plugin_get_gconf_priority_key),
	(brasero_plugin_define), (brasero_plugin_priority_changed),
	(brasero_plugin_init_real), (brasero_plugin_finalize),
	(brasero_plugin_set_property), (brasero_plugin_get_property),
	(brasero_plugin_class_init):

2007-10-18  Philippe Rouquier  <philippr@svn.gnome.org>

	Don't ask to save project if it wasn't modified

	* src/brasero-audio-disc.c: (brasero_audio_disc_get_status),
	(brasero_audio_disc_vfs_operation_finished),
	(brasero_audio_disc_load_track):
	* src/brasero-data-disc.c: (brasero_data_disc_get_status):
	* src/brasero-project.c: (brasero_project_contents_changed_cb):

2007-10-18  Philippe Rouquier  <philippr@svn.gnome.org>

	Don't ask if we want to save the changes to the project if
	the user closes the window while he is at the chooser pane

	* src/brasero-project.c: (brasero_project_set_none):

2007-10-18  Philippe Rouquier  <philippr@svn.gnome.org>

	make new project action sensitive again when opening a project

	* src/brasero-project-manager.c: (brasero_project_manager_open):

2007-10-18  Philippe Rouquier  <philippr@svn.gnome.org>

	Make recent file menu work again with gtk+2.12
	Known bug (no filtering) fixed by gtk+ 2.12.1

	* src/brasero-project-manager.c:
	(brasero_project_manager_register_ui):
	* src/main.c: (brasero_app_recent_open), (brasero_app_add_recent),
	(brasero_app_create_app), (main):

2007-10-17  Philippe Rouquier  <philippr@svn.gnome.org>

	a fix for #480712 – Brasero Plugins UI
	plugins are now categorized in the dialog
	they are also sorted by priority

	* src/brasero-plugin-manager-ui.c:
	(plugin_manager_ui_view_info_cell_cb),
	(plugin_manager_ui_view_icon_cell_cb),
	(plugin_manager_ui_get_category),
	(plugin_manager_ui_populate_lists), (plugin_manager_ui_set_active),
	(model_priority_sort_func), (plugin_manager_ui_construct_tree):
	* src/burn-caps.c: (brasero_burn_caps_plugin_can_burn),
	(brasero_burn_caps_plugin_can_image),
	(brasero_burn_caps_plugin_can_convert):
	* src/burn-caps.h:

2007-10-17  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix another bug introduced by previous patches preventing proper session import

	* src/brasero-data-disc.c: (brasero_data_disc_import_session_cb):

2007-10-17  Philippe Rouquier  <philippr@svn.gnome.org>

	Removed a warning

	* src/brasero-layout.c: (brasero_layout_save),
	(brasero_layout_load):

2007-10-17  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #439912 – Make the start window less flat

	* src/brasero-project-type-chooser.c:
	(brasero_project_type_chooser_button_clicked),
	(brasero_project_type_chooser_new_item),
	(brasero_project_type_chooser_init),
	(brasero_project_type_chooser_class_init),
	(brasero_project_type_chooser_new):

2007-10-16  Philippe Rouquier  <philippr@svn.gnome.org>

	Miscellaneous changes to fix some issues introduced by recent changes
	- fix open toolbar button not opening anything in data project
	- fix layout not remembering when side pane was supposed to be closed on startup
	- added New, Open, Save button to toolbar
	- added schema entry for the new gconf key that sets up the layout (project location actually)
	- Added missing mnemonics mostly in burn dialogs
	- fix a crash in data project where paths for toolbar buttons was wrong and widget returned was NULL

	* data/brasero.schemas.in:
	* src/brasero-audio-disc.c: (brasero_audio_disc_selection_changed),
	(brasero_audio_disc_button_pressed_cb):
	* src/brasero-burn-dialog.c: (brasero_burn_dialog_init):
	* src/brasero-data-disc.c: (brasero_data_disc_notify_user),
	(brasero_data_disc_unreadable_new),
	(brasero_data_disc_update_multi_button_state),
	(brasero_data_disc_show_menu),
	(brasero_data_disc_button_pressed_cb):
	* src/brasero-disc-copy-dialog.c: (brasero_disc_copy_dialog_init):
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_video_widget),
	(brasero_disc_option_dialog_joliet_widget),
	(brasero_disc_option_dialog_multi_widget),
	(brasero_disc_option_dialog_add_audio_options),
	(brasero_disc_option_dialog_init):
	* src/brasero-drive-properties.c: (brasero_drive_properties_init):
	* src/brasero-filtered-window.c: (brasero_filtered_dialog_init):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_init):
	* src/brasero-layout.c: (brasero_layout_empty_toggled_cb):
	* src/brasero-project-manager.c: (brasero_project_manager_init),
	(brasero_project_manager_register_ui):
	* src/brasero-project.c:
	(brasero_project_check_default_burning_app),
	(brasero_project_register_ui):
	* src/brasero-utils.c: (brasero_utils_launch_app):
	* src/brasero-utils.h:

2007-10-15  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #485484 – Icon installation method
	Patch by Michael Monreal

	* configure.in:
	* data/icons/16x16/Makefile.am:
	* data/icons/16x16/actions/Makefile.am:
	* data/icons/16x16/actions/insert-pause.svg:
	* data/icons/16x16/actions/iso-image-burn.svg:
	* data/icons/16x16/actions/iso-image-new.svg:
	* data/icons/16x16/actions/media-optical-audio-new.svg:
	* data/icons/16x16/actions/media-optical-blank.svg:
	* data/icons/16x16/actions/media-optical-burn.svg:
	* data/icons/16x16/actions/media-optical-copy.svg:
	* data/icons/16x16/actions/media-optical-data-new.svg:
	* data/icons/16x16/apps/Makefile.am:
	* data/icons/16x16/apps/brasero.svg:
	* data/icons/16x16/status/Makefile.am:
	* data/icons/16x16/status/brasero-disc-00.svg:
	* data/icons/16x16/status/brasero-disc-05.svg:
	* data/icons/16x16/status/brasero-disc-10.svg:
	* data/icons/16x16/status/brasero-disc-100.svg:
	* data/icons/16x16/status/brasero-disc-15.svg:
	* data/icons/16x16/status/brasero-disc-20.svg:
	* data/icons/16x16/status/brasero-disc-25.svg:
	* data/icons/16x16/status/brasero-disc-30.svg:
	* data/icons/16x16/status/brasero-disc-35.svg:
	* data/icons/16x16/status/brasero-disc-40.svg:
	* data/icons/16x16/status/brasero-disc-45.svg:
	* data/icons/16x16/status/brasero-disc-50.svg:
	* data/icons/16x16/status/brasero-disc-55.svg:
	* data/icons/16x16/status/brasero-disc-60.svg:
	* data/icons/16x16/status/brasero-disc-65.svg:
	* data/icons/16x16/status/brasero-disc-70.svg:
	* data/icons/16x16/status/brasero-disc-75.svg:
	* data/icons/16x16/status/brasero-disc-80.svg:
	* data/icons/16x16/status/brasero-disc-85.svg:
	* data/icons/16x16/status/brasero-disc-90.svg:
	* data/icons/16x16/status/brasero-disc-95.svg:
	* data/icons/22x22/Makefile.am:
	* data/icons/22x22/actions/Makefile.am:
	* data/icons/22x22/actions/insert-pause.svg:
	* data/icons/22x22/actions/iso-image-burn.svg:
	* data/icons/22x22/actions/iso-image-new.svg:
	* data/icons/22x22/actions/media-optical-audio-new.svg:
	* data/icons/22x22/actions/media-optical-blank.svg:
	* data/icons/22x22/actions/media-optical-burn.svg:
	* data/icons/22x22/actions/media-optical-copy.svg:
	* data/icons/22x22/actions/media-optical-data-new.svg:
	* data/icons/22x22/apps/Makefile.am:
	* data/icons/22x22/apps/brasero.svg:
	* data/icons/22x22/status/Makefile.am:
	* data/icons/22x22/status/brasero-disc-00.svg:
	* data/icons/22x22/status/brasero-disc-05.svg:
	* data/icons/22x22/status/brasero-disc-10.svg:
	* data/icons/22x22/status/brasero-disc-100.svg:
	* data/icons/22x22/status/brasero-disc-15.svg:
	* data/icons/22x22/status/brasero-disc-20.svg:
	* data/icons/22x22/status/brasero-disc-25.svg:
	* data/icons/22x22/status/brasero-disc-30.svg:
	* data/icons/22x22/status/brasero-disc-35.svg:
	* data/icons/22x22/status/brasero-disc-40.svg:
	* data/icons/22x22/status/brasero-disc-45.svg:
	* data/icons/22x22/status/brasero-disc-50.svg:
	* data/icons/22x22/status/brasero-disc-55.svg:
	* data/icons/22x22/status/brasero-disc-60.svg:
	* data/icons/22x22/status/brasero-disc-65.svg:
	* data/icons/22x22/status/brasero-disc-70.svg:
	* data/icons/22x22/status/brasero-disc-75.svg:
	* data/icons/22x22/status/brasero-disc-80.svg:
	* data/icons/22x22/status/brasero-disc-85.svg:
	* data/icons/22x22/status/brasero-disc-90.svg:
	* data/icons/22x22/status/brasero-disc-95.svg:
	* data/icons/24x24/Makefile.am:
	* data/icons/24x24/actions/Makefile.am:
	* data/icons/24x24/apps/Makefile.am:
	* data/icons/24x24/status/Makefile.am:
	* data/icons/32x32/Makefile.am:
	* data/icons/32x32/actions/Makefile.am:
	* data/icons/32x32/actions/iso-image-burn.svg:
	* data/icons/32x32/actions/iso-image-new.svg:
	* data/icons/32x32/actions/media-optical-audio-new.svg:
	* data/icons/32x32/actions/media-optical-blank.svg:
	* data/icons/32x32/actions/media-optical-burn.svg:
	* data/icons/32x32/actions/media-optical-copy.svg:
	* data/icons/32x32/actions/media-optical-data-new.svg:
	* data/icons/32x32/apps/Makefile.am:
	* data/icons/32x32/apps/brasero.svg:
	* data/icons/32x32/status/Makefile.am:
	* data/icons/32x32/status/brasero-disc-00.svg:
	* data/icons/32x32/status/brasero-disc-05.svg:
	* data/icons/32x32/status/brasero-disc-10.svg:
	* data/icons/32x32/status/brasero-disc-100.svg:
	* data/icons/32x32/status/brasero-disc-15.svg:
	* data/icons/32x32/status/brasero-disc-20.svg:
	* data/icons/32x32/status/brasero-disc-25.svg:
	* data/icons/32x32/status/brasero-disc-30.svg:
	* data/icons/32x32/status/brasero-disc-35.svg:
	* data/icons/32x32/status/brasero-disc-40.svg:
	* data/icons/32x32/status/brasero-disc-45.svg:
	* data/icons/32x32/status/brasero-disc-50.svg:
	* data/icons/32x32/status/brasero-disc-55.svg:
	* data/icons/32x32/status/brasero-disc-60.svg:
	* data/icons/32x32/status/brasero-disc-65.svg:
	* data/icons/32x32/status/brasero-disc-70.svg:
	* data/icons/32x32/status/brasero-disc-75.svg:
	* data/icons/32x32/status/brasero-disc-80.svg:
	* data/icons/32x32/status/brasero-disc-85.svg:
	* data/icons/32x32/status/brasero-disc-90.svg:
	* data/icons/32x32/status/brasero-disc-95.svg:
	* data/icons/Makefile.am:
	* data/icons/hicolor_actions_16x16_insert-pause.svg:
	* data/icons/hicolor_actions_16x16_iso-image-burn.svg:
	* data/icons/hicolor_actions_16x16_iso-image-new.svg:
	* data/icons/hicolor_actions_16x16_media-optical-audio-new.svg:
	* data/icons/hicolor_actions_16x16_media-optical-blank.svg:
	* data/icons/hicolor_actions_16x16_media-optical-burn.svg:
	* data/icons/hicolor_actions_16x16_media-optical-copy.svg:
	* data/icons/hicolor_actions_16x16_media-optical-data-new.svg:
	* data/icons/hicolor_actions_22x22_insert-pause.svg:
	* data/icons/hicolor_actions_22x22_iso-image-burn.svg:
	* data/icons/hicolor_actions_22x22_iso-image-new.svg:
	* data/icons/hicolor_actions_22x22_media-optical-audio-new.svg:
	* data/icons/hicolor_actions_22x22_media-optical-blank.svg:
	* data/icons/hicolor_actions_22x22_media-optical-burn.svg:
	* data/icons/hicolor_actions_22x22_media-optical-copy.svg:
	* data/icons/hicolor_actions_22x22_media-optical-data-new.svg:
	* data/icons/hicolor_actions_32x32_insert-pause.svg:
	* data/icons/hicolor_actions_32x32_iso-image-burn.svg:
	* data/icons/hicolor_actions_32x32_iso-image-new.svg:
	* data/icons/hicolor_actions_32x32_media-optical-audio-new.svg:
	* data/icons/hicolor_actions_32x32_media-optical-blank.svg:
	* data/icons/hicolor_actions_32x32_media-optical-burn.svg:
	* data/icons/hicolor_actions_32x32_media-optical-copy.svg:
	* data/icons/hicolor_actions_32x32_media-optical-data-new.svg:
	* data/icons/hicolor_actions_scalable_insert-pause.svg:
	* data/icons/hicolor_actions_scalable_iso-image-burn.svg:
	* data/icons/hicolor_actions_scalable_iso-image-new.svg:
	* data/icons/hicolor_actions_scalable_media-optical-audio-new.svg:
	* data/icons/hicolor_actions_scalable_media-optical-blank.svg:
	* data/icons/hicolor_actions_scalable_media-optical-burn.svg:
	* data/icons/hicolor_actions_scalable_media-optical-copy.svg:
	* data/icons/hicolor_actions_scalable_media-optical-data-new.svg:
	* data/icons/hicolor_actions_scalable_transform-crop-and-resize.svg
	:
	* data/icons/hicolor_apps_16x16_brasero.svg:
	* data/icons/hicolor_apps_22x22_brasero.svg:
	* data/icons/hicolor_apps_32x32_brasero.svg:
	* data/icons/hicolor_apps_scalable_brasero.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-00.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-05.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-10.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-100.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-15.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-20.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-25.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-30.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-35.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-40.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-45.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-50.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-55.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-60.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-65.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-70.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-75.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-80.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-85.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-90.svg:
	* data/icons/hicolor_status_16x16_brasero-disc-95.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-00.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-05.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-10.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-100.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-15.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-20.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-25.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-30.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-35.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-40.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-45.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-50.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-55.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-60.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-65.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-70.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-75.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-80.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-85.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-90.svg:
	* data/icons/hicolor_status_22x22_brasero-disc-95.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-00.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-05.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-10.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-100.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-15.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-20.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-25.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-30.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-35.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-40.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-45.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-50.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-55.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-60.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-65.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-70.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-75.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-80.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-85.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-90.svg:
	* data/icons/hicolor_status_32x32_brasero-disc-95.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-00.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-05.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-10.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-100.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-15.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-20.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-25.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-30.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-35.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-40.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-45.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-50.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-55.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-60.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-65.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-70.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-75.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-80.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-85.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-90.svg:
	* data/icons/hicolor_status_scalable_brasero-disc-95.svg:
	* src/brasero-audio-disc.c:
	* src/brasero-split-dialog.c: (brasero_split_dialog_init):

2007-10-15  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix many bugs related to layout at once by reworking the way it works.
	- location of project pane can now be chosen and default to right (Gconf key)
	  (fix #480611 – Change placement of file manager)
	- fix #480614 – Displaying and hiding file manager resizes window
	- fix #484157 – Directly use GtkActions to populate toolbar (comment #5)
	- fix #471668 – saving divider locations of paned layout
	- partially fix #360899 – GUI enhancements/simplification

	* src/brasero-layout.c: (brasero_layout_pack_preview),
	(brasero_layout_size_reallocate), (brasero_layout_add_project),
	(brasero_layout_add_preview),
	(brasero_layout_set_side_pane_visible),
	(brasero_layout_item_set_active),
	(brasero_layout_displayed_item_changed_cb), (brasero_layout_save),
	(brasero_layout_add_source), (brasero_layout_combo_changed_cb),
	(brasero_layout_item_set_visible), (brasero_layout_load),
	(brasero_layout_pane_moved_cb), (brasero_layout_type_changed_cb),
	(brasero_layout_close_button_clicked_cb),
	(brasero_layout_empty_toggled_cb), (brasero_layout_register_ui),
	(brasero_layout_foreach_item_cb), (brasero_layout_destroy),
	(brasero_layout_finalize), (brasero_layout_class_init),
	(brasero_layout_init), (brasero_layout_new):
	* src/brasero-layout.h:
	* src/brasero-project-manager.c: (brasero_project_manager_init),
	(brasero_project_manager_load_session),
	(brasero_project_manager_save_session):
	* src/brasero-project-manager.h:
	* src/brasero-session.c: (brasero_session_load),
	(brasero_session_save):

2007-10-14  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/plugins/cdrdao/Makefile.am:
	* src/plugins/cdrkit/Makefile.am:
	* src/plugins/cdrtools/Makefile.am:
	* src/plugins/checksum/Makefile.am:
	* src/plugins/dvdcss/Makefile.am:
	* src/plugins/growisofs/Makefile.am:
	* src/plugins/libburnia/Makefile.am:
	* src/plugins/local-track/Makefile.am:
	* src/plugins/transcode/Makefile.am:

	Remove unneeded AM_LDFLAGS var to fix autotools.

2007-10-13  Philippe Rouquier  <philippr@svn.gnome.org>

	Add the source for the icons (except crop icons)
	Fix #485475 – Source for icons

	* data/icons/16x16/actions/iso-image-burn.svg:
	* data/icons/16x16/actions/iso-image-new.svg:
	* data/icons/16x16/actions/media-optical-audio-new.svg:
	* data/icons/16x16/actions/media-optical-blank.svg:
	* data/icons/16x16/actions/media-optical-burn.svg:
	* data/icons/16x16/actions/media-optical-copy.svg:
	* data/icons/16x16/actions/media-optical-data-new.svg:
	* data/icons/16x16/apps/brasero.svg:
	* data/icons/16x16/status/brasero-disc-00.svg:
	* data/icons/16x16/status/brasero-disc-05.svg:
	* data/icons/16x16/status/brasero-disc-10.svg:
	* data/icons/16x16/status/brasero-disc-100.svg:
	* data/icons/16x16/status/brasero-disc-15.svg:
	* data/icons/16x16/status/brasero-disc-20.svg:
	* data/icons/16x16/status/brasero-disc-25.svg:
	* data/icons/16x16/status/brasero-disc-30.svg:
	* data/icons/16x16/status/brasero-disc-35.svg:
	* data/icons/16x16/status/brasero-disc-40.svg:
	* data/icons/16x16/status/brasero-disc-45.svg:
	* data/icons/16x16/status/brasero-disc-50.svg:
	* data/icons/16x16/status/brasero-disc-55.svg:
	* data/icons/16x16/status/brasero-disc-60.svg:
	* data/icons/16x16/status/brasero-disc-65.svg:
	* data/icons/16x16/status/brasero-disc-70.svg:
	* data/icons/16x16/status/brasero-disc-75.svg:
	* data/icons/16x16/status/brasero-disc-80.svg:
	* data/icons/16x16/status/brasero-disc-85.svg:
	* data/icons/16x16/status/brasero-disc-90.svg:
	* data/icons/16x16/status/brasero-disc-95.svg:
	* data/icons/22x22/actions/iso-image-burn.svg:
	* data/icons/22x22/actions/iso-image-new.svg:
	* data/icons/22x22/actions/media-optical-audio-new.svg:
	* data/icons/22x22/actions/media-optical-blank.svg:
	* data/icons/22x22/actions/media-optical-burn.svg:
	* data/icons/22x22/actions/media-optical-copy.svg:
	* data/icons/22x22/actions/media-optical-data-new.svg:
	* data/icons/22x22/apps/brasero.svg:
	* data/icons/22x22/status/brasero-disc-00.svg:
	* data/icons/22x22/status/brasero-disc-05.svg:
	* data/icons/22x22/status/brasero-disc-10.svg:
	* data/icons/22x22/status/brasero-disc-100.svg:
	* data/icons/22x22/status/brasero-disc-15.svg:
	* data/icons/22x22/status/brasero-disc-20.svg:
	* data/icons/22x22/status/brasero-disc-25.svg:
	* data/icons/22x22/status/brasero-disc-30.svg:
	* data/icons/22x22/status/brasero-disc-35.svg:
	* data/icons/22x22/status/brasero-disc-40.svg:
	* data/icons/22x22/status/brasero-disc-45.svg:
	* data/icons/22x22/status/brasero-disc-50.svg:
	* data/icons/22x22/status/brasero-disc-55.svg:
	* data/icons/22x22/status/brasero-disc-60.svg:
	* data/icons/22x22/status/brasero-disc-65.svg:
	* data/icons/22x22/status/brasero-disc-70.svg:
	* data/icons/22x22/status/brasero-disc-75.svg:
	* data/icons/22x22/status/brasero-disc-80.svg:
	* data/icons/22x22/status/brasero-disc-85.svg:
	* data/icons/22x22/status/brasero-disc-90.svg:
	* data/icons/22x22/status/brasero-disc-95.svg:
	* data/icons/32x32/actions/iso-image-burn.svg:
	* data/icons/32x32/actions/iso-image-new.svg:
	* data/icons/32x32/actions/media-optical-audio-new.svg:
	* data/icons/32x32/actions/media-optical-blank.svg:
	* data/icons/32x32/actions/media-optical-burn.svg:
	* data/icons/32x32/actions/media-optical-copy.svg:
	* data/icons/32x32/actions/media-optical-data-new.svg:
	* data/icons/32x32/apps/brasero.svg:
	* data/icons/32x32/status/brasero-disc-00.svg:
	* data/icons/32x32/status/brasero-disc-05.svg:
	* data/icons/32x32/status/brasero-disc-10.svg:
	* data/icons/32x32/status/brasero-disc-100.svg:
	* data/icons/32x32/status/brasero-disc-15.svg:
	* data/icons/32x32/status/brasero-disc-20.svg:
	* data/icons/32x32/status/brasero-disc-25.svg:
	* data/icons/32x32/status/brasero-disc-30.svg:
	* data/icons/32x32/status/brasero-disc-35.svg:
	* data/icons/32x32/status/brasero-disc-40.svg:
	* data/icons/32x32/status/brasero-disc-45.svg:
	* data/icons/32x32/status/brasero-disc-50.svg:
	* data/icons/32x32/status/brasero-disc-55.svg:
	* data/icons/32x32/status/brasero-disc-60.svg:
	* data/icons/32x32/status/brasero-disc-65.svg:
	* data/icons/32x32/status/brasero-disc-70.svg:
	* data/icons/32x32/status/brasero-disc-75.svg:
	* data/icons/32x32/status/brasero-disc-80.svg:
	* data/icons/32x32/status/brasero-disc-85.svg:
	* data/icons/32x32/status/brasero-disc-90.svg:
	* data/icons/32x32/status/brasero-disc-95.svg:

2007-10-13  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #485936 – after blanking, the dialog should be closed, but instead it stays open and the throbber continues to move
	Also improved HIG by adding mnemonics, tooltips
	Now blank discs can be blanked again (added proper flags in plugins)

	* src/brasero-blank-dialog.c:
	(brasero_blank_dialog_device_opts_setup),
	(brasero_blank_dialog_activate), (brasero_blank_dialog_init):
	* src/brasero-progress.c: (brasero_burn_progress_set_action),
	(brasero_burn_progress_reset):
	* src/brasero-progress.h:
	* src/brasero-sum-dialog.c: (brasero_sum_dialog_message),
	(brasero_sum_dialog_message_error), (brasero_sum_dialog_success),
	(brasero_sum_dialog_corruption_warning),
	(brasero_sum_dialog_check_md5_file),
	(brasero_sum_dialog_check_disc_sum), (brasero_sum_dialog_activate),
	(brasero_sum_dialog_init):
	* src/brasero-tool-dialog.c: (brasero_tool_dialog_run),
	(brasero_tool_dialog_init):
	* src/burn-caps.c: (brasero_burn_caps_get_blanking_flags),
	(brasero_burn_caps_can_blank):
	* src/burn.c: (brasero_burn_lock_rewritable_media),
	(brasero_burn_blank_real):
	* src/plugins/cdrdao/burn-cdrdao.c: (brasero_cdrdao_export_caps):
	* src/plugins/cdrkit/burn-wodim.c: (brasero_wodim_export_caps):
	* src/plugins/cdrtools/burn-cdrecord.c:
	(brasero_cdrecord_export_caps):
	* src/plugins/growisofs/burn-dvd-rw-format.c:
	(brasero_dvd_rw_format_export_caps):
	* src/plugins/growisofs/burn-growisofs.c:
	(brasero_growisofs_export_caps):
	* src/plugins/libburnia/burn-libburn.c:
	(brasero_libburn_export_caps):

2007-10-13  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix another problem with dummy mode where strings were not updated when burning for real

	* src/brasero-burn-dialog.c:
	(brasero_burn_dialog_action_changed_cb),
	(brasero_burn_dialog_dummy_success_cb):

2007-10-12  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix 485477 – Reset and clear icon

	* src/brasero-split-dialog.c: (brasero_split_dialog_init):
	* src/brasero-utils.c: (brasero_utils_make_button):

2007-10-12  Philippe Rouquier  <philippr@svn.gnome.org>

	Another fix for #478613 – Oversized projects

	* src/brasero-project-size.c:
	(brasero_project_size_get_media_string):

2007-10-12  Philippe Rouquier  <philippr@svn.gnome.org>

	Another go at fixing 485479 – Preview area jumping around
	From now on the toolbar position is controlled by layout and not project object
	Moreover the delay for setting URIs in preview is in preview itself not player.
	
	* src/brasero-layout.c: (brasero_layout_init),
	(brasero_layout_set_active_item), (brasero_layout_add_project),
	(brasero_layout_load), (brasero_layout_register_ui):
	* src/brasero-layout.h:
	* src/brasero-player.c: (brasero_player_destroy_controls),
	(brasero_player_create_controls_image),
	(brasero_player_update_info_real),
	(brasero_player_metadata_completed),
	(brasero_player_retrieve_metadata), (brasero_player_set_uri),
	(brasero_player_destroy), (brasero_player_class_init):
	* src/brasero-player.h:
	* src/brasero-preview.c: (brasero_preview_set_uri_delayed_cb),
	(brasero_preview_source_selection_changed_cb),
	(brasero_preview_add_source), (brasero_preview_hide),
	(brasero_preview_player_error_cb),
	(brasero_preview_player_ready_cb), (brasero_preview_init),
	(brasero_preview_finalize):
	* src/brasero-preview.h:
	* src/brasero-project-manager.c:
	(brasero_project_manager_register_ui):
	* src/brasero-project.c: (brasero_project_init),
	(brasero_project_register_ui):

2007-10-12  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #478613 – Oversized projects
	Highlight the currently selected drive

	* src/brasero-project-size.c: (brasero_project_size_build_menu):

2007-10-12  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #478754 – Brasero tells that sucessfully burned CUE/BIN image file even if it didn't
	(should be backportable)

	* src/plugins/cdrdao/burn-cdrdao.c:
	(brasero_cdrdao_read_stderr_record):

2007-10-10  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #485476 – Pause menu options

	* src/brasero-audio-disc.c: (brasero_audio_disc_selection_changed),
	(brasero_audio_disc_open_file):

2007-10-10  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #485480 – Preview staying open

	* src/brasero-layout.c: (brasero_layout_load):
	* src/brasero-preview.c: (brasero_preview_set_uri):
	* src/brasero-preview.h:

2007-10-10  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #485479 – Preview area jumping around

	* src/brasero-layout.c: (brasero_layout_set_active_item),
	(brasero_layout_size_reallocate), (brasero_layout_add_project):

2007-10-10  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/main.c: (brasero_app_parse_options):

	Add Blank Disc Command line Argument patch from 
	Patrick Steiner <patrick.steiner@40a1.net> closes bgo #485299.

2007-10-10  Philippe Rouquier  <philippr@svn.gnome.org>

	Small improvement for dummy mode (add burn now button)
	Fix problems introduced by earlier patches related to dummy mode

	* src/brasero-audio-disc.c: (brasero_audio_disc_add_ui):
	* src/brasero-burn-dialog.c:
	(brasero_burn_dialog_dummy_success_cb):
	* src/brasero-dest-selection.c:
	(brasero_dest_selection_set_drive_properties),
	(brasero_dest_selection_check_drive_settings):
	* src/burn-caps.c: (brasero_burn_caps_new_blanking_task),
	(brasero_burn_caps_can_blank), (brasero_caps_get_flags_for_disc),
	(brasero_burn_caps_get_flags):
	* src/burn-plugin.c: (brasero_plugin_get_blank_flags):
	* src/burn-session.c: (brasero_burn_session_add_track):

2007-10-10  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #478416 – Statusbar should show tooltips for selected menu entries (for popup menus)
	and #484157 – Directly use GtkActions to populate toolbar
	These were related bugs.

	* src/brasero-audio-disc.c: (brasero_audio_disc_iface_disc_init),
	(brasero_audio_disc_add_ui), (brasero_audio_disc_init),
	(brasero_audio_disc_finalize),
	(brasero_audio_disc_delete_selected),
	(brasero_audio_disc_selection_changed),
	(brasero_audio_disc_get_selected_uri):
	* src/brasero-data-disc.c: (brasero_data_disc_iface_disc_init),
	(brasero_data_disc_add_ui), (brasero_data_disc_init),
	(brasero_data_disc_finalize), (brasero_data_disc_reset_real),
	(brasero_data_disc_unreadable_new),
	(brasero_data_disc_delete_selected),
	(brasero_data_disc_import_session_error),
	(brasero_data_disc_update_multi_button_state),
	(brasero_data_disc_get_selected_uri):
	* src/brasero-disc.c: (brasero_disc_get_selected_uri),
	(brasero_disc_add_ui):
	* src/brasero-disc.h:
	* src/brasero-player-bacon.c: (brasero_player_bacon_setup_pipe):
	* src/brasero-project-manager.c:
	(brasero_project_manager_register_ui):
	* src/brasero-project-manager.h:
	* src/brasero-project.c: (brasero_project_set_remove_button_state),
	(brasero_project_set_add_button_state), (brasero_project_init),
	(brasero_project_check_size),
	(brasero_project_selection_changed_cb),
	(brasero_project_get_selected_uri), (brasero_project_switch),
	(brasero_project_set_none), (brasero_project_contents_changed_cb),
	(brasero_project_add_uris_cb),
	(brasero_project_remove_selected_uris_cb),
	(brasero_project_empty_cb), (brasero_project_burn_cb),
	(brasero_project_register_ui):
	* src/brasero-project.h:
	* src/main.c: (brasero_app_add_recent), (brasero_app_create_app):

2007-10-07  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #478416 – Statusbar should show tooltips for selected menu entries

	* src/brasero-app.h:
	* src/brasero-project-manager.c:
	(brasero_project_manager_size_preview),
	(brasero_project_manager_selected_uris_changed),
	(brasero_project_manager_set_status),
	(brasero_project_manager_switch):
	* src/main.c: (brasero_menu_item_selected_cb),
	(brasero_menu_item_deselected_cb),
	(brasero_connect_ui_manager_proxy_cb),
	(brasero_disconnect_ui_manager_proxy_cb), (brasero_app_create_app):

2007-10-07  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix memory leak that was leading to session object not being properly unreffed
	which in turn led to temporary files not being removed

	* src/brasero-burn-dialog.c:
	(brasero_burn_dialog_action_changed_cb):
	* src/brasero-dest-selection.c:
	(brasero_dest_selection_set_property):
	* src/burn-session.c: (brasero_burn_session_get_tmp_image),
	(brasero_burn_session_finalize):
	* src/burn-task.c: (brasero_task_start):
	* src/burn.c: (brasero_burn_run_tasks):

2007-10-07  Philippe Rouquier  <philippr@svn.gnome.org>

	fix #461429 Comment #22:
	default size retrieval function wasn't called because of bad return 
	value in some plugins and particularly growisofs

	* src/plugins/cdrdao/burn-cdrdao.c: (brasero_cdrdao_set_argv):
	* src/plugins/cdrkit/burn-readom.c: (brasero_readom_get_size):
	* src/plugins/cdrtools/burn-readcd.c: (brasero_readcd_get_size):
	* src/plugins/growisofs/burn-growisofs.c:
	(brasero_growisofs_set_argv):

2007-10-06  Philippe Rouquier  <philippr@svn.gnome.org>

	removed scroll window from project type chooser to avoid ugly window size at startup

	* src/brasero-project-manager.c: (brasero_project_manager_init):

2007-10-06  Philippe Rouquier  <philippr@svn.gnome.org>

	fix #484025 – Insert pause action unintuitive
	patch by Michael Monreal

	* data/icons/16x16/actions/Makefile.am:
	* data/icons/16x16/actions/insert-pause.svg:
	* data/icons/22x22/actions/Makefile.am:
	* data/icons/22x22/actions/insert-pause.svg:
	* data/icons/24x24/actions/Makefile.am:
	* src/brasero-audio-disc.c: (brasero_audio_disc_fill_toolbar):

2007-10-06  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #479342 – A little more HIG compliant slice (split) dialog

	* src/brasero-audio-disc.c:
	* src/brasero-split-dialog.c: (brasero_split_dialog_init):
	* src/brasero-utils.c: (brasero_utils_pack_properties_list):

2007-10-06  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix possible crasher

	* src/brasero-player.c: (brasero_player_destroy):

2007-10-06  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #469530 – Edit - Add Files does not work if File Viewer hidden
	(also fix #478899 – Weird behavior of Edit -> Add command)
	Add button will now trigger a GtkFileChooserDialog if no side pane is visible

	* src/brasero-layout.c: (brasero_layout_item_get_object),
	(brasero_layout_set_active_item), (brasero_layout_add_project):
	* src/brasero-project-manager.c: (brasero_project_manager_init):
	* src/brasero-project.c: (brasero_project_class_init),
	(brasero_project_set_add_button_state), (brasero_project_switch),
	(brasero_project_set_none),
	(brasero_project_source_uri_activated_cb),
	(brasero_project_source_uri_selected_cb),
	(brasero_project_set_source),
	(brasero_project_file_chooser_activated_cb),
	(brasero_project_file_chooser_response_cb),
	(brasero_project_add_clicked_cb):
	* src/brasero-project.h:

2007-10-05  Philippe Rouquier  <philippr@svn.gnome.org>

	removed dummy mode option from blanking since it's not possible actually

	* src/brasero-blank-dialog.c:
	(brasero_blank_dialog_device_opts_setup),
	(brasero_blank_dialog_init):
	* src/plugins/cdrdao/burn-cdrdao.c: (brasero_cdrdao_export_caps):
	* src/plugins/cdrkit/burn-wodim.c: (brasero_wodim_export_caps):
	* src/plugins/cdrtools/burn-cdrecord.c:
	(brasero_cdrecord_export_caps):
	* src/plugins/growisofs/burn-growisofs.c:
	(brasero_growisofs_export_caps):
	* src/plugins/libburnia/burn-libburn.c:
	(brasero_libburn_export_caps):

2007-10-05  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix a few tooltips and add some missing ones.
	see #481350 – Tooltips in burn dialog.
	Reworked patch by Carl-Anton Ingmarsson 

	* src/brasero-dest-selection.c: (brasero_dest_selection_init):
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_init):
	* src/brasero-drive-selection.c:
	(brasero_drive_selection_set_tooltip):
	* src/brasero-drive-selection.h:
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_init):
	* src/brasero-player.c: (brasero_player_create_controls_stream):
	* src/brasero-src-selection.c: (brasero_src_selection_init):

2007-10-05  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix #433965 bad behaviour for simulating burn process

	* src/brasero-burn-dialog.c: (brasero_burn_dialog_update_info),
	(brasero_burn_dialog_update_title_writing_progress),
	(brasero_burn_dialog_dummy_success_timeout),
	(brasero_burn_dialog_dummy_success_cb),
	(brasero_burn_dialog_setup_session):
	* src/brasero-tray.c:
	* src/brasero-utils.c: (brasero_utils_make_button):
	* src/burn.c: (brasero_burn_emit_signal),
	(brasero_burn_eject_dest_media), (brasero_burn_eject_src_media),
	(brasero_burn_lock_dest_media), (brasero_burn_ask_for_joliet),
	(brasero_burn_run_tasks), (brasero_burn_unset_checksums),
	(brasero_burn_record_session), (brasero_burn_same_src_dest),
	(brasero_burn_record), (brasero_burn_class_init):
	* src/burn.h:

2007-10-05  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix the dummy mode that isn't available for DVD + R/RW

	* src/plugins/growisofs/burn-dvd-rw-format.c:
	(brasero_dvd_rw_format_export_caps):
	* src/plugins/growisofs/burn-growisofs.c:
	(brasero_growisofs_export_caps):
	* src/plugins/libburnia/burn-libburn.c:
	(brasero_libburn_export_caps):

2007-10-05  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix a small bug where user could choose 76 frames in song properties dialog

	* src/brasero-time-button.c: (brasero_time_button_sec_changed),
	(brasero_time_button_set_max), (brasero_time_button_init)

2007-10-05  Philippe Rouquier  <philippr@svn.gnome.org>

	Last version (hopefully) for split dialog to fix #479342

	* src/brasero-split-dialog.c: (brasero_split_dialog_cut),
	(brasero_split_dialog_remove_range),
	(brasero_split_dialog_metadata_finished_cb),
	(brasero_split_dialog_clear_confirm_dialog),
	(brasero_split_dialog_cut_clicked_cb),
	(brasero_split_dialog_merge_clicked_cb),
	(brasero_split_dialog_remove_clicked_cb),
	(brasero_split_dialog_reset_clicked_cb),
	(brasero_split_dialog_combo_changed_cb),
	(brasero_split_dialog_selection_changed_cb),
	(brasero_split_dialog_row_inserted_cb),
	(brasero_split_dialog_row_deleted_cb), (brasero_split_dialog_init)

2007-10-03  Philippe Rouquier  <philippr@svn.gnome.org>

	Attempt to fix #461429

	* src/burn-medium.c: (brasero_medium_get_free_space),
	(brasero_medium_add_DVD_plus_RW_leadout),
	(brasero_medium_track_get_info)

2007-10-01  Philippe Rouquier  <philippr@svn.gnome.org>

	some more improvements to previous patch.

	* src/burn-medium.c: (brasero_medium_get_data_size),
	(brasero_medium_get_free_space),
	(brasero_medium_get_capacity_CD_RW),
	(brasero_medium_get_capacity_DVD_RW),
	(brasero_medium_add_DVD_plus_RW_leadout),
	(brasero_medium_get_sessions_info), (brasero_medium_get_contents),
	(brasero_medium_init_real):

2007-09-30  Philippe Rouquier  <philippr@svn.gnome.org

	Another attempt to fix #461429

	* src/burn-job.c: (brasero_job_check_output_disc_space):
	* src/burn-medium.c: (brasero_medium_get_last_data_track_address),
	(brasero_medium_get_free_space), (brasero_medium_track_get_info),
	(brasero_medium_get_sessions_info):

2007-09-30  Philippe Rouquier  <philippr@svn.gnome.org>

	Fix a bug (specific to trunk) whereby growisofs didn't return the size of data properly

	* src/plugins/growisofs/burn-growisofs.c:
	(brasero_growisofs_read_stderr):

2007-09-30  Philippe Rouquier  <philippr@svn.gnome.org>

	Improved and fixed previous patch:
	- fixed not working buttons
	- don't show cancel button if we must die (session is closing)

	* src/brasero-project-manager.c:
	(brasero_project_manager_save_session):
	* src/brasero-project-manager.h:
	* src/brasero-project.c: (brasero_project_save_project_dialog),
	(brasero_project_save_session):
	* src/brasero-project.h:
	* src/brasero-session.c: (brasero_session_save),
	(brasero_session_die_cb), (brasero_session_save_yourself_cb):
	* src/brasero-session.h:
	* src/main.c: (on_delete_cb), (on_exit_cb)

2007-09-29  Philippe Rouquier  <philippr@svn.gnome.org>

	* src/brasero-project-manager.c:
	(brasero_project_manager_save_session):
	* src/brasero-project-manager.h:
	* src/brasero-project.c: (brasero_project_save_project_dialog),
	(brasero_project_save_session):
	* src/brasero-session.c: (brasero_session_save):
	* src/main.c: (on_delete_cb), (on_exit_cb):

	fix a bug where CANCEL didn't cancel application closing

2007-09-29 Rouquier Philippe <philippr@svn.gnome.org>

	fix #437148 also fix a small HIG problem where name was missing 

2007-09-28 Rouquier Philippe <philippr@svn.gnome.org>

	fix #480745

2007-09-28 Rouquier Philippe <philippr@svn.gnome.org>

	fix #470460

2007-09-28 Rouquier Philippe <philippr@svn.gnome.org>

	Increased debugging output for SCSI

2007-09-28 Rouquier Philippe <philippr@svn.gnome.org>

	Improved project type chooser (increase contrast + changed cursor for hovering)
	Fix #451633

2007-09-25 Rouquier Philippe <philippr@svn.gnome.org>

	Fix a bug in cancellation of tasks (some tasks were not properly cancelled)

2007-09-25 Rouquier Philippe <philippr@svn.gnome.org>

	Second set of improvements of the split dialog (#479342)

2007-09-25 Rouquier Philippe <philippr@svn.gnome.org>

	Improved split dialog (see #479342)

2007-09-25 Rouquier Philippe <philippr@svn.gnome.org>

	Some more scsi changes

2007-09-25 Rouquier Philippe <philippr@svn.gnome.org>

	fix stupid mistake in scsi error handling

2007-09-25 Rouquier Philippe <philippr@svn.gnome.org>

	Fix #479350

2007-09-25 Rouquier Philippe <philippr@svn.gnome.org>

	Cleanups (removed unnecessary definitions)
	Try to fix the outrange address bug by being more lenient about returned sizes

2007-09-25 Rouquier Philippe <philippr@svn.gnome.org>

	Improved drive speed retrieval

2007-09-24 Rouquier Philippe <philippr@svn.gnome.org>

	speed display fix

2007-09-23 Rouquier Philippe <philippr@svn.gnome.org>

	Fix #479355

2007-09-23 Rouquier Philippe <philippr@svn.gnome.org>

	Fix #478899

2007-09-23 Rouquier Philippe <philippr@svn.gnome.org>

	Patch from Milo Casagrande fix #479478

2007-09-23 Rouquier Philippe <philippr@svn.gnome.org>

	Patch from Milo Casagrande fix #479487

2007-09-23 Rouquier Philippe <philippr@svn.gnome.org>

	Remove "application" from entry menu (see #479350)

2007-09-23 Rouquier Philippe <philippr@svn.gnome.org>

	Apply patch from Luca Ferretti to fix #477192

2007-09-22 Rouquier Philippe <philippr@svn.gnome.org>

	Have brasero use a real toolbar
	Reclaim a few pixels here and there

2007-09-21 Rouquier Philippe <philippr@svn.gnome.org>

	A few fixes for player/preview

2007-09-21 Rouquier Philippe <philippr@svn.gnome.org>

	Fix a problem with silence length handling in audio project

2007-09-21 Rouquier Philippe <philippr@svn.gnome.org>

	Applied patch from Michael Monreal to fix #478488

2007-09-21 Rouquier Philippe <philippr@svn.gnome.org>

	Applied patch from Michael Monreal to fix #478446

2007-09-21 Rouquier Philippe <philippr@svn.gnome.org>

	Applied patch from Michael Monreal (see bug #477192) to improve menus

2007-09-21 Rouquier Philippe <philippr@svn.gnome.org>

	Some fixes for UI glitches in preview
	Changes again places where dbus uninhibit lies (moved to burn.c)
	Fix for bug #467443. Now every object in the layout is notified of context changes
	Remove header above projects to be more HIG compliant (spotted by Michael Monreal) (more to come)

2007-09-19 Rouquier Philippe <philippr@svn.gnome.org>

	Applied patch from Luca Ferretti fixes partially #477192

2007-09-19 Rouquier Philippe <philippr@svn.gnome.org>

	some fixes for dbus backend
	added forgotten files

2007-09-19 Rouquier Philippe <philippr@svn.gnome.org>

	Added audio track splitting which leads to
	- new UI dialog for splitting
	- large improvements in transcode plugin
	- some refactoring of player code
	- some refactoring of song properties dialog
	- player can now play only a segment of a song
	- uri-container class was extended
	- metadata object doesn't recreate its pipeline for every new song
	- metadata object can now detect silences
	- brasero-vfs object now reuses metadata objects
	- brasero-project saves track boundaries
	

2007-09-17  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/Makefile.am:
	
	Update Makefile.

2007-09-17  Luis Medinas  <lmedinas@svn.gnome.org>

	* configure.in:
	* src/burn-dbus.c: (brasero_uninhibit_suspend),
	(brasero_inhibit_suspend):
	* src/burn-dbus.h:
	* src/burn-process.c: (brasero_powermanagement),
	(brasero_process_finished), (brasero_process_start):

	Add Power Management inhibit/uninhibit suspend to Gnome PowerManager
	via DBus (build optional).

2007-09-09  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/Makefile.am:
	* src/brasero-project-manager.c:
	* src/brasero-search-beagle.c: (brasero_search_get_type),
	(brasero_search_class_init),
	(brasero_search_iface_uri_container_init),
	(brasero_search_iface_layout_object_init),
	(brasero_search_get_proportion), (brasero_search_column_clicked),
	(brasero_search_init), (brasero_search_destroy),
	(brasero_search_finalize), (brasero_search_try_again),
	(brasero_search_new), (brasero_search_increase_activity),
	(brasero_search_decrease_activity),
	(brasero_search_get_selected_uris),
	(brasero_search_get_selected_uri), (brasero_search_empty_tree),
	(brasero_search_drag_data_get_cb),
	(brasero_search_add_hit_to_tree), (brasero_search_update_header),
	(brasero_search_max_results_num_changed_cb),
	(brasero_search_left_button_clicked_cb),
	(brasero_search_right_button_clicked_cb),
	(brasero_search_check_for_possible_missing), (_sort_hits_by_score),
	(brasero_search_beagle_hit_added_cb),
	(brasero_search_beagle_hit_substracted_cb),
	(brasero_search_beagle_finished_cb),
	(brasero_search_beagle_error_dialog),
	(brasero_search_beagle_error_cb),
	(brasero_search_entry_activated_cb),
	(brasero_search_is_visible_cb),
	(brasero_search_mime_filter_changed),
	(brasero_search_tree_activated_cb),
	(brasero_search_tree_selection_changed_cb),
	(brasero_search_get_selected_rows):
	* src/brasero-search-beagle.h:
	* src/brasero-search.c:
	* src/brasero-search.h:

	Rename brasero-search to brasero-search-beagle.
	
2007-09-08  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/brasero-project-type-chooser.c:

	Fix initial tooltip window.

2007-09-07  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/brasero-menu.h:

	Remove the wrong STOCK icon from plugins on menu leave it
	empty since there's no icon for plugins fixes bug #474501.

2007-09-07  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/burn-session.c: (brasero_burn_session_start):

	Fix Segfault when start the burning dialog.

2007-09-07  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/brasero-menu.h:

	Change from Preferences to Plugins on menu.
	Execute stock icon used.

2007-09-06  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/plugins/cdrtools/burn-cdrecord.c:
	(brasero_cdrecord_export_caps):
	* src/plugins/cdrtools/burn-mkisofs.c:
	(brasero_mkisofs_export_caps):

	Use strict cdrecord and mkisofs on messages.

2007-09-01  Rouquier Philippe <bonfire-app@wanadoo.fr>

	added a volume button to player
	also don't recreate playbin for every song, just re-use the pipeline
	(that may increase gstreamer requirements since that feature is recent for playbin)

2007-09-01  Rouquier Philippe <bonfire-app@wanadoo.fr>

	- improved overall progress/action reporting (also fix some bugs)
	- changed/improved the way jobs are started in a task and the way they interact
	- added the possibility for a job to deactivate itself
	- rework and improved libisofs plugins (backport patches from stable branch)
	- added the size of the free space for temporary location
	- grey burn/blank/copy buttons in dialogs when action is not possible
	- some UI improvements/fixes here and there
	- added file missing for translation

2007-09-01  Luis Medinas  <lmedinas@svn.gnome.org>

	* MAINTAINERS:

	Add a new GNOME-style MAINTAINERS file

2007-08-28  Rouquier Philippe <bonfire-app@wanadoo.fr>

	add global configure options for plugins and dialog to set them (currently cdrecord, wodim, md5sum)
	have toc2cue plugin work

2007-08-28  Luis Medinas  <lmedinas@svn.gnome.org>

	* configure.in:
	* src/plugins/libburnia/burn-libisofs.c:
	(brasero_libisofs_create_volume_thread):

	Transition to libisofs >= 0.2.5.

2007-08-21  Rouquier Philippe <bonfire-app@wanadoo.fr>

	- Rework plugin so they register their type everytime they load (fix crash when no --debug)
	- added multiple copies feature (tested only with data project)
	- added temporary directory setting
	- improved disc copy using same source and destination drive
	- fixed bugs in cdrdao/dvdcss/md5sum plugins
	- rework/improve drive locking in burn.c
	- make sure session object is properly unreffed so tmp files are removed
	- fix image property dialog
	- other fixes

2007-08-21  Rouquier Philippe <bonfire-app@wanadoo.fr>

	remove some "bonfire" references

2007-08-21  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Added a UI manager for the plugins

2007-08-20  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Updated names of files

2007-08-20  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Fix progression report

2007-08-17  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Another round of fixes to get audio disc working (using cdrkit/transcode)
	More specifically:
	- several improvements/fixes to handle multiple tracks (burn-task.c/burn-task-ctx.c/burn-job.c)
	- improvements for transcode
	- updated the code for metadata.c to be more precise
	- brasero-audio.c stores song size as duration not sectors
	- burn-process.c do something useful with ::post
	- burn-process.c don't overwrite previous error
	- burn-caps.c be more careful when following links between caps:
	  check that at least one plugin is active
	- burn-job.c modified the API for a job to finish and store a new track
	- burn-track.c ensure a conversion is possible for path => URI
	- burn-wodim.c fix a remaining typo/improved .inf generation
	- allow to indicate a suffix for a temp file

2007-08-14  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Another round of fixes to get disc copy working (using growisofs/cdrkit)
	More specifically:
	- improve image size handling/checking
	- allow copy between two different types of disc (CD->DVD, ...) if size is OK
	- fix some confusion with error handling in burn.c (appearing when a process didn't properly start)
	- in a task list put blanking task before the last
	- emit another finished signal after checking is done
	- fix infinite loop on error in burn-process.c
	- added an icon when drive is empty
	- improved available flags discovery logic
	- fixed a bug in DISC caps creation
	- fixed speed reporting for jobs
	- clarify how jobs should implement ::init and ::start methods
	- fixed type it's WODIM and not WOODIM
	- updated POTFILES.in for files renaming / changes

2007-08-14  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/scsi/scsi-sg.c: (brasero_sg_send_command):

	Fix memset with swapped arguments. Closes bug #466290.
	Patch from Dave Jones <davej@redhat.com>

2007-08-14  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/filtered-window.c: (brasero_filtered_dialog_init):
	Fix Filter UI crash. Patch from Denis Leroy <denis@poolshark.org>
	
2007-08-09  Luis Medinas  <lmedinas@svn.gnome.org>

	* NEWS:
	* configure.in:

	Update NEWS for 0.6.90 release unstable series.
	Update bump Gtk+ version.

2007-08-09  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/audio-disc.c: (brasero_audio_disc_fill_toolbar),
	(brasero_audio_disc_init), (brasero_audio_disc_finalize):
	* src/brasero-data-disc.c: (brasero_data_disc_fill_toolbar),
	(brasero_data_disc_init), (brasero_data_disc_finalize),
	(brasero_data_disc_unreadable_new):
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_get_default_label),
	(brasero_disc_option_dialog_video_widget),
	(brasero_disc_option_dialog_joliet_widget),
	(brasero_disc_option_dialog_multi_widget),
	(brasero_disc_option_dialog_add_audio_options),
	(brasero_disc_option_dialog_init),
	(brasero_disc_option_dialog_finalize):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_set_track),
	(brasero_image_option_dialog_image_info_cb),
	(brasero_image_option_dialog_get_format),
	(brasero_image_option_dialog_changed),
	(brasero_image_option_dialog_set_formats),
	(brasero_image_option_dialog_set_image_uri),
	(brasero_image_option_dialog_init),
	(brasero_image_option_dialog_finalize):
	* src/brasero-project-size.c: (brasero_project_size_init),
	(brasero_project_size_finalize):
	* src/brasero-project-type-chooser.c:
	(brasero_project_type_chooser_new_item),
	(brasero_project_type_chooser_init),
	(brasero_project_type_chooser_finalize):
	* src/brasero-project.c: (brasero_project_init),
	(brasero_project_finalize):
	* src/search-entry.c: (brasero_search_entry_init),
	(brasero_search_entry_finalize):
	* src/song-properties.c: (brasero_song_props_init),
	(brasero_song_props_finalize):

	Migrate to the new GtkTooltip API. Now requires Gtk+ 2.11.6. 

2007-08-2  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Another bunch of fixes mainly to get image burning with (tested with growisofs)
	fix for sizes 
	improved destination media checks
	improved flags testing
	fix a small bug with DVD+RW in medium.c
	marked forgotten strings for translation
	updated file list for translations

2007-08-2  Rouquier Philippe <bonfire-app@wanadoo.fr>

	In the process of making md5checksum work, lots of bugs and leaks fixed
	Now reap the processes ourselves to get return values and make sure nothing goes wrong
	Fixed a small bug in medium for blank DVD+RW (bad free space)
	Don't set non blocking by default now plugins have to ask for it
	Fix build and don't set brasero depend on libisofs/libburn but their plugins only
	Fixed and improved burn-dialog.c
	Fixed confusion between brasero_job_get_action and brasero_job_get_current_action
	Fixed growisofs not burning from pipe

2007-07-28  Rouquier Philippe <bonfire-app@wanadoo.fr>
	
	Better handling of jobs that don't want to run further than ::start.
	That fixes a lock with local-track plugin.

2007-07-28  Rouquier Philippe <bonfire-app@wanadoo.fr>
	
	Some build fixes

2007-07-28  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Preliminary work on plugin based backend (lots of changes).
	Cleanups which tend to a better separation between UI and backend.
	BE CAREFUL, THIS IS HIGHLY UNSTABLE.
	So far, it was tested and proved to work with woodim, growisofs, genisoimage.

2007-07-28  Rouquier Philippe <bonfire-app@wanadoo.fr>

	* data/Makefile.am:

	fixed small problem with previous patch (maybe did not apply)

2007-07-27  Luis Medinas  <lmedinas@svn.gnome.org>

	* data/Makefile.am:

	Added patch from bgo #456865 
	by Octavio Salvador <octavio@debian.org> 

2007-07-11  Luis Medinas  <lmedinas@svn.gnome.org>

	* NEWS:

	Update NEWS for 0.6.0 release, svn trunk will be open for 
	bug fixes to 0.6 stable branch and continue development
	for a future stable release series.
	
2007-07-11  Luis Medinas  <lmedinas@svn.gnome.org>

	* configure.in:

	Bump to 0.6.0 stable release.

2007-07-10  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Handle unmounts more subtely and don't unset environment variables
	at mount and unmount times as gnome-mount seems to need them.
	That fixes some failures happening on my system (Fedora 7)

2007-07-09  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Fix a bug in image recording dialog which prevented images
	to be burnt when type was explicitly set to ISO

2007-07-09  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Another attempt at fixing #430117 for good this time

2007-07-03  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/main.c: (brasero_app_parse_options):

	Fix bug #439744.

2007-07-02  Luis Medinas  <lmedinas@svn.gnome.org>

	* MAINTAINERS: Add new mail.
	* README: Add more information about the libburn backend.

2007-06-30  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/filtered-window.c: (brasero_filtered_dialog_init):
	* src/scsi/scsi-get-configuration.h:

	Fix segfault on filter window.
	Fix typos on scsi library.

2007-05-01  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Change status icons to orange and put them in proper folder (status not apps) (Björn Martensen)

2007-05-01  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Revert patch to set minimum window size (it was already implemented)
	but also improved the logic by asking the monitor screen size and
	setting the default size to 85% of it.

2007-05-01  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Fix a stupid cut'n paste

2007-05-01  Rouquier Philippe <bonfire-app@wanadoo.fr>

	Last tangoification (status icons) (Björn Martensen)
	Added 24x24 icons (Michael Monreal)

2007-04-18  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/main.c: (brasero_app_create_app):

	Set minimum window size for the main window.
	Fixes bug #430701.

2007-04-17  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/scsi/scsi-get-configuration.h:
	
	Typo for bug #430117.

2007-04-16  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/scsi/scsi-get-configuration.h:
	* src/scsi/scsi-read-disc-info.h:
	* src/scsi/scsi-read-track-information.h:

	Fixed typos that prevents to compile on Big Endian 
	thanks to Joseph Sacco <jsacco@gnome.org>. 
	Closes bug #430117.

2007-04-15  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Updated NEWS

2007-04-15  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fixed some wrong medium free space
	Improved recorder selection GUI

2007-04-15  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Removed left g_print debugging statements
	Fixed media size not being checked before burning
	Improved media information display in recorder-selection
	Fixed a potential crash in recorder-selection

2007-04-14  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fixed speeds ordering in properties dialog.

2007-04-14  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Some more new icons designed by Josef Vybíral and Kalle Person

2007-04-14  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Improved debugging/logging facilities
	Try not to block when a device is busy

2007-04-12  Luis Medinas  <lmedinas@svn.gnome.org>

	* configure.in:

	Remove 24x24 action icons

2007-04-11  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Attempt to fix crash

2007-04-11  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Remove icon registration function (not needed anymore)

2007-04-11  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Make burn dialog use action icons

2007-04-11  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fix #374700

2007-04-11  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fix a build problem without libnotify

2007-04-10  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fix a stupid mistake whereby every DVD was supposed to be CSS protected

2007-04-10  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fix #428045

2007-04-10  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fix #423686

2007-04-10  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fix #423217

2007-04-10  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fix #399962 for real this time.

2007-04-10  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Move cdrecord parts where it belongs.

2007-04-10  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fix a bug in dialog requiring media insertion.

2007-04-10  Philippe Rouquier <bonfire-app@wanadoo.fr>

	changed the way we use growisofs to blank:
	- fast now implies nullifying 64 first KiB
	- slow implies reformatting

2007-04-10  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Updated libburn support:
	- bumped requirements to 0.3.4
	- added DVD+R(w)/DVD-R(w) writing/blanking/formatting
	- some fix
	- multisession support

	Some fixes:
	- medium remaining capacity
	- unwanted popup in blank dialog
	- fake drives which didn't show up in projects
	- ...

2007-04-06  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Support wodim (cdrkit)

2007-04-06  Philippe Rouquier <bonfire-app@wanadoo.fr>

        Improved library by adding more functions
	Replace as much we can the use of ncb when
	dealing with media functions
	This fixed a number of side bugs namely:
	- the inability to make any difference between the two types of DVD-RW (see #426104 for an example of the type of problems it caused)
	- the inability to have the right size for tracks < 300 kio
	- the inability to detect a protected DVD
	- the inability to translate drive types

	Improved multisession a lot
	Fixed the creation of multisession DVD+/-R by not using DAO
	When a multisession disc (not RW) is inserted only show free space
	Allow to append any kind of tracks to the latter discs (audio, data)

	A couple of other small bugs were fixed here and there

2007-03-31  Philippe Rouquier <bonfire-app@wanadoo.fr>

        Another fix.

2007-03-31  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Just minor fixes.

2007-03-28  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Extended library:
	brasero can retrieve write speeds by itself (Fixes #366183)
	brasero can check if a medium is protected through CSS

	Fixed a bug introduced in previous patch whereby properties button
	was greyed out when multisession was used.
	Some small improvements to previously committed code.
	

2007-03-28  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Fix multisession button state in data project view.
	Don't retrieve medium information if drive has not finished loading.
	Fix introduced bug where wrong next session address was used.
	Don't show "append data" switch in data burn dialog; rather check if
	multisession button in data project is pressed.

2007-03-27  Philippe Rouquier <bonfire-app@wanadoo.fr>

	Clean some forgotten debugging crufts.
        Use the library and not cdrecord to get multisession param in mkisofs.

2007-03-27  Philippe Rouquier <bonfire-app@wanadoo.fr>

        Added a small SCSI library to fix bug 380204.
	Other benefits will be drawn from this library in later patches.

2007-03-07  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/burn-caps.c:
	(brasero_burn_caps_create_recorder_for_blanking):

	Libburn is suppose to support dvd+rw and dvd-rw so
	adding support to brasero trunk

2007-03-04  Luis Medinas  <lmedinas@svn.gnome.org>

	* src/main.c: (on_about_cb):

	Update About Homepage.

2007-02-27  Luis Medinas <lmedinas@svn.gnome.org>

	Merge work done on stable branch to brasero:
	New icon for blank action by Josef Vybiral <newsgroups@vybiral.info>
	New brasero icon based on the old one but tango-ified.
	Done by Ulisse <ulisail@yahoo.it>.
	Fix warning (#378061)
	Fix audio project title set to "null" (#401340)
	Enable large file support

2007-02-12  Rouquier Philippe <bonfire-app@wanadoo.fr>

	New brasero icon
	Fix for about dialog that didn't show the icon


2007-02-07  Luis Medinas  <metalgod@gentoo.org>

	* src/burn-mkisofs.c: (brasero_mkisofs_set_argv_image):

	Use -quiet instead of -q

2007-02-04  Luis Medinas  <metalgod@gentoo.org>

	* data/brasero.desktop.in:

	Minor HIG change on brasero desktop Name
	Closes bgo #403375

2007-01-23  Luis Medinas  <metalgod@gentoo.org>

	* configure.in:

	libisofs dependency to >=0.2.4.

2007-01-23  Luis Medinas  <metalgod@gentoo.org>

	* src/burn-libburn-common.c:
	(brasero_libburn_common_process_message),
	(brasero_libburn_common_clock_id):
	* src/burn-libisofs.c:

	Added support for libisofs >=0.2.4 patch from 
	Denis Leroy <denis@poolshark.org>. Closes bgo #395594.
	
2007-01-11  Luis Medinas  <metalgod@gentoo.org>

	* src/burn-dialog.c: (brasero_burn_dialog_show_log):

	Change logs size to 1MB that is enough fixes bgo # 377198

2007-01-11  Luis Medinas  <metalgod@gentoo.org>

	* MAINTAINERS:

	Add myself as a maintainer

2006-11-28  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/async-job-manager.c:

	Forgot to remove some unneeded files

2006-11-28  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/async-job-manager.h:

	Forgot to remove some uneeded files

2006-11-28  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/Makefile.am:
	* src/audio-disc.c: (brasero_audio_disc_init),
	(brasero_audio_disc_set_row_from_metadata),
	(brasero_audio_disc_result), (brasero_audio_disc_add_uri_real),
	(brasero_audio_disc_cancel_monitoring),
	(brasero_audio_disc_inotify_attributes_changed):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_image_info):
	* src/brasero-project-size.c: (brasero_project_size_disc_added_cb),
	(brasero_project_size_add_real_medias),
	(brasero_project_get_ruler_height),
	(brasero_project_get_active_drive):
	* src/brasero-project-size.h:
	* src/brasero-vfs.c: (brasero_vfs_check_for_parent_symlink),
	(brasero_utils_get_symlink_target), (brasero_vfs_info_destroy),
	(brasero_vfs_info_thread), (brasero_vfs_get_info),
	(brasero_vfs_load_result), (brasero_vfs_load_thread),
	(brasero_vfs_get_metadata), (brasero_vfs_count_result_data),
	(brasero_vfs_get_count), (brasero_vfs_playlist_destroy),
	(brasero_vfs_playlist_subtask_result),
	(brasero_vfs_playlist_result), (brasero_vfs_start_end_playlist_cb),
	(brasero_vfs_playlist_thread), (brasero_vfs_stop_all),
	(brasero_vfs_compare_unprocessed_task), (brasero_vfs_find_urgent):
	* src/brasero-vfs.h:
	* src/burn-basics.c: (brasero_track_source_free):
	* src/burn-caps.c: (brasero_burn_caps_get_flags):
	* src/burn-dialog.c: (brasero_burn_dialog_update_info),
	(brasero_burn_dialog_media_removed_cb),
	(brasero_burn_dialog_get_local_source),
	(brasero_burn_dialog_setup_session):
	* src/burn-dvdcss.c: (brasero_dvdcss_get_size_real),
	(brasero_dvdcss_create_scrambled_sectors_map),
	(brasero_dvdcss_write_image_thread):
	* src/burn-iso-field.c: (brasero_iso9660_get_733_val):
	* src/burn-iso-field.h:
	* src/burn-iso9660.c: (brasero_iso9660_seek),
	(brasero_iso9660_next_block), (brasero_iso9660_get_susp),
	(brasero_iso9660_next_record), (brasero_iso9660_read_file_record),
	(brasero_iso9660_read_directory_record),
	(brasero_iso9660_read_directory_records),
	(brasero_iso9660_ctx_init), (brasero_iso9660_get_contents):
	* src/burn-iso9660.h:
	* src/burn-libisofs.c: (brasero_libisofs_sort_graft_points):
	* src/burn-readcd.c: (brasero_readcd_get_size),
	(brasero_readcd_argv_set_iso_boundary):
	* src/burn-sum.c: (brasero_burn_sum_disc):
	* src/burn-susp.c: (brasero_susp_ctx_clean), (brasero_susp_SP),
	(brasero_susp_NM), (brasero_susp_CL), (brasero_susp_PL),
	(brasero_susp_read):
	* src/burn-susp.h:
	* src/burn-volume.c: (brasero_volume_file_free),
	(brasero_volume_get_files), (brasero_volume_file_to_path),
	(brasero_volume_file_from_path), (brasero_volume_file_size):
	* src/burn-volume.h:
	* src/data-disc.c: (brasero_data_disc_iface_disc_init),
	(brasero_data_disc_notification_free),
	(brasero_data_disc_notification_closed),
	(brasero_data_disc_notify_user_real),
	(brasero_data_disc_notify_user), (brasero_data_disc_fill_toolbar),
	(brasero_data_disc_init), (brasero_data_disc_finalize),
	(brasero_data_disc_name_exist_dialog),
	(brasero_data_disc_tree_check_name_validity),
	(brasero_data_disc_remove_bogus_child),
	(brasero_data_disc_tree_update_directory_real),
	(brasero_data_disc_tree_path_to_disc_path),
	(brasero_data_disc_disc_path_to_tree_path),
	(brasero_data_disc_tree_remove_path),
	(brasero_data_disc_tree_new_path),
	(brasero_data_disc_tree_set_path_from_info),
	(brasero_data_disc_tree_new_empty_folder_real),
	(brasero_data_disc_tree_new_loading_row),
	(_foreach_remove_created_dirs_cb), (brasero_data_disc_clean),
	(brasero_data_disc_reset_real), (brasero_data_disc_unreadable_new),
	(brasero_data_disc_unreadable_free),
	(brasero_data_disc_restored_new),
	(brasero_data_disc_restored_free),
	(brasero_data_disc_restore_unreadable_destroy),
	(brasero_data_disc_restore_unreadable),
	(brasero_data_disc_restore_unreadable_cb),
	(brasero_data_disc_filtered_restore),
	(brasero_data_disc_update_hashes), (brasero_data_disc_dir_free),
	(brasero_data_disc_remove_children_destroy_cb),
	(brasero_data_disc_remove_children_async_cb),
	(_foreach_remove_children_files_cb),
	(brasero_data_disc_remove_children), (brasero_data_disc_graft_new),
	(brasero_data_disc_graft_remove),
	(_foreach_move_children_paths_cb),
	(brasero_data_disc_graft_children_move),
	(_foreach_unreference_grafted_cb),
	(brasero_data_disc_graft_changed), (brasero_data_disc_path_to_uri),
	(brasero_data_disc_expose_grafted_destroy_cb),
	(brasero_data_disc_expose_grafted_cb),
	(brasero_data_disc_expose_grafted),
	(brasero_data_disc_tree_new_imported_session_file),
	(brasero_data_disc_expose_imported_session_file),
	(brasero_data_disc_directory_entry_free),
	(brasero_data_disc_directory_contents_free),
	(brasero_data_disc_directory_entry_error),
	(brasero_data_disc_expose_path_real),
	(brasero_data_disc_expose_end), (brasero_data_disc_expose_result),
	(brasero_data_disc_expose_insert_path_real),
	(brasero_data_disc_expose_path),
	(brasero_data_disc_row_collapsed_cb),
	(brasero_data_disc_row_expanded_cb), (brasero_data_disc_obj_new),
	(brasero_data_disc_file_new),
	(_foreach_lookup_symlink_children_cb),
	(brasero_data_disc_symlink_is_recursive),
	(_find_name_in_info_list),
	(brasero_data_disc_get_unique_valid_utf8_name),
	(brasero_data_disc_get_unique_valid_utf8_path),
	(brasero_data_disc_symlink_new),
	(brasero_data_disc_symlink_list_new),
	(brasero_data_disc_invalid_utf8_new),
	(brasero_data_disc_invalid_utf8_list_new),
	(brasero_data_disc_dir_contents_end), (_check_for_restored),
	(brasero_data_disc_load_result),
	(brasero_data_disc_directory_load),
	(brasero_data_disc_directory_priority_cb),
	(brasero_data_disc_directory_priority),
	(brasero_data_disc_remove_row_in_dirs_hash),
	(brasero_data_disc_delete_row_cb),
	(braseri_data_disc_delete_row_end),
	(brasero_data_disc_is_session_path_deleted),
	(brasero_data_disc_path_remove_user),
	(brasero_data_disc_replace_file),
	(brasero_data_disc_delete_selected), (brasero_data_disc_clear),
	(brasero_data_disc_reset),
	(brasero_data_disc_restore_excluded_children_destroy_cb),
	(brasero_data_disc_restore_excluded_children_cb),
	(_foreach_restore_strictly_excluded_children_cb),
	(brasero_data_disc_restore_excluded_children),
	(brasero_data_disc_replace_symlink_children_destroy_cb),
	(brasero_data_disc_replace_symlink_children_cb),
	(brasero_data_disc_replace_symlink_children),
	(brasero_data_disc_new_row_destroy_cb),
	(brasero_data_disc_new_row_cb),
	(brasero_data_disc_get_dir_contents_destroy),
	(brasero_data_disc_get_dir_contents_results),
	(brasero_data_disc_add_directory_contents),
	(brasero_data_disc_add_uri_real),
	(brasero_data_disc_remove_imported_session),
	(brasero_data_disc_import_session_error),
	(brasero_data_disc_import_session_cb),
	(brasero_data_disc_update_multi_button_state),
	(brasero_data_disc_media_added), (brasero_data_disc_set_drive),
	(_foreach_grafts_make_list_cb), (brasero_data_disc_path_create),
	(brasero_data_disc_graft_check_destroy),
	(brasero_data_disc_graft_check_result),
	(brasero_data_disc_graft_find_first_parent),
	(brasero_data_disc_graft_check_parent),
	(brasero_data_disc_graft_check_existence),
	(brasero_data_disc_graft_check),
	(brasero_data_disc_load_graft_end),
	(brasero_data_disc_load_graft_result),
	(brasero_data_disc_load_restored_end),
	(brasero_data_disc_load_restored_result),
	(brasero_data_disc_load_track), (brasero_data_disc_restore_row),
	(brasero_data_disc_move_row_simple_file_destroy_cb),
	(brasero_data_disc_move_row_simple_file_cb),
	(brasero_data_disc_move_row_simple_file),
	(brasero_data_disc_move_imported_session_file),
	(brasero_data_disc_move_row),
	(brasero_data_disc_drag_dest_drop_row_possible),
	(brasero_data_disc_move_to_dest),
	(brasero_data_disc_native_data_received),
	(brasero_data_disc_drag_data_received_dragging),
	(brasero_data_disc_drag_data_received_cb),
	(brasero_data_disc_drag_get_cb),
	(brasero_data_disc_drag_motion_cb),
	(brasero_data_disc_drag_begin_cb), (brasero_data_disc_drag_end_cb),
	(brasero_data_disc_open_file),
	(brasero_data_disc_rename_activated),
	(brasero_data_disc_tree_select_function),
	(brasero_data_disc_button_pressed_cb),
	(brasero_data_disc_name_edited_cb),
	(brasero_data_disc_get_selected_uri),
	(brasero_data_disc_inotify_create_file_event_destroy_cb),
	(brasero_data_disc_inotify_create_paths),
	(brasero_data_disc_inotify_create_file_event_cb),
	(brasero_data_disc_inotify_create_file_event),
	(brasero_data_disc_inotify_attributes_event_cb),
	(brasero_data_disc_inotify_attributes_event_destroy_cb),
	(brasero_data_disc_inotify_attributes_event),
	(brasero_data_disc_inotify_modify_file_cb),
	(brasero_data_disc_inotify_modify_file_end),
	(brasero_data_disc_inotify_modify_file):
	* src/data-disc.h:
	* src/disc.c: (brasero_disc_fill_toolbar),
	(brasero_disc_set_current_drive):
	* src/disc.h:
	* src/filtered-window.c: (brasero_filtered_dialog_class_init):
	* src/main.c:
	* src/metadata.c: (brasero_metadata_finalize), (foreach_tag):
	* src/metadata.h:
	* src/mime-filter.c: (brasero_mime_filter_init),
	(brasero_mime_filter_add_mime):
	* src/play-list.c: (brasero_playlist_init),
	(brasero_playlist_destroy), (brasero_playlist_dialog_error),
	(brasero_playlist_parse_end), (brasero_playlist_parse_result),
	(brasero_playlist_insert), (brasero_playlist_add_uri_playlist):
	* src/project-type-chooser.c:
	(brasero_project_type_chooser_new_item):
	* src/project.c: (brasero_project_disc_changed_cb),
	(brasero_project_switch):
	* src/recorder-selection.c:
	(brasero_recorder_selection_update_info),
	(brasero_recorder_selection_update_drive_info):
	* src/search.c: (brasero_search_init),
	(brasero_search_add_hit_to_tree):
	* src/tray.c: (brasero_tray_icon_set_progress):
	* src/utils.c: (brasero_utils_free), (brasero_utils_register_icon),
	(brasero_utils_init), (brasero_utils_escape_string),
	(brasero_utils_get_use_info_notebook):
	* src/utils.h:

	BraseroDataDisc/BraseroPlaylist only use BraseroVFS
	Minor GUI improvements
	Added multisession to display first session in BraseroDataDisc
	Drop icon caching
	Miscellaneous things (fixes/improvements)

2006-11-22  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* src/audio-disc.c: (brasero_audio_disc_fill_toolbar):
	* src/blank-dialog.c: (brasero_blank_dialog_cancel_dialog):
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_init):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_init):
	* src/brasero-tool-dialog.c: (brasero_tool_dialog_set_button):
	* src/burn-dialog.c: (brasero_burn_dialog_data_loss_cb),
	(brasero_burn_dialog_rewritable_cb),
	(brasero_burn_dialog_disable_joliet_cb),
	(brasero_burn_dialog_notify_error),
	(brasero_burn_dialog_success_run),
	(brasero_burn_dialog_cancel_dialog):
	* src/data-disc.c: (brasero_data_disc_fill_toolbar):
	* src/disc-copy-dialog.c: (brasero_disc_copy_dialog_init):
	* src/project.c: (brasero_project_init):
	* src/search.c: (brasero_search_init):
	* src/utils.c: (brasero_utils_make_button):
	* src/utils.h:

	Fix for icon sizes

2006-11-22  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* data/brasero.desktop.in:
	* src/brasero-disc-option-dialog.c:
	(brasero_disc_option_dialog_init):
	* src/brasero-image-option-dialog.c:
	(brasero_image_option_dialog_init):
	* src/brasero-project-size.c: (brasero_project_size_disc_added_cb),
	(brasero_project_size_add_real_medias):
	* src/disc-copy-dialog.c: (brasero_disc_copy_dialog_init):
	* src/main.c: (brasero_app_create_app):
	* src/project.c: (brasero_project_init):
	* src/tray.c: (brasero_tray_icon_init),
	(brasero_tray_icon_set_progress):
	* src/utils.c: (brasero_utils_init):
	* src/utils.h:

	Another fix for icons

2006-11-22  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* data/icons/16x16/actions/Makefile.am:
	* data/icons/16x16/actions/brasero-action-burn.png:
	* data/icons/16x16/apps/Makefile.am:
	* data/icons/16x16/apps/brasero-disc-00.png:
	* data/icons/16x16/apps/brasero-disc-05.png:
	* data/icons/16x16/apps/brasero-disc-10.png:
	* data/icons/16x16/apps/brasero-disc-100.png:
	* data/icons/16x16/apps/brasero-disc-15.png:
	* data/icons/16x16/apps/brasero-disc-20.png:
	* data/icons/16x16/apps/brasero-disc-25.png:
	* data/icons/16x16/apps/brasero-disc-30.png:
	* data/icons/16x16/apps/brasero-disc-35.png:
	* data/icons/16x16/apps/brasero-disc-40.png:
	* data/icons/16x16/apps/brasero-disc-45.png:
	* data/icons/16x16/apps/brasero-disc-50.png:
	* data/icons/16x16/apps/brasero-disc-55.png:
	* data/icons/16x16/apps/brasero-disc-60.png:
	* data/icons/16x16/apps/brasero-disc-65.png:
	* data/icons/16x16/apps/brasero-disc-70.png:
	* data/icons/16x16/apps/brasero-disc-75.png:
	* data/icons/16x16/apps/brasero-disc-80.png:
	* data/icons/16x16/apps/brasero-disc-85.png:
	* data/icons/16x16/apps/brasero-disc-90.png:
	* data/icons/16x16/apps/brasero-disc-95.png:
	* data/icons/16x16/apps/brasero.png:
	* data/icons/24x24/apps/Makefile.am:
	* data/icons/scalable/actions/Makefile.am:
	* data/icons/scalable/actions/brasero-action-burn.png:

	Upteenth fix for icon mess

2006-11-22  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* data/icons/scalable/apps/brasero-disc-00.png:
	* data/icons/scalable/apps/brasero-disc-05.png:
	* data/icons/scalable/apps/brasero-disc-10.png:
	* data/icons/scalable/apps/brasero-disc-100.png:
	* data/icons/scalable/apps/brasero-disc-15.png:
	* data/icons/scalable/apps/brasero-disc-20.png:
	* data/icons/scalable/apps/brasero-disc-25.png:
	* data/icons/scalable/apps/brasero-disc-30.png:
	* data/icons/scalable/apps/brasero-disc-35.png:
	* data/icons/scalable/apps/brasero-disc-40.png:
	* data/icons/scalable/apps/brasero-disc-45.png:
	* data/icons/scalable/apps/brasero-disc-50.png:
	* data/icons/scalable/apps/brasero-disc-55.png:
	* data/icons/scalable/apps/brasero-disc-60.png:
	* data/icons/scalable/apps/brasero-disc-65.png:
	* data/icons/scalable/apps/brasero-disc-70.png:
	* data/icons/scalable/apps/brasero-disc-75.png:
	* data/icons/scalable/apps/brasero-disc-80.png:
	* data/icons/scalable/apps/brasero-disc-85.png:
	* data/icons/scalable/apps/brasero-disc-90.png:
	* data/icons/scalable/apps/brasero-disc-95.png:
	* data/icons/scalable/apps/brasero.png:
	* data/icons/scalable/brasero.svg:

	Fix previous mess up

2006-11-22  Philippe Rouquier  <bonfire-app@wanadoo.fr>

	* configure.in:
	* data/Makefile.am:
	* data/brasero.png:
	* data/cd-action-burn-16.png:
	* data/cd-action-burn.png:
	* data/disc-00.png:
	* data/disc-05.png:
	* data/disc-10.png:
	* data/disc-100.png:
	* data/disc-15.png:
	* data/disc-20.png:
	* data/disc-25.png:
	* data/disc-30.png:
	* data/disc-35.png:
	* data/disc-40.png:
	* data/disc-45.png:
	* data/disc-50.png:
	* data/disc-55.png:
	* data/disc-60.png:
	* data/disc-65.png:
	* data/disc-70.png:
	* data/disc-75.png:
	* data/disc-80.png:
	* data/disc-85.png:
	* data/disc-90.png:
	* data/disc-95.png:
	* data/icons/16x16/Makefile.am:
	* data/icons/16x16/actions/Makefile.am:
	* data/icons/16x16/actions/brasero-action-burn.png:
	* data/icons/16x16/apps/Makefile.am:
	* data/icons/16x16/apps/brasero-disc-00.png:
	* data/icons/16x16/apps/brasero-disc-05.png:
	* data/icons/16x16/apps/brasero-disc-10.png:
	* data/icons/16x16/apps/brasero-disc-100.png:
	* data/icons/16x16/apps/brasero-disc-15.png:
	* data/icons/16x16/apps/brasero-disc-20.png:
	* data/icons/16x16/apps/brasero-disc-25.png:
	* data/icons/16x16/apps/brasero-disc-30.png:
	* data/icons/16x16/apps/brasero-disc-35.png:
	* data/icons/16x16/apps/brasero-disc-40.png:
	* data/icons/16x16/apps/brasero-disc-45.png:
	* data/icons/16x16/apps/brasero-disc-50.png:
	* data/icons/16x16/apps/brasero-disc-55.png:
	* data/icons/16x16/apps/brasero-disc-60.png:
	* data/icons/16x16/apps/brasero-disc-65.png:
	* data/icons/16x16/apps/brasero-disc-70.png:
	* data/icons/16x16/apps/brasero-disc-75.png:
	* data/icons/16x16/apps/brasero-disc-80.png:
	* data/icons/16x16/apps/brasero-disc-85.png:
	* data/icons/16x16/apps/brasero-disc-90.png:
	* data/icons/16x16/apps/brasero-disc-95.png:
	* data/icons/16x16/apps/brasero.png:
	* data/icons/16x16/brasero.png:
	* data/icons/24x24/Makefile.am:
	* data/icons/24x24/actions/Makefile.am:
	* data/icons/24x24/actions/brasero-action-burn.png:
	* data/icons/24x24/apps/Makefile.am:
	* data/icons/24x24/apps/brasero-disc-00.png:
	* data/icons/24x24/apps/brasero-disc-05.png:
	* data/icons/24x24/apps/brasero-disc-10.png:
	* data/icons/24x24/apps/brasero-disc-100.png:
	* data/icons/24x24/apps/brasero-disc-15.png:
	* data/icons/24x24/apps/brasero-disc-20.png:
	* data/icons/24x24/apps/brasero-disc-25.png:
	* data/icons/24x24/apps/brasero-disc-30.png:
	* data/icons/24x24/apps/brasero-disc-35.png:
	* data/icons/24x24/apps/brasero-disc-40.png:
	* data/icons/24x24/apps/brasero-disc-45.png:
	* data/icons/24x24/apps/brasero-disc-50.png:
	* data/icons/24x24/apps/brasero-disc-55.png:
	* data/icons/24x24/apps/brasero-disc-60.png:
	* data/icons/24x24/apps/brasero-disc-65.png:
	* data/icons/24x24/apps/brasero-disc-70.png:
	* data/icons/24x24/apps/brasero-disc-75.png:
	* data/icons/24x24/apps/brasero-disc-80.png:
	* data/icons/24x24/apps/brasero-disc-85.png:
	* data/icons/24x24/apps/brasero-disc-90.png:
	* data/icons/24x24/apps/brasero-disc-95.png:
	* data/icons/24x24/apps/brasero.png:
	* data/icons/24x24/brasero.png:
	* data/icons/32x32/Makefile.am:
	* data/icons/32x32/apps/Makefile.am:
	* data/icons/32x32/apps/brasero-disc-00.png:
	* data/icons/32x32/apps/brasero-disc-05.png:
	* data/icons/32x32/apps/brasero-disc-10.png:
	* data/icons/32x32/apps/brasero-disc-100.png:
	* data/icons/32x32/apps/brasero-disc-15.png:
	* data/icons/32x32/apps/brasero-disc-20.png:
	* data/icons/32x32/apps/brasero-disc-25.png:
	* data/icons/32x32/apps/brasero-disc-30.png:
	* data/icons/32x32/apps/brasero-disc-35.png:
	* data/icons/32x32/apps/brasero-disc-40.png:
	* data/icons/32x32/apps/brasero-disc-45.png:
	* data/icons/32x32/apps/brasero-disc-50.png:
	* data/icons/32x32/apps/brasero-disc-55.png:
	* data/icons/32x32/apps/brasero-disc-60.png:
	* data/icons/32x32/apps/brasero-disc-65.png:
	* data/icons/32x32/apps/brasero-disc-70.png:
	* data/icons/32x32/apps/brasero-disc-75.png:
	* data/icons/32x32/apps/brasero-disc-80.png:
	* data/icons/32x32/apps/brasero-disc-85.png:
	* data/icons/32x32/apps/brasero-disc-90.png:
	* data/icons/32x32/apps/brasero-disc-95.png:
	* data/icons/48x48/Makefile.am:
	* data/icons/48x48/apps/Makefile.am:
	* data/icons/48x48/apps/brasero-disc-00.png:
	* data/icons/48x48/apps/brasero-disc-05.png:
	* data/icons/48x48/apps/brasero-disc-10.png:
	* data/icons/48x48/apps/brasero-disc-100.png:
	* data/icons/48x48/apps/brasero-disc-15.png:
	* data/icons/48x48/apps/brasero-disc-20.png:
	* data/icons/48x48/apps/brasero-disc-25.png:
	* data/icons/48x48/apps/brasero-disc-30.png:
	* data/icons/48x48/apps/brasero-disc-35.png:
	* data/icons/48x48/apps/brasero-disc-40.png:
	* data/icons/48x48/apps/brasero-disc-45.png:
	* data/icons/48x48/apps/brasero-disc-50.png:
	* data/icons/48x48/apps/brasero-disc-55.png:
	* data/icons/48x48/apps/brasero-disc-60.png:
	* data/icons/48x48/apps/brasero-disc-65.png:
	* data/icons/48x48/apps/brasero-disc-70.png:
	* data/icons/48x48/apps/brasero-disc-75.png:
	* data/icons/48x48/apps/brasero-disc-80.png:
	* data/icons/48x48/apps/brasero-disc-85.png:
	* data/icons/48x48/apps/brasero-disc-90.png:
